qcad (3.26.4.2-0.1~obs) obs; urgency=medium

  * Rebuild for various Debian releases and derivatives on the OBS.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 29 Jun 2021 14:23:39 -0700

qcad (3.26.0+git8426-1325d80c1-1ppa1~bionic1) bionic; urgency=medium

  * Automated backport upload; no source changes.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 13 Jun 2021 14:34:47 +0300

qcad (3.26.0+git8426-1325d80c1-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 1325d80c1353fe7c15ad1100ef45d9b8c13fd370
  * Date: 1623141581
  * git changelog:
  *  1325d80c1 - set version to 3.26.4.2
  *  662da186c - update script bindings
  *  3df215444 - update script bindings
  *  f8da96af0 - add getOrderedShapes
  *  846afc031 - set version to 3.26.4.1
  *  ee03ac489 - add isEntity
  *  0bb4334f1 - update translations
  *  80c518658 - fix translation context
  *  d4307becc - update translations
  *  415aaf724 - update user manual
  *  5db45d05b - configurable string decoding
  *  5cb66de65 - update translations
  *  1dffb1eae - set version to 3.26.4
  *  2d5980f59 - add missing icons
  *  a4b9fd9c1 - update script bindings
  *  ae75f08bb - update script bindings
  *  074c28e67 - update script bindings
  *  e24151593 - fix script bindings for RMathComboBox
  *  aef40273f - add saveSize / restoreSize
  *  9d2f9c4d7 - clean up
  *  5b4116c37 - move arc start / end without keeping radius, press
    shift to keep radius
  *  cb16ef257 - add parameter to move start / end of arc without
    keeping the radius
  *  fc0320f06 - fix api doc
  *  ba9477cf4 - fix hatch dialog preview with large configured auto
    zoom margin
  *  2d05f2260 - add scale hint to painter path exporter to account for
    viewport scale

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 11 Jun 2021 15:05:04 +0300

qcad (3.26.0+git8401-8093dc3c4-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 8093dc3c46d1976341833e3db14e4c66f3fb1601
  * Date: 1622208195
  * git changelog:
  *  8093dc3c4 - update manual
  *  203c4f605 - update translations
  *  ba1d6ee14 - update translations
  *  bc2e641cf - update translations
  *  ec3f38517 - fix undo menu under Windows
  *  c89f981b8 - update test data
  *  bc8b212c8 - update translations
  *  c66a13ab6 - update manual
  *  097f2b7ee - update
  *  f64502012 - fix FS#2243 - Graphics View: rendering of splines with
    line pattern
  *  5867fdb25 - clean up
  *  3be009f71 - fix snap to coordinate
  *  2dc94de80 - update qrc
  *  d07f15cd1 - update translations
  *  c3727b2d1 - update qrc
  *  30824d09c - update example to handle new files and opened files
  *  db8d8140a - fix potential exception
  *  b5e495508 - set version to 3.26.3.0
  *  f47bd10a7 - update translations
  *  0a86f22ba - Merge branch 'master' of github.com:qcad/qcad
  *  2647b9dbe - add example for NewFile.addPostNewAction
  *  a61395812 - Translated using Weblate (Polish)
  *  1cc5fdd6c - fix: FS#2239 - Snap > Coordinate: Confirm coordinate
    with number block Enter key
  *  366a9d065 - update translations
  *  78d98df6e - update qrc
  *  de38bb014 - add test data
  *  715800fe3 - add test data
  *  d80b9ec31 - add unit test
  *  be0054aac - fix FS#2238 - Projection: exception when projecting
    polyline with single arc segment
  *  3c7f70d83 - add preTransform / postTransform for overrides
  *  151560043 - update unit tests
  *  388100d10 - fix break out for circle
  *  b71b90af1 - update state names

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 28 May 2021 20:56:57 +0300

qcad (3.26.0+git8368-f7357ff71-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: f7357ff71df068dceab5843cfc395affc3194682
  * Date: 1621071505
  * git changelog:
  *  f7357ff71 - update translations
  *  d71b5d75e - update translations
  *  7a973797f - update translations
  *  78602cdec - fix dimension label color By Layer
  *  f52dfcf2a - add support for two user defined tool bars
  *  caded6e15 - update

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 16 May 2021 21:49:37 +0300

qcad (3.26.0+git8362-b781ceb15-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: b781ceb1575b5e1b12bd6c19197498616998f76a
  * Date: 1619687106
  * git changelog:
  *  b781ceb15 - update logo
  *  5b5c4844e - update preferences page layout
  *  d338379c7 - add document icons for macOS
  *  6e9dc8869 - set version to 3.26.2.1
  *  75e026511 - update
  *  bc88164e7 - update
  *  d7937a99e - never apply theme on macos
  *  6bab9280d - fix text dialog background on macOS in dark mode
  *  53fb38656 - add pro file
  *  a33ef7f6c - fix FS#2230 - Dimension: CAD font label displayed with
    wrong lineweight

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 30 Apr 2021 23:22:21 +0300

qcad (3.26.0+git8352-57092eac0-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 57092eac0167e9b1c9b6f012a6024accd6973ea0
  * Date: 1618297556
  * git changelog:
  *  57092eac0 - update
  *  6a0bb552e - update
  *  0ab3b439b - update
  *  d5952533d - update
  *  101cd3346 - update
  *  2b5c6391e - update
  *  bdcd9bf11 - update
  *  8c0de96f2 - update
  *  94df3cee9 - update
  *  71d28b01b - update script bindings
  *  10081c911 - add RS::showInFileManager
  *  70c54b90e - update translations
  *  27b519c03 - replace exclamation marks with periods
  *  eccf2d6b6 - update translations
  *  fa44a6c1e - preparations / comments for macOS proxy icon
  *  2aa70ef83 - fix ampersand in file name in tab bar after saving
  *  9ac370775 - avoid NaN segment widths in setVertices
  *  0ea8c3756 - fix uniform lineweight detection
  *  31305cbb0 - Merge branch 'master' of github.com:qcad/qcad
  *  c7e91c6b2 - update
  *  42b847283 - fix FS#2225 - Filenames containing an ampersand do not
    render correctly in the tab bar and Window menu
  *  e89c0fe97 - Translated using Weblate (Russian)
  *  3813dd06f - Translated using Weblate (Russian)
  *  57d14efdb - fix FS#2224 - Command line tools: -block argument does
    not accept layout names
  *  0e24a9480 - fix scrollbar artefacts dark mode macOS
  *  6abfc4913 - update qrc
  *  098b1ea39 - update credits
  *  1d5c67fd8 - add Batch2Pdf script (dmitpon)
  *  7e7097e1d - change Volumenkörper to 2D Volumenkörper for German
    translation of Solid
  *  1e87f2fe9 - update credits
  *  80d95fd07 - split init to separate file
  *  485353938 - split init to separate file
  *  4712908da - add DrawFromCSV tool
  *  f1da664c3 - clean up
  *  9e1e2ce7d - fix FS#2223 - Block > Insert Block: duplicate entries
    in attributes combo
  *  db0a7b687 - clean up
  *  9b856ca82 - fix FS#2222 - Block attribute definition: default text
    displayed instead of tag
  *  fe50059f4 - update local language names
  *  ae80dc07a - Merge branch 'master' of github.com:qcad/qcad
  *  7adfb44b9 - fix rendered text of attribute definitions (tag)
  *  5831b857e - fix polyline linetype pattern scale
  *  23156a3c4 - retain uniform global segment width of polylines if
    applicable

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 15 Apr 2021 20:58:41 +0300

qcad (3.26.0+git8310-ea5d63966-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: ea5d6396677b102fa739f2685496eb7d67ae5184
  * Date: 1617174457
  * git changelog:
  *  ea5d63966 - always draw preview (aux shapes for origin)
  *  de4d6aea1 - update translations
  *  0bfa9a07a - Translated using Weblate (Russian)
  *  f7285e3ba - Translated using Weblate (Russian)
  *  674b2aaa6 - update user manual
  *  41fc29f0f - update qrc
  *  036160386 - Merge branch 'master' of github.com:qcad/qcad
  *  d7393057e - update translations
  *  36ed62cec - correct camel case, spelling
  *  8ed3a3058 - Translated using Weblate (Russian)
  *  5d7a298cc - update translations
  *  1fec6f322 - readd to change camel case name
  *  ad62b4317 - remove to change camel case name
  *  e41dc924c - update
  *  8be510eb8 - fix FS#2175 - Edit > Application Preferences > Draw >
    Text: Uncheck all/ Check all buttons not disabled
  *  580995c41 - change all link protocols to https
  *  be33e7729 - change all link protocols to https
  *  8ef8b6b12 - update
  *  85f66ea39 - set version to 3.26.2
  *  98c9a313c - set version to 3.26.1.3
  *  4e9c2c58b - add data location to lookup paths for resources
  *  5ef632bdd - fix tests
  *  94677135b - unique name for separators
  *  ece85b652 - ignore entities on unsnappable layers
  *  51939c698 - ignore entities on unsnappable layers
  *  a95c03aaa - fix parsing of arguments with equal signs in value
  *  3dac97ceb - disable word wrap for examples, simple API
  *  76c60c94d - update script bindings
  *  4375a45e8 - add removeShortcuts
  *  298a3b821 - disable default shurtcuts if shortcuts are overridden
  *  efcb030df - Merge branch 'master' of github.com:qcad/qcad
  *  9aa6fad93 - update
  *  ea4d6504f - update
  *  c5b286cc4 - merge two conflicting workarounds for broken shortcuts
    under Linux
  *  80c3b3fcb - clean up
  *  a5965e203 - update tests
  *  46376785f - update tests
  *  455f6ad2b - update dark mode corrections for macOS
  *  6a6fa73f9 - update
  *  67db9950b - add unit test for small texts with CAD font change
  *  8329b3f89 - add comment
  *  1dd0d37e0 - update
  *  92d05d412 - add experimental multi-thread support when exporting to
    scene
  *  a375ab0f3 - add macos debug info
  *  78bbfb19d - add debugging output for macOS
  *  374ee4313 - set version to 3.26.1.2
  *  52433fa30 - add debugging output for macOS bug tracking
  *  ba1027ff9 - update qrc
  *  47c30178e - avoid text wrapping in tolerances
  *  d908e127c - fix FS#2217 - Text: spacing problem when switching to
    CAD font (\F)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 01 Apr 2021 18:53:23 +0300

qcad (3.26.0+git8260-82b9f7dbc-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 82b9f7dbc15dee761eee8b28702384a0ea7fcf61
  * Date: 1615924007
  * git changelog:
  *  82b9f7dbc - update PolyLineBreakSymbol tool [petevick]
  *  fbce5dde0 - set version to 3.26.1.1
  *  accb15706 - update qrc
  *  a768107c6 - remove theme preference on macos
  *  5c1d056f8 - add themes (petevick)
  *  f1fa6ec30 - add break out manual tests
  *  cb51654dc - fix FS#2210 - Modify > Break out Manual: unexpected
    results with arc
  *  acd56717d - fix: Modify > Break out Manual: point order matters
    with open polyline
  *  c54140916 - fix FS#2209 - Modify > Explode: incorrect results with
    almost circular ellipse arcs
  *  b117b190e - compile fix
  *  34dfe86e0 - update qrc
  *  d8751aef7 - fix FS#2207 - File > SVG Export: dimension labels
    invisible with TTF fonts
  *  2b8f52ade - fix FS#2208 - Snap: Cannot snap to block arrays
  *  9d4b8240a - Merge branch 'master' of github.com:qcad/qcad
  *  e4c187d22 - update misc drawing tools
  *  df00c996a - update mist drawing tools
  *  4132b7999 - update credits
  *  d05ce5a8c - add PolyLineBreakSymbol tool [petevick]
  *  4aefac844 - fix scene iteration with multi threading
  *  2fdb1ac54 - fix FS#2203 - Ruler: not all labels shown
  *  1dbc4bbd6 - add comments
  *  fc25f7d92 - performance fix for snapping in uniformly scaled but
    mirrored blocks (scaled with factors 1/-1 or -1/1)
  *  e2b9ec60d - performance fix for drawings with many arcs
  *  21c8951ec - add setWeights (not used)
  *  eec8166e8 - update translations
  *  4b1a5afb8 - fix FS#2200 - Linetype scale is wrong when scaling
    linetypes by lineweight
  *  2acc03347 - set version to 3.26.1
  *  dd575a41d - update line pattern output
  *  47c5c7820 - update user manual
  *  a28825aa6 - export layers in same order as displayed
  *  3c7780910 - update user manual
  *  88a113a3f - fix FS#2199 - Polyline with segment widths: duplicate
    rendering as block contents
  *  ce1a22f00 - update qrc
  *  7542e15ba - fix closing of file
  *  5f8f819d0 - update credits
  *  de3c00bf5 - update
  *  e470224e4 - add LineBreakSymbol tool

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 18 Mar 2021 23:36:22 +0300

qcad (3.26.0+git8223-54a19b787-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 54a19b78748c1e3871f32029d103aae19563ad23
  * Date: 1614806240
  * git changelog:
  *  54a19b787 - add preference to only use system mouse cursors
  *  0b82b9d63 - set version to 3.26.0.1
  *  746b2cb87 - corrections
  *  575386c80 - update version
  *  21b0d2766 - update splash screens
  *  bb3a95c84 - Merge branch 'master' of github.com:qcad/qcad
  *  efa80b6db - set version to 3.26.0
  *  e3b78e3dd - Translated using Weblate (Finnish)
  *  cfb779c99 - update translations
  *  1317ca1fe - fix Windows shortcuts to options toolbar
  *  d809ddff3 - add Windows shortcuts to options toolbar
  *  128aa8026 - add Windows shortcuts to options toolbar
  *  079771fb2 - add configuration file name to about system
  *  97f466f2e - avoid adding zero length entity for bevel tool with
    lengths 0/0
  *  b94b5a188 - add information about selection to strech tool manual
  *  2d4de9b28 - fix potential exception
  *  5f4a755d6 - change tab locations of docks
  *  251b72c64 - correct term for hatches in French

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 04 Mar 2021 22:48:05 +0300

qcad (3.25.0+git8205-cad2d362a-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: cad2d362a046c3885971116fc80ca02567e0c5ce
  * Date: 1613125957
  * git changelog:
  *  cad2d362a - update translations
  *  ed4a4cd6e - update
  *  63e10c2be - detect CAD GDT font coded as TTF
  *  71290524a - fix leading spaces, line wrap
  *  319b04961 - add test data
  *  6cc3c8ee5 - set version to 3.25.2.13
  *  4881908df - update custom colors
  *  100c3abca - add palettes copyright
  *  b6a541e69 - add option to not show All Files filter
  *  fb30bc929 - allow comma in color name
  *  cecd7ec36 - update script bindings
  *  198cef018 - add reinit to apply new palette on the fly
  *  2a5487c01 - spelling

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 20 Feb 2021 16:05:37 +0300

qcad (3.25.0+git8192-f8e3ca52e-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: f8e3ca52ee822b4d8490d5df173001a9c8f9c241
  * Date: 1612444800
  * git changelog:
  *  f8e3ca52e - set version to 3.25.2.12
  *  aa1b2fbf9 - update translations
  *  fc31c7b89 - update preference page layout
  *  a030ebded - add unit tests
  *  86d563203 - add custom colors
  *  5c0f41176 - add reference point size preference
  *  c5532dd41 - add unit tests
  *  2d75b2ecd - word wrap at MTEXt width
  *  856836a05 - add preference for text display threshold
  *  8600a5f4c - update comments
  *  f880d85f8 - Merge branch 'master' of github.com:qcad/qcad
  *  df28e763f - update text renderer to handle auto line breaks
    (disabled)
  *  fd3585d2f - update renerer to handle auto line breaks (disabled)
  *  844f14553 - add handle to change width of MTEXT
  *  d42a7f507 - update comment
  *  f08d24c17 - update translations
  *  83a50a32e - add additional checks
  *  be31b0bfa - update script bindings
  *  51153f850 - clean up
  *  ff0191a69 - experimental support for MTEXT word wrapping
  *  8e2d99c55 - reformat, add check for input values
  *  b5436fc54 - add option to fill combo box with layers from multiple
    documents
  *  e17ae2280 - set version to 3.25.2.11
  *  c161ef9eb - update script bindings
  *  7dcb44224 - fix undo / redo of layer change to update layer list

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 04 Feb 2021 23:33:42 +0300

qcad (3.25.0+git8167-a8c7c4d28-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: a8c7c4d2858efa0f1048b6dbf2ecd88256cfaeda
  * Date: 1611215550
  * git changelog:
  *  a8c7c4d28 - update year
  *  aefa0e528 - change block property names
  *  9c42cafab - set version to 3.25.2.10
  *  d5142ff97 - Merge branch 'master' of github.com:qcad/qcad
  *  4216a118c - fix name of .com (cannot be same as exe)
  *  a4077aeb7 - Merge branch 'master' of github.com:qcad/qcad
  *  d708ab862 - update deployment of linux platform plugins
  *  cf0a1110d - update translations
  *  6e87ac543 - update translations
  *  e3e2a8891 - typo
  *  3b3e5cabc - fix return value
  *  1ddc77125 - update script bindings
  *  6a965ff4e - add option to copy all layers
  *  305104da7 - add property type
  *  1f647137b - add getVertexAngle
  *  72b57ccd0 - change object type order
  *  a2e1ab2d2 - add entityTypeToClass
  *  fceeea4ac - clean up
  *  83a456225 - add windows console binary project (.com) for command
    line tools
  *  6a8ff97e9 - clean up
  *  b04ac661e - fix typo
  *  8d0d231b2 - update qrc
  *  bd6c788e7 - set version to 3.25.2.9
  *  8301885c2 - update script bindings
  *  0516f8a80 - tag unitless properties
  *  d94bbb3f6 - don't show unit in property editor for percentage
  *  29fa08154 - add getEntityType
  *  8ba4c2e27 - add isPercentage
  *  1a5aa5864 - remove assert that breaks tests in debug mode
  *  535c0149b - fix polyline rendering with patterns and arcs
  *  49e2c8834 - add comments
  *  f86e0e350 - fix arc rendering with pattern
  *  0b82deffb - add painter path option to not apply patterns
  *  817b2c5ea - spell check
  *  7742269bf - add todo
  *  0302ab555 - add preference to convert text splines to arcs / lines
    or not
  *  f734f991e - update test file
  *  a06f69c37 - refactor line type pattern rendering:
  *  2cb1fdcbc - add option to enable / disable line type patterns
  *  d276169f4 - add preference to explode circles to polylines
  *  56ac1a57c - add preference to explode circles to polylines

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 21 Jan 2021 22:12:51 +0300

qcad (3.25.0+git8126-50f970c63-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 50f970c63556e7a125700de1d117c25ff0683025
  * Date: 1609917878
  * git changelog:
  *  50f970c63 - Merge branch 'master' of github.com:qcad/qcad
  *  b10230d15 - update script bindings
  *  a260fe1bb - add comment
  *  bffb80418 - prevent zero font size
  *  5c11914b0 - add option to keep children (e.g. block attributes)
    when deleting block references
  *  982e55b22 - Merge pull request #33 from luzpaz/typos
  *  5c39507fb - Fix source typos
  *  6714a56dc - Fix typos in support/
  *  6757a2ca0 - fix typos
  *  55920f070 - Merge pull request #32 from luzpaz/typos-electrical
  *  9285d2022 - add validate, tag properties as redundant
  *  c1327892b - add validate (for debugging)
  *  133d374f5 - use 0 as default for width of inserted nodes
  *  0cf085577 - fix tool bar name
  *  0c1d8118d - fix unit test
  *  2d04c56a6 - show warning when changing decimal point separator
  *  3613ad3a3 - fix FS#2165 - Rectangle with Size (RS) doesn't remember
    Fill, RoundCorners & Radius settings
  *  a3162fcd1 - Fix system-wide .dxf typo

 -- Alexander Pozdnyakov <almipo@mail.ru>  Wed, 06 Jan 2021 22:05:01 +0300

qcad (3.25.0+git8108-f6a93b008-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: f6a93b0085858bc84dc0d8ac60463d2782d01efe
  * Date: 1608806058
  * git changelog:
  *  f6a93b008 - fix import of path data without separators (leading 0
    implied separator: 1 02 equivalent with 1 0 2)
  *  a2b42eec7 - fix FS#2158 - dwg2bmp: -origin does not export origin
  *  f7ab9478e - add isEntityEditable
  *  edf6c03ad - set version to 3.25.2.8
  *  3735cfff9 - fix copying of empty / unreferenced blocks
  *  1511688c1 - update script bindings
  *  fcd7929bc - add arc radius limit for spline interpolation with bi-
    arcs
  *  e06f23046 - transform text position and height when retaining texts
  *  1434c6291 - remove '0' shortcut
  *  acfe7b68d - make sure vectors are valid after undo / redo
  *  2549ad8e6 - add queryAllViewports, fix layer toggling in viewports
  *  839f65303 - Merge branch 'master' of github.com:qcad/qcad
  *  f51c745d2 - update
  *  7a45b560c - fix FS#2150 - Modify > Stretch: block with attribute
    not moving
  *  2e4df5694 - port to macOS, arm64
  *  24aabaf7a - fix selection of block references in block in-place
    editing mode
  *  b37cd37d4 - disable save warning about working set
  *  8d63897d1 - update translations
  *  fb6bcf28f - port to macOS 11.0
  *  47586a770 - update

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 24 Dec 2020 23:16:23 +0300

qcad (3.24.0+git8088-5057b9d4c-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 5057b9d4c931a3ecfd0d5ed977212c7a7e1224ca
  * Date: 1607592853
  * git changelog:
  *  5057b9d4c - fix FS#2145 - Modify > Trim Both: closed polyline as
    either entity breaks undo
  *  d6c0199ef - clean up
  *  b3546d80f - fix FS#2145 - Modify > Trim Both: closed polyline as
    either entity breaks undo
  *  1f4c6d15c - Merge branch 'master' of github.com:qcad/qcad
  *  8f1ca01c7 - fix FS#2144 - Draw > Viewport > Add Viewport: Custom
    hatch pattern not shown
  *  66e811d22 - add script bindings for Qt 5.15.2
  *  357a5c0da - allow copying of all (empty, unreferenced) blocks with
    contents
  *  2d2cdc01e - add preference to allow opening zero size files (e.g.
    online file references that are not synced locally)
  *  148af574a - clean up
  *  8625e6199 - refactor
  *  0caf2e03a - fix FS#2143 - Rendering: arcs in scaled up blocks
    rendered with too low resolution
  *  b6d6d0de7 - fix default value of app preferences for dimension
    label color
  *  aa52ad23d - fix FS#2142 - Viewports: Cannot snap to reference
    points of circles / arcs (90°, 180°, 270°)
  *  7e76b5eb0 - update script bindings
  *  bf48fdd7b - refactor working set bock reference data storage add
    API to check if we're editing a working set
  *  7226442cb - refactor transaction type to transaction type flags
  *  1a7bef8c1 - avoid warning if type is invalid
  *  6bebc5e9f - add setReferencedBlockName
  *  fdbe080bd - add resuming state
  *  146e7ac3a - set version to 3.25.2.7
  *  b3e6722c2 - Translated using Weblate (Portuguese)
  *  7be26fa77 - Translated using Weblate (Dutch)
  *  806216df0 - Translated using Weblate (Italian)
  *  1b79edee1 - Translated using Weblate (French)
  *  2bf78773d - Translated using Weblate (Spanish)
  *  8a3ba5938 - Translated using Weblate (English)
  *  446bb8b81 - Translated using Weblate (German)
  *  2224154d8 - update translations
  *  4fd99eb1d - Translated using Weblate (German)
  *  372eb6163 - Merge branch 'master' of github.com:qcad/qcad
  *  606d8e626 - update translations
  *  431fa6ef6 - always set transaction type from operation
  *  3b1fbabe9 - update debug info
  *  6d5f74199 - use shift for square
  *  a4249f330 - use shift to draw square
  *  477694d2f - typo
  *  07852efee - Translated using Weblate (English)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 10 Dec 2020 23:48:44 +0300

qcad (3.24.0+git8051-705f84c5a-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 705f84c5a4d6ea5c80fd3c74f28e3be9d1f93263
  * Date: 1606202388
  * git changelog:
  *  705f84c5a - set version to 3.25.2.6
  *  1c5322c62 - add warning when saving drawing in block edit mode
  *  33279465a - ignore entities on non-snappable layer
  *  1c4a2ce16 - avoid metric drawing with imperial dimension format
  *  94d104375 - update translations
  *  d162acf86 - set version to 3.25.2.5
  *  44f772f2a - fix selection status for entities in working set
  *  ac60c1781 - update script bindings
  *  2e33485ef - add transaction types
  *  990634e80 - fix rendering of thick polyline segments
  *  e7335c7b1 - configurable fading factor
  *  777f5f909 - fade solid fills not in working set
  *  40f447525 - fix FS#2137 - View > Property Editor: Block reference
    shows properties of deleted attributes
  *  154fc2975 - back port to Qt 4
  *  f3d3dbd4b - fix user manual links
  *  eb3d66dec - fix tests
  *  39fa9fd29 - update translations
  *  e16f85e13 - update icons
  *  a7b86dce8 - add test
  *  f76f8f3e3 - update translations
  *  0363f31db - compile fix
  *  94d765cf1 - compile fix
  *  1ea315ae8 - clean up
  *  d91d80223 - update translations
  *  56abca821 - Merge branch 'master' of github.com:qcad/qcad
  *  a793fa6fb - Translated using Weblate (Spanish)
  *  f7629d79f - Translated using Weblate (English)
  *  199973bcd - Translated using Weblate (German)
  *  deadb2fe3 - add shortcuts for modification dialogs
  *  8cf86681f - Translated using Weblate (English)
  *  9cdfde3ab - update translations
  *  f990468a0 - update script bindings
  *  f64848993 - clean up
  *  d6a656c44 - update warning
  *  d273ad409 - ignore invalid ID's for caching
  *  9a06c6555 - add parameter to ignore / not ignore attribute
    definitions
  *  2b04c4785 - add parameter to ignore / not ignore attribute
    definitions
  *  e286195f7 - update script bindings
  *  6eb529acb - add working set property
  *  de59be656 - refactor double-click in empty space handling
  *  cd402f297 - update qrc
  *  d322b379c - update script bindings
  *  3eb817e32 - add working set selection status for selecting entities
    outside of the current working set
  *  fa1cabc96 - user feedback on undo / redo
  *  99b573da8 - update debugging formatting
  *  f2348b863 - add working set selection status for selecting entities
    outside of the current working set
  *  f87f4bb87 - add break out manual test
  *  f8051c7a6 - add preference to edit block in-place on double-click
  *  00d2590ef - update user message
  *  be51c2f42 - set version to 3.25.2.4

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 26 Nov 2020 17:40:31 +0300

qcad (3.24.0+git8001-0a8aa17a7-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 0a8aa17a7ad5aa39ff65ea3cc7a52fd7653070d2
  * Date: 1605193657
  * git changelog:
  *  0a8aa17a7 - fix FS#2133 - Modify > Break out Manual: exception for
    closed polyline
  *  8d0dae19f - update translations
  *  687533337 - update script bindings
  *  4a594e194 - change fading calculation from int to float
  *  1474e027d - fade texts and images if not in working set
  *  dadd1bfdb - move working set flag to drawable
  *  f3566e54f - add getFaded for fading entities
  *  802f44034 - update translations
  *  1432cb47b - Merge branch 'master' of github.com:qcad/qcad
  *  e2a62b3a2 - Translated using Weblate (English)
  *  eb66ab3a1 - restrict editing to working set
  *  bdf52237b - update translations
  *  fd70f3bb6 - update translations
  *  848db5b34 - fix file
  *  bff07d7e7 - no relative zero point restoring when resuming default
    action
  *  a8069b582 - fix potential crash when isSelected is called for an
    entity that is not on a layer (yet)
  *  1c8bced7d - Merge branch 'master' of github.com:qcad/qcad
  *  b602bceba - fix splitting up xlines
  *  d78924ce7 - Translated using Weblate (English)
  *  868531c21 - update script bindings
  *  b6aad24ee - add REntity::isInWorkingSet
  *  574c91adb - improve warning text
  *  219bbfbc3 - update translations
  *  eca9d66a2 - Translated using Weblate (Portuguese)
  *  162ae92a8 - Translated using Weblate (Dutch)
  *  36f5c58c8 - Translated using Weblate (Italian)
  *  8de26fdbf - Translated using Weblate (French)
  *  9e55d0ef9 - Translated using Weblate (Spanish)
  *  f991916cb - update script bindings
  *  262f7effc - formatting
  *  ece9b6cb2 - suspend default action on quit
  *  6c8cf2533 - add working set property lock entities not in working
    set add new entities to working set fade entities not in working set
    lock block list when editing a working set
  *  e99a26b91 - call EAction.suspendEvent for default actions
  *  2977035a4 - Translated using Weblate (German)
  *  a3d077a0e - Translated using Weblate (English)
  *  280dd2b8d - update translations
  *  b7604fb4a - update translations
  *  556402218 - change default line weight to 0
  *  0cda54c7e - change default line weight to 0
  *  65a096831 - update
  *  166ffdd26 - back port to Qt 5.5
  *  494c41b75 - add more QImage script bindings
  *  15fd6d8d7 - set version to 3.25.2.3
  *  48d351a26 - fix FS#2129 - Info > Polyline Area: Overlapping labels
  *  248024db1 - add tool title to transaction log
  *  8d2a2c0e9 - fix insertion of points into splines that are closed
    but not periodic
  *  5353fd0a0 - update custom layer sorting
  *  5d257c997 - ignore entities on non-snappable layers
  *  b2ed85e47 - update script bindings
  *  2212d3d8d - add layer sorting functor for advanced layer sorting
    (custom ordering)
  *  5cde8a200 - enable opengl plugin by default
  *  6e8e064a1 - update script bindings
  *  5f2d2b98b - add isEntitySnappable
  *  5f06885f0 - don't choose entitis on non-snappable layers
  *  9fd9e996a - add isLayerSnappable
  *  f402f81f3 - update translations
  *  d9b951cdd - update translations
  *  406deade8 - update support for text in background decoration
  *  1412bba5a - fix transaction type initialization
  *  8b8326ee4 - Merge branch 'master' of github.com:qcad/qcad
  *  a64489d6c - set version to 3.25.2.2
  *  762cc01ba - Translated using Weblate (Chinese (Simplified))
  *  ff5f175a8 - Translated using Weblate (Chinese (Simplified))
  *  d293e167b - Translated using Weblate (Chinese (Simplified))
  *  ac01a250e - Merge branch 'master' of github.com:qcad/qcad
  *  2375848fe - update manual, qrc
  *  439d0a02c - add support for text in background decoration
  *  83440169f - add Prnt proxy for advanced features
  *  109fe1dd6 - Translated using Weblate (Chinese (Simplified))
  *  79f5ca057 - update script bindings
  *  4ab5b568c - add isText, isImage
  *  fbca53aea - update
  *  dee0ea58c - add option to copy (paste) empty blocks
  *  f445347ba - performance improvement for layer locking
  *  b0442b2bd - add text test

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 13 Nov 2020 01:03:44 +0300

qcad (3.24.0+git7926-2895712a5-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 2895712a5fdd41358395a27999a6db3a7a5a34ab
  * Date: 1602771272
  * git changelog:
  *  2895712a5 - update translations
  *  484a5d99d - update qrc
  *  d576bbc44 - update script bindings
  *  f85c2fdfb - set transaction type to fix performance when changing
    layer / layer selection
  *  36b3b5d34 - performance fix for layer changes, layer selection
  *  d21e0f7cb - add transaction type
  *  d4954d671 - set version to 3.25.2.1
  *  d0e50deea - add transaction type enum
  *  9d9bb4e6d - add debugging output for long transforms (disabled)
  *  1e3f91d99 - add text codec test
  *  df0807a07 - update translations
  *  d6094c21c - set relative zero when snapping to point with distance
    manual
  *  ff0b75fe9 - fix FS#2123 - File > Print: Crop marks not printed
  *  710b9bda8 - Script bindings for Qt 5.15.1
  *  254bd8524 - Add end of line punctuation so the help is correct.
  *  82af62699 - Improve the script path processing.
  *  9169ad346 - import paths as polylines if possible
  *  e04b7640c - update translations
  *  bd847210b - set version to 3.25.3
  *  34c596e56 - don't use sprintf
  *  0a7093c4a - fix formatting of property values in Architectural
    format

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 16 Oct 2020 09:34:07 +0300

qcad (3.24.0+git7901-44b592beb-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 44b592beb043a8a12289c885d531ea8766225e9a
  * Date: 1601644050
  * git changelog:
  *  44b592beb - unify proxy check
  *  9e74a6b96 - update translations
  *  77965676e - Translated using Weblate (Chinese (Simplified))
  *  b7f2a9877 - Translated using Weblate (Chinese (Simplified))
  *  1305b4559 - fix image drag and drop
  *  46e8d9fd4 - Translated using Weblate (Chinese (Simplified))
  *  80b2ff395 - only load OpenGL plugin if explicitely requested
  *  29f764be6 - update translations
  *  5b5b4bf08 - add QImage::Format_Grayscale8 to script bindings
  *  016de342a - improve warning about recursive blocks
  *  7dbbf380f - Translated using Weblate (Chinese (Simplified))
  *  3843f3fec - Translated using Weblate (Chinese (Simplified))
  *  957d8d0b4 - improve image selection
  *  16b47f979 - update translations
  *  5aae989ba - update script bindings
  *  9fbc5d7bb - fix ecma bindings for RPattern
  *  6a612c6a0 - Translated using Weblate (Croatian)
  *  9dd0fd62d - Translated using Weblate (Croatian)
  *  c24518823 - Translated using Weblate (Croatian)
  *  e23c098ca - Translated using Weblate (Croatian)
  *  969153462 - Translated using Weblate (Croatian)
  *  eee5213fb - Translated using Weblate (Croatian)
  *  fb292f968 - user interface scaling under windows
  *  2f4359b92 - update script bindings
  *  b81f3f82f - update translations
  *  b677d85ae - update
  *  3065eccdf - Translated using Weblate (German)
  *  a5691aef1 - update translations
  *  75b374bd4 - update translations
  *  83e393928 - Translated using Weblate (Portuguese)
  *  40642be77 - Translated using Weblate (Dutch)
  *  cad772f02 - Translated using Weblate (Italian)
  *  668e84f73 - Translated using Weblate (French)
  *  b7e5adbe9 - Translated using Weblate (Spanish)
  *  0d11ee930 - Translated using Weblate (English)
  *  4a4f59a82 - Translated using Weblate (German)
  *  fda6eb2e3 - update translations
  *  d874909f5 - update translations
  *  6b0fb447e - add explanation
  *  2037efa2d - set version to 3.25.2.2
  *  cbe9e11f6 - update qrc
  *  1c66aba26 - add palette listener, switch from light to dark on the
    fly
  *  287b83105 - set version to 3.25.2.1
  *  bea3408a5 - fix copying of hatch leading to invalid / empty
    bounding box fixes: FS#2117 - BBOX inconsistent output
  *  7c6ad1561 - fix type casting
  *  97d17c0ec - fix bounding box mix up
  *  f1b5fb0a5 - fix reopening of files if no file was open on quit
  *  710f8df9f - update high dpi support
  *  8c93788db - update
  *  9d2bc4a45 - update script bindings
  *  e2237920f - alt double-click to select connected entities on same
    layer
  *  5d2d9f05d - add option to limit selection to same layer
  *  9555a3dba - queryIntersectedEntitiesXY, queryIntersectedShapesXY,
    queryConnectedEntities: add parameter to restrict search to same
    layer
  *  4e69b0f42 - add support for persistent QSlider
  *  45745c9eb - update user manual
  *  68a9b8187 - update qrc
  *  57eb7a49c - update script bindings for QFile::write
  *  8df609746 - fix rendering of thin segments of polyline with
    individual thickness
  *  8884a3a2b - add UI preferences page
  *  68bf13c69 - performance fix

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 03 Oct 2020 02:39:38 +0300

qcad (3.24.0+git7836-eac5ba7e9-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: eac5ba7e9064a8b8b5cb728f1956708a85787cb0
  * Date: 1600171681
  * git changelog:
  *  eac5ba7e9 - add rotation option for rectangle from 2 points
  *  40022f543 - update experimental code
  *  aca76612c - fix block dialog: select text in block name line edit
    when creating new block
  *  eb123d738 - update script bindings
  *  2dd09bb38 - improve exploding of polylines with segment widths
  *  c18ecd226 - add isSplineEntityWithFitPoints
  *  6e87085c8 - add getReversed, getLeftRightOutline (proxy)
  *  d223d5b95 - add RSpline::removeFirstFitPoint
  *  c7151bbce - add standard warning
  *  98f92a5a2 - performance: avoid unnecessary bounding box
    calculations
  *  bbcd195f1 - update script bindings
  *  3d298f186 - add additional, faster check based on RTTI
  *  6a8cd87fd - add static QRegExp object for reusage (performance)
  *  298f718b8 - make sure dimensions don't loose connection to
    dimension block on update (preferences)
  *  4a6150149 - fix icon
  *  753946188 - set version to 3.25.2
  *  c07edd551 - update icons
  *  db3bce724 - optimize / refactor icons
  *  56bdf033b - optimize / refactor icons
  *  29c11653b - add test mode to run tests with deployed binaries
  *  c03c932c4 - set version to 3.25.1
  *  bfc5f859a - update FlexPainter
  *  cdf0a74f9 - extend file lookup

 -- Alexander Pozdnyakov <almipo@mail.ru>  Wed, 16 Sep 2020 09:46:24 +0300

qcad (3.24.0+git7812-56ab0d78d-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 56ab0d78dd719b354d4446e8825ad42004ede1ac
  * Date: 1598510747
  * git changelog:
  *  8783b6d98 - set version to 3.25.0.1
  *  163000503 - deselect all before printing
  *  a3f1c61c9 - fix spelling
  *  86cd9f4bd - add stretching for tolerances
  *  427c179ee - set layer id of dimension arrow block ref
  *  a27478fae - add script bindings for Qt 5.15.0
  *  fd93e1cd5 - fix some bugs when compile
  *  1dac9fc1a - Translated using Weblate (Czech)
  *  2e6400e09 - port to VC 2017
  *  18ad233fe - update ellipse validation
  *  9c04e6612 - add comments
  *  df6e5230e - check if projected ellipses are valid

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 28 Aug 2020 09:42:06 +0300

qcad (3.24.0+git7792-3bbd784d1-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 3bbd784d1425b18d3085242de0c737db6ea07ff9
  * Date: 1596806228
  * git changelog:
  *  3bbd784d1 - always operate on clone
  *  746e30499 - remove sleep function
  *  a5d0d78f0 - typo
  *  e443730b1 - update translations
  *  59b3dc1e9 - update deug info
  *  779fb6d45 - refactor icon lookup based on theme
  *  bb8e3388c - fix building with QT 5.15

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 16 Aug 2020 16:09:18 +0300

qcad (3.24.0+git7783-ff9c58081-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: ff9c58081462ca76b2f4a782d792da7dc10f49e7
  * Date: 1595016132
  * git changelog:
  *  ff9c58081 - fix fixed extension line for arc length dimensions with
    parallel extension lines
  *  a48fc9e70 - update copyright
  *  bf5dedaa0 - update
  *  01545b8f4 - update translations
  *  f7800559c - update translations
  *  3d112b0ba - add warning dialog for dimensions if scale is not 1
  *  cfc2918c3 - add warning if dimension scale is not 1
  *  ff8d02904 - update version
  *  48356477b - update splashscreens
  *  9d3b5c6cc - update translations
  *  11d03b370 - set version to 3.25.0
  *  8c84e7609 - force dimclrt to ByBlock
  *  efc4d3717 - add isColor, isValidColor
  *  e214950ba - fix potential exception

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 20 Jul 2020 10:51:51 +0300

qcad (3.24.0+git7769-508a6540e-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 508a6540eb4448ed562166b6e8f6917847e84e59
  * Date: 1593458482
  * git changelog:
  *  508a6540e - update translations
  *  b58032352 - Translated using Weblate (Portuguese)
  *  f1a6067fd - Translated using Weblate (Dutch)
  *  e6c40be3e - Translated using Weblate (Italian)
  *  9c777c04e - Translated using Weblate (French)
  *  ac1e98788 - Translated using Weblate (Spanish)
  *  1cfb36cb8 - Translated using Weblate (English)
  *  5d53535b9 - Translated using Weblate (German)
  *  07c34a51a - spelling
  *  87b49709d - update translations
  *  10d14f9b0 - Translated using Weblate (Italian)
  *  e9632e59d - update high res cursor
  *  ae782dce7 - rename vars
  *  5e43583be - include device pixel ratio in about dialog
  *  78dcd3fdb - don't use more than 6 threads by default
  *  bf197828a - update translations
  *  942160a55 - Translated using Weblate (Danish)
  *  7b6961d77 - clean up
  *  4e5dccd88 - update cursor with high res display
  *  1b6707ab4 - update
  *  f5cff43a3 - fix text label color rendering
  *  8b5e9160f - update
  *  589d9cd48 - fix text label color rendering
  *  2fd3a93ff - update user manual
  *  c1e91f39e - update translations
  *  78fcef68f - Translated using Weblate (Portuguese)
  *  6dd378b00 - Translated using Weblate (Dutch)
  *  1fc32389c - Translated using Weblate (Italian)
  *  5f00c89ad - Translated using Weblate (French)
  *  3fdc51b70 - Translated using Weblate (Spanish)
  *  65e079986 - Translated using Weblate (English)
  *  c981a3e2d - Translated using Weblate (German)
  *  6713ab10e - Translated using Weblate (Portuguese)
  *  23cde33f0 - Translated using Weblate (Dutch)
  *  a9462a942 - Translated using Weblate (Italian)
  *  cc6cc2a44 - Translated using Weblate (French)
  *  50028a556 - Translated using Weblate (Spanish)
  *  1fb97ae46 - Translated using Weblate (English)
  *  3b3ebc57f - Translated using Weblate (German)
  *  3b09e9805 - update translations
  *  f2aa5d22f - fix rendering
  *  7555a4d6c - fix tolerance rendering
  *  95cc528ac - explode tolerance entities
  *  0ee42f89b - update tolerance support
  *  7f857ce4f - add gdt font
  *  41af31436 - update

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 03 Jul 2020 11:54:16 +0300

qcad (3.24.0+git7719-9798e8f61-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 9798e8f61d15adffb4fbb1337fbfce7cfef07d8a
  * Date: 1592657783
  * git changelog:
  *  9798e8f61 - update script bindings
  *  c87d1f281 - add getFields
  *  546cd82c6 - add isToleranceEntity
  *  7e1bcb920 - update translations
  *  59490af09 - update script bindings
  *  b34748086 - fix FS#2090 - Snap > Auto Snap: intersections of
    pattern with other entities with cursor close to boundary
  *  ec29cd642 - optimization
  *  5c86b4e8d - support multiple lines for tolerances
  *  b810b347a - implement transformations for tolerance entities
  *  cda8c0884 - implement reference points for tolerances
  *  dde90bcea - update script bindings
  *  5f6a66b71 - add tolerance entity implementation
  *  dda3659be - clean up
  *  be37fae4d - ignor extra characters in font changes (\f and \F)
  *  2df0bae3a - fix FS#2089 - Property Editor: Linetype Scale and Draw
    Order wrongly marked with inch symbol
  *  78954a03d - set version to 3.24.3.10
  *  efaa7ef71 - refactor, clean up
  *  392420e79 - RSettings::getIntValue: return default value if
    conversion fails
  *  ddb50bc64 - add thread count preference
  *  611758ee3 - Fixed some spelling erros and added new translations
  *  33416049a - update example
  *  0e01daf06 - update translations
  *  adb9a7955 - update script bindings
  *  45d13523c - add support for backward / upside down text
  *  aca055615 - Translated using Weblate (Portuguese)
  *  0d0ca7f5a - Translated using Weblate (Dutch)
  *  47f191f46 - Translated using Weblate (Italian)
  *  fabe932aa - Translated using Weblate (French)
  *  3503d90ac - Translated using Weblate (Spanish)
  *  bf6375fac - Translated using Weblate (English)
  *  c5eb39571 - Translated using Weblate (German)
  *  504299bc8 - change mirror dialog default to "keep original"
  *  6dfb9f79e - default MIRRTEXT to 0 for new documents
  *  bd8eada30 - set version to 3.24.3.9
  *  66fa03dce - update translations
  *  43b7df10a - fix FS#2085 - Drag and drop: moving single polyline
    vertex moves also polyline segment
  *  32f9c8c64 - disallow negative x-scale
  *  2800390d6 - update
  *  09bb18321 - add translations
  *  2cd21bfdb - update qrc
  *  c3c054a18 - fix FS#2083 - Viewport: Fixed extension line length of
    dimensions not scaled with viewport
  *  0674c1637 - Translated using Weblate (Danish)
  *  c19096804 - update translations, add Danish translation sources
  *  7da37a299 - update translations, add Danish translation sources
  *  43bfca26a - position exported texts with transforms (position,
    angle, x scale)
  *  2cab06766 - only allow negative x scale for simple texts
  *  894d6df61 - add support for datum indicator
  *  5460f92e0 - fix selection of leader with custom arrow head

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 20 Jun 2020 19:09:40 +0300

qcad (3.24.0+git7669-52a2fec2a-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 52a2fec2a4ad8de9f7559b880c97eaf3e85df60e
  * Date: 1591376628
  * git changelog:
  *  52a2fec2a - update script bindings
  *  ca75079ed - add getDimLeaderBlockId, setDimLeaderBlockId
  *  59183c8e8 - fix font setting for Qt 5.13+ builds
  *  ff7c8c3f6 - add script bindings for
    QTextCharFormat::setFontFamilies
  *  828df3a38 - update
  *  7f3c8ca67 - clean up
  *  897455d03 - update translations
  *  31b6bbe33 - update licenses
  *  0fed7c681 - update
  *  0dae9cf97 - expose number format to user for max flexibility
  *  cdf08f8ad - update qrc
  *  5febd15a9 - refactor counter, support padding and precision
  *  11bf571ac - add numeral lib
  *  f1055e0f5 - always use color correction override if set
  *  2c513c8b8 - always apply color correction override
  *  ce8f9861c - port to Qt 4
  *  49cb04ebe - update translations
  *  25e9c7014 - Translated using Weblate (French)
  *  11b2d6990 - update
  *  4dead74ea - Translated using Weblate (English)
  *  f2b8da0f4 - update translations
  *  e05ed8053 - update
  *  9db7b7e42 - added width for zero padding
  *  29040f955 - update
  *  714a4003f - fix FS#2082 - File > Print / PDF Export: Handling of
    block references on non-plottable layer
  *  da6d25c09 - set version to 3.24.3.8
  *  592eae9d6 - update qrc
  *  2c41a66ec - create bitmap file with depth 1 for monochrome bitmaps
    without antialiasing
  *  114834ac4 - set relative zero to center of selection on Edit > Copy
    / Cut
  *  e5491e279 - default PDF version to 1.4
  *  53ca20b2f - port to Qt < 5.10
  *  370a16ec4 - port to Qt < 5.10
  *  9b87c6d34 - add tests
  *  10e007807 - FS#2080 - Modify > Stretch: Hatch moves instead of
    stretching
  *  b57fe3e61 - update translations
  *  ea0986d98 - Translated using Weblate (Portuguese)
  *  846578436 - Translated using Weblate (Dutch)
  *  224405ec3 - Translated using Weblate (Italian)
  *  2041d2352 - Translated using Weblate (French)
  *  cdeeb48a6 - Translated using Weblate (Spanish)
  *  d2f2e93ea - Translated using Weblate (English)
  *  2cd534bf8 - Translated using Weblate (German)
  *  406d914ab - update translations
  *  42e4cea42 - add support for PDF/A-1B output
  *  7ad9df49f - fix FS#2078 - Draw > Hatch: Small gap tolerated by
    QCAD, not by DXF/DWG
  *  70ecb8a93 - insert small bridge element when creating hatch with
    gap in boundary
  *  cb17acf49 - add imperial patterns
  *  73a5e38f5 - update translations

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 06 Jun 2020 11:22:27 +0300

qcad (3.24.0+git7621-65a6b9838-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 65a6b9838e0d356af31e01dece035da157833708
  * Date: 1590314455
  * git changelog:
  *  65a6b9838 - macOS
  *  d8dfb889d - macOS
  *  f745e1478 - Translated using Weblate (Portuguese)
  *  7cae20416 - Translated using Weblate (Dutch)
  *  14175abe8 - Translated using Weblate (Italian)
  *  e119913eb - Translated using Weblate (French)
  *  f450772da - Translated using Weblate (Spanish)
  *  5476bc491 - Translated using Weblate (English)
  *  1a342709c - Translated using Weblate (German)
  *  15e0d8196 - Translated using Weblate (Portuguese)
  *  2ad5308d2 - Translated using Weblate (Dutch)
  *  b72a68fcf - Translated using Weblate (Italian)
  *  361d0b6a6 - Translated using Weblate (French)
  *  2b7f54a99 - Translated using Weblate (Spanish)
  *  5ecf1054b - Translated using Weblate (English)
  *  0d375f171 - Translated using Weblate (German)
  *  0a1f88920 - update translations
  *  429045b47 - change hatch transparency -> alpha
  *  f9118206f - set version to 3.24.3.7
  *  83e0c15ea - auto save dimension text color
  *  2c143bf31 - don't set dimension text color to text if color is
    ByBlock
  *  1de30332a - initialize default dimension text color
  *  7ec560b7a - fix handling of default value for
    RSettings::getColorValue
  *  9fd160765 - update script bindings
  *  7117a967c - explode with correct dimension text label color
  *  148efb174 - add support for dimension text color
  *  e642f174f - add dimension text color property (disabled for now)
  *  7f462f698 - add dimension text color property (disabled for now)
  *  c45b35149 - add dimension label text color to dimension preferences
  *  baf42d192 - add support for color document variables
  *  9cf6afe60 - make contructor with color name explicit
  *  00e3d160f - update translations
  *  9cdf4e724 - Translated using Weblate (Portuguese)
  *  7a64bbe63 - Translated using Weblate (Dutch)
  *  839c55374 - Translated using Weblate (Italian)
  *  3158beeb8 - Translated using Weblate (French)
  *  c84003ff8 - Translated using Weblate (Spanish)
  *  7fcedab28 - Translated using Weblate (German)
  *  91b2805b6 - Translated using Weblate (French)
  *  0d06556a5 - Translated using Weblate (Spanish)
  *  9ef58aa9a - Translated using Weblate (English)
  *  824806e84 - Translated using Weblate (German)
  *  d44f6dd34 - Translated using Weblate (English)
  *  f19c5cbc5 - update translations
  *  0ca1e04b6 - set version to 3.24.3.6
  *  c3b30321d - add experimental code for mirroring texts, disabled
  *  f25e3d0bc - avoid trailing space in translated string
  *  ad117ff78 - Translated using Weblate (French)
  *  dce99739c - Translated using Weblate (German)
  *  3bcfac3c6 - Translated using Weblate (German)
  *  96e3d3ab4 - Translated using Weblate (German)
  *  dd50a91be - Translated using Weblate (Dutch)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 25 May 2020 00:29:43 +0300

qcad (3.24.0+git7569-50771e08e-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 50771e08e2bed64f322e308741edebbde889cc52
  * Date: 1589299886
  * git changelog:
  *  50771e08e - Translated using Weblate (German)
  *  24c600df8 - Translated using Weblate (German)
  *  6c09fccbc - Translated using Weblate (German)
  *  b2bc54524 - Translated using Weblate (German)
  *  acdb8bddd - update script bindings
  *  9b7a939c7 - add RTransform with reproducible transformation steps
  *  bffa1c73c - add Qt::Axis metatype
  *  de7b1988f - fix FS#2073 - Property Editor: Imperial Area info
    incorrect
  *  7912006dc - add script bindings for Qt 5.12.8
  *  4db2f2bb0 - add transparency property for hatches
  *  3df006b2d - formatting
  *  e0ab94a0b - update translations
  *  017564ac1 - Translated using Weblate (Italian)
  *  b33af2e3e - fix include
  *  0514cc64a - single threaded text layout painting
  *  0c308acb8 - fix include
  *  f87c420fb - potential fix for multithreaded text rendering problem
  *  6e4200702 - set version to 3.24.3.5
  *  b426a2dd2 - fix persistent highlighting (see FS#2066)
  *  8157bc3cb - update translations
  *  3d4399101 - Translated using Weblate (Slovak)
  *  752f58baa - update
  *  c6d1afa47 - fix FS#2067 - Attributes with fixed color

 -- Alexander Pozdnyakov <almipo@mail.ru>  Wed, 13 May 2020 12:48:07 +0300

qcad (3.24.0+git7546-228c86ad0-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 228c86ad0446fc92fc028aaf72d5bc174ac33190
  * Date: 1587718755
  * git changelog:
  *  228c86ad0 - update translations
  *  22a95fc0b - set version to 3.24.3.4
  *  fb609ce1d - Translated using Weblate (Slovenian)
  *  c8fc77529 - Translated using Weblate (Slovenian)
  *  3fbea3ff0 - Translated using Weblate (Slovenian)
  *  184e09ea5 - update qrc
  *  b68573096 - store open file list on exit
  *  4780c401a - allow plugins to extend autostart
  *  a6c46da7d - add silent mode for file open
  *  f82808473 - move startup preferences to plugin
  *  73d4db3e0 - set version to 3.24.3.3
  *  a468b02ff - fix FS#2065 - Viewport: three dimensional entities not
    rendered
  *  d0cf5da88 - update
  *  0e928a647 - update doxygen file
  *  368eac98b - set version to 3.24.3.2
  *  d658fd4a3 - fix trimming of rays in blocks
  *  8293eb8fe - update script bindings
  *  31a711d24 - add painter path type for XLines, refactor / fix
    trimming of XLines in blocks to viewing area
  *  f2d13b6e4 - add RBox::transform
  *  abdd9713c - update de user manual

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 25 Apr 2020 10:51:26 +0300

qcad (3.24.0+git7525-c2c1e9bce-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: c2c1e9bce90ad99c28ec52f189bcbeaae564d47b
  * Date: 1586337655
  * git changelog:
  *  c2c1e9bce - add Qt 5.14.1, 5.14.2 script bindings
  *  36630c967 - fix FS#2061 - Insert Library items fails to update
    relative zero point
  *  2ddb6cc4a - fix: FS#2058 - Modify > Move, Rotate, ...: "Use current
    layer and attributes" leads to error in undo
  *  2381f64a3 - Translated using Weblate (Slovak)
  *  30819f298 - support special case of uniform scale of hatches
  *  7a7cff125 - fix minimum linetype scale when printing hairlines with
    a drawing scale

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 10 Apr 2020 02:27:20 +0300

qcad (3.24.0+git7517-682e4991a-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 682e4991acd160cf556570a5b1da391ae75171d0
  * Date: 1584516172
  * git changelog:
  *  682e4991a - set version to 3.24.3.1
  *  a3bef72c1 - update
  *  6e718a82b - update translations
  *  e2e4f51b3 - Translated using Weblate (French)
  *  f19a7c8ca - update translations
  *  98e7ffc24 - update Portuguese translation
  *  dea98d772 - update translated strings
  *  a882723b8 - update translated strings
  *  cc45f92ab - update translated strings
  *  b4a1e4042 - fix recursion
  *  124fd50ad - update translations
  *  4d07d72ef - update translations
  *  f0a9c1937 - Translated using Weblate (Portuguese)
  *  3e0bde67c - Translated using Weblate (Spanish)
  *  0c799e4e5 - remove translator comments
  *  a042e085a - update pt translation
  *  f52cf04c6 - Translated using Weblate (Spanish)
  *  6dca8dbff - Translated using Weblate (Italian)
  *  d3cd616ba - Translated using Weblate (German)
  *  412ce7745 - Translated using Weblate (French)
  *  271650111 - update translations
  *  3bd4a9765 - update translations
  *  f597fee20 - Translated using Weblate (French)
  *  748ac66f2 - update translations
  *  400d2c272 - fix exception when projecting hatches
  *  307a797ff - fix FS#2053 - Dots in line patterns not visible at
    extreme coordinates
  *  84db43022 - remove duplicate last vertex of closed polyline
  *  0ea75f4b9 - update
  *  a8ad52f08 - fix projection of polyline with zero length segments
  *  15a49e426 - set version to 3.24.3
  *  4a9ed12d7 - fix fr translation
  *  afd11266e - update non-translatable string
  *  83b8a1fbe - update translations
  *  20adf3a40 - Translated using Weblate (Spanish)
  *  377aa11f4 - Translated using Weblate (Portuguese)
  *  dda7a1b9d - Translated using Weblate (Spanish)
  *  a4ca7acfe - update translations
  *  85f6c6b2d - clean up
  *  a5bd634be - fix math line edit text color when enabling / disabling
    widget
  *  0fafdaaa3 - set version to 3.24.2.8

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 20 Mar 2020 22:13:21 +0300

qcad (3.24.0+git7474-da6b4eb7c-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: da6b4eb7c0270f45d25c7ed462356eb88993d071
  * Date: 1583484946
  * git changelog:
  *  594a83533 - Translated using Weblate (French)
  *  04e0a42ab - Translated using Weblate (French)
  *  e8fafe776 - fix FS#2051 - Window selection of rotated and aligned
    dimensions with large extension line offset
  *  271c2b8d9 - allow editing values in property editor in imperial
    architectural or engineering format
  *  75093f688 - trigger restart warning when changing preferences
  *  981a8c07a - fix initialization of RSettings before first call to
    RSettings
  *  635f5df7c - switch off leader arrow based on dimension scale
  *  8a067e5ff - allow user extensions to patterns, linetype, etc in
    QCAD config dir
  *  2cc7b8476 - remove obsolete theme resources
  *  fb8167e00 - update tooltip
  *  fe8000e92 - define dark theme in plugin
  *  74c63d7fc - only load theme plugins if configured theme matches
  *  284925cc0 - if theme requires plugin: only load theme if theme
    plugin is available
  *  374a12594 - typo
  *  2e0baaf4b - fix attributes when projecting
  *  75952c2c7 - use readTextFile to load CSS
  *  a06a0ea4e - remove QFrame sunken frame for dark theme
  *  c5b42e1d9 - set version to 3.24.2.7
  *  663ba322d - fix alt-click to select overlapping entities
  *  e93a75a90 - update script bindings
  *  a355b3170 - use configured default lineweight
  *  0c019cdc5 - add noDefault parameter
  *  4875e35a8 - add noDefault property to lineweight combo box
  *  e867f62f5 - move default lineweight preference
  *  46d4fb15a - rename preference for layer defaults
  *  75e5fed49 - fix recursion
  *  15c4dac73 - refactor, fix DIMADEC defaulting to DIMDEC
  *  8c3d7159e - configurable tolerance for double-click to select
    contour
  *  62f36b3b5 - update copyright
  *  2dbf3d260 - only apply global scale for model space, not for
    viewports or other blocks
  *  480ee7395 - update
  *  9020526b6 - update
  *  7d34e16ca - add / update hatch patterns
  *  189a6aa51 - set version to 3.24.2.6
  *  dd068a48d - fix reference to macOS
  *  a3beb1acf - add licenses tab
  *  0060708ab - add support for retaining texts through projection
  *  a6f41d228 - spelling
  *  b1c92302f - set version to 3.24.2.5
  *  a2c620b4a - increase max number limits

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 06 Mar 2020 16:10:09 +0300

qcad (3.24.0+git7433-3f286af93-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 3f286af93cba911ded66c135397c8a3c640dc2b6
  * Date: 1581083371
  * git changelog:
  *  3f286af93 - update translations
  *  c5583a061 - update
  *  56909a4af - fix output precision
  *  af9c421ef - fix deselection of projected output
  *  a9a528513 - set version to 3.24.2.4
  *  14fca7763 - update translations
  *  88a7b101c - set version to 3.24.2.3
  *  f9ce4ed01 - fix test
  *  31796bc79 - update
  *  43d9056d6 - fix crash with huge number of segments
  *  d13c07573 - update script bindings
  *  e075065ff - fix FS#2038 - Cannot snap arc / circle reference points
    inside blocks
  *  55f9aadb0 - progress debug info
  *  e283a1dbc - clean up
  *  1de529d45 - set version to 3.24.2.2
  *  ad6dbea19 - always export combined and separate transforms
  *  3f56b0695 - always export combined and separate transforms
  *  4edbec040 - update script bindings
  *  31766b41d - add noInfiniteEntities parameter to
    queryIntersectedShapesXYFast
  *  d83732fb6 - project solid fills
  *  7fcc0b89a - update
  *  7a5922b0e - fix FS#2035 - Linetype scale in viewports
  *  bc41708ff - compile fix
  *  3edb4fa29 - tolerate formatting with multiple | tolerate floating
    point numbers ending in .
  *  27d5b8de4 - add support for meta data in image header
  *  d343f7a1d - fix predictability of getPointOnEntity
  *  ee8100e56 - add missing project file
  *  b9151b76e - fix FS#2032 - Draw > Circle > Three Tangents: Cannot
    select third tangent
  *  96a13b724 - update translation
  *  deeec7814 - add Qt script bindings for Qt 5.14.0
  *  a59070cb0 - update qrc
  *  a717f573d - add unit tests
  *  b2aa7a785 - disable arrow positions for ordinate dimensions
  *  11e5cc9d4 - include origin in ordinate dimension bounding box
  *  dd647d625 - allow stretching of ordinate dimension origin
  *  cafd5203f - cancel dragging when double-clicking
  *  c118cbbab - fix FS#2030 - Cannot snap to points of mirrored blocks
  *  fde926a98 - fix stretching of ordinate dimension if origin not
    inside stretch area
  *  681bd3450 - add preference to disable alt-click to select
    overlapping entities

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 08 Feb 2020 12:41:08 +0300

qcad (3.24.0+git7394-8e275d650-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 8e275d650fc464b3e2863ba8eb19e5585ec2c50e
  * Date: 1578918526
  * git changelog:
  *  8e275d650 - set version to 3.24.2.1
  *  67adad18d - update translations
  *  624691510 - Translated using Weblate (Finnish)
  *  977d2763c - set version to 3.24.2
  *  36d38b3fe - Translated using Weblate (Finnish)
  *  f1b50b40e - update test data
  *  a6500ceb9 - fix FS#2027 - File > Print: Minimum line weight for
    printing is 0.01 drawing units
  *  d6ec905c2 - update comments
  *  890c223b9 - update script bindings
  *  d97e47e42 - add transform parameter to queryEntity
  *  049c3f92a - set version to 3.24.1.1
  *  5a6eaad14 - update translations
  *  c39fa6d5d - improve rendering quality of polylines with width
  *  4d0b3e13b - fix test
  *  b88a12a95 - formatting
  *  1d7e939b3 - ignore appendix of \pxsm text command (e.g
    \pxsm1.5,qc;)
  *  52f36eb21 - typo
  *  c6909b233 - compile fix
  *  f29f4122e - compile fix
  *  e08d0088a - update credits
  *  5da8a7a2f - fix double export of dashes of splines and polylines
  *  4968282ad - update patterns
  *  318d2f731 - add crank wheel library item from
    https://github.com/sganz/CrankWheel
  *  a0a8d5b89 - set version to 3.24.1
  *  d8213664d - fix FS#2020 - Edit > Paste: Wrong position for block
    references with different drawing units
  *  92bbee35b - update qrc
  *  6cd857b16 - compile fix
  *  66e4583ed - update translations
  *  fd4ca305e - adjust pressure angle
  *  3c5507e77 - update
  *  0d5800372 - port to Qt 4
  *  6d0cc783b - fix FS#2017 - Rendering of arcs in blocks with scale
    factor > 1
  *  99d3a15ef - call exporTransform of RExporter
  *  d97d148ed - update ScaleTest09
  *  4fcbe7fb5 - performance fix
  *  ebba9603a - add warnNotArc
  *  ddabdeb48 - set version to 3.24.0.1

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 18 Jan 2020 13:51:50 +0300

qcad (3.24.0+git7354-6da5eb96b-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 6da5eb96b499c2fa7df85470facba107c3943626
  * Date: 1576749682
  * git changelog:
  *  6da5eb96b - add test
  *  5f0219fea - fix non-uniform scaling of hatches
  *  d111c0fd4 - fix exception when non-uniform scaling hatch
  *  fe42a201f - update
  *  9b067d7dd - update translations
  *  465b723db - update
  *  78162b1d2 - Translated using Weblate (Russian)
  *  272a23bac - add keycode, command
  *  bb34876a2 - fix exception, port to qt 4
  *  de32b43eb - set default value for PainterSelection combo
  *  ca8c2d58e - refactor to remove global functions
  *  bdf27c42f - port to Qt 4
  *  b92040e56 - fix build on 32-bit, see
  *  da1b9dfc2 - port to Qt 4
  *  c6230a110 - add OS names for FreeBSD, NetBSD and Solaris.
  *  d4ea687c4 - add <cstring> to includes for strlen() prototype, see
  *  4d8e7e852 - update user manual
  *  9f3e74895 - update
  *  f60bbfe0f - set version to 3.24
  *  bbc69aeb4 - update translations
  *  bd5a42c6f - Translated using Weblate (Italian)
  *  8804b9ded - set version to 3.24.0
  *  2a7159952 - update tests
  *  b22440a04 - remove temp file
  *  d5ec49973 - compile fix
  *  ce64fa05e - add patterns BLOCKS-01, BLOCKS-02
  *  ecd2b0ff5 - add pattern SCAFFOLD
  *  b1e31e6a7 - fix FS#2012 - Draw > Hatch > Hatch from Selection:
    block transforms not taken into account
  *  15717d0b1 - add hatch patterns
  *  ba4fa5179 - Translated using Weblate (Finnish)
  *  a179e5b24 - Translated using Weblate (Russian)
  *  cfcaf90eb - Translated using Weblate (Finnish)
  *  dcd3e5561 - set version to 3.23.0.11
  *  70f05d2e0 - update
  *  8b5c8bc13 - update translations
  *  c27e07b19 - Translated using Weblate (Spanish)
  *  89e1d443e - Translated using Weblate (Portuguese)
  *  6f5ee34ed - Translated using Weblate (Italian)
  *  3d6d43503 - Translated using Weblate (German)
  *  6243562b0 - Translated using Weblate (French)
  *  e43a99e86 - Translated using Weblate (English)
  *  d7635acc8 - Translated using Weblate (Dutch)
  *  2781651a9 - update translations
  *  5edeed3fb - update user manual
  *  0693b7daf - set version to 3.23.0.10
  *  37b6bb13e - update translations
  *  eab7e81a7 - add invisible flag
  *  75750a8fa - typo

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 22 Dec 2019 15:39:14 +0300

qcad (3.23.0+git7300-125fa17ae-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 125fa17aebfd2c25358abd029a80328d4edc5ce1
  * Date: 1575706385
  * git changelog:
  *  125fa17ae - Translated using Weblate (German)
  *  93dc380cd - Translated using Weblate (German)
  *  6bb35e752 - Translated using Weblate (Dutch)
  *  33f1e6b3e - Translated using Weblate (Dutch)
  *  404755a47 - Translated using Weblate (Dutch)
  *  22692bc54 - fix command line prompt
  *  33508c51f - update user manual
  *  f764374e8 - fix command line prompt
  *  41f3c22dd - update translations
  *  4a830046e - Translated using Weblate (Dutch)
  *  b5864273b - update translations
  *  bde7aa063 - Translated using Weblate (Dutch)
  *  203c57fc6 - Translated using Weblate (Dutch)
  *  4924b7f9c - update translations
  *  675326f0d - Translated using Weblate (Dutch)
  *  735334e0b - update translations
  *  0638fa9bc - Translated using Weblate (Dutch)
  *  69a3fa81f - Translated using Weblate (Dutch)
  *  ec8620d49 - Translated using Weblate (Dutch)
  *  e6183cc43 - update translations
  *  a037fc490 - Translated using Weblate (Dutch)
  *  b4475a08a - Translated using Weblate (Dutch)
  *  a1ec37261 - update translations
  *  56e5df458 - Translated using Weblate (German)
  *  4833e985a - Translated using Weblate (Dutch)
  *  4b762c6a6 - Translated using Weblate (Dutch)
  *  98558d2b3 - update translations
  *  94294d5df - Translated using Weblate (Dutch)
  *  0185bc9d5 - add hatch patterns
  *  a72677da0 - add hatch patterns
  *  4e8f8cd1e - update strings
  *  f06612ba3 - port to MSVC
  *  3584a4d64 - update translations
  *  4e30bb557 - Translated using Weblate (Spanish)
  *  d95996106 - Translated using Weblate (Portuguese)
  *  9435da0fd - Translated using Weblate (Italian)
  *  af35ff507 - Translated using Weblate (German)
  *  541d2bd5b - Translated using Weblate (French)
  *  7a34f4e2d - Translated using Weblate (English)
  *  6e79a5b9f - Translated using Weblate (English)
  *  f422ce115 - update translations
  *  e9cd1e439 - update translations
  *  e618d2862 - Translated using Weblate (Dutch)
  *  a0907ef50 - update translations
  *  307688e2a - set version to 3.23.0.9
  *  086951572 - fix invalid block recursion detection
  *  6ab371468 - add preference for dark icon background in library
    browser
  *  ca8509fd5 - add 3rd party hatch patterns
  *  b625b32de - fix FS#2002 - Draw > Viewport > Add Viewport: Hatch is
    offset incorrectly in Viewport
  *  5edb0ef1e - add preference for last saved by information
  *  7d79cfd2d - update translations
  *  a3e43d0a7 - re-add additional check (prevent potential crash)
  *  60968fb65 - remove pattern from credits
  *  9c0a9cb19 - remove pattern

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 07 Dec 2019 12:26:40 +0300

qcad (3.23.0+git7239-61f82cdea-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 61f82cdeac46c6a45de9b13172d8b5974f27bbdc
  * Date: 1574159430
  * git changelog:
  *  75ad4d83a - Translated using Weblate (Finnish)
  *  44cac975e - set version to 3.23.0.8
  *  e7f86b6b0 - update user manual
  *  b08e4aa97 - update translations
  *  b638c2247 - fix FS#1998 - Viewport: Dimension text not scaled
    correctly in scaled viewport
  *  a47e5e27d - fix regeneration of Xlines, Rays
  *  a9949b57a - fix revert to clear all caches
  *  b13b73ce3 - update script bindings
  *  202b36ebb - add support for line types without auto offset (offset
    0)
  *  ab69eef3e - set version to 3.23.0.7
  *  17cc17c1a - update script bindings
  *  8db28d7d7 - make RPatternLine scriptable
  *  503f5c413 - add parameter to getLines to include dashes
  *  c173205fe - add getDescription
  *  5a0621174 - fix scaling of block arrays
  *  c11038c62 - add hatch patterns, update credits
  *  29306f844 - update translations
  *  5b740b2d9 - update translations
  *  9e322386b - clean up
  *  221e47ada - update example file
  *  6b54efa7b - performance fix
  *  c7add84fe - add comment
  *  18239dc7d - set version to 3.23.0.6
  *  cb3f47de7 - update test files
  *  d12dfe0f3 - fix determination of polyline orientation
  *  6814dc581 - don't attempt to explode xlines, rays, images
  *  5406cb663 - fix FS#1993 - Draw > Insert Bitmap: relative zero point
    not set
  *  910576b48 - fix FS#1991 - Modify > Divide: Preview indicator fails
    on infinitive lines
  *  63feb4a48 - add script wrappers for Qt 5.13.2

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 22 Nov 2019 02:45:40 +0300

qcad (3.23.0+git7209-6863ce4c1-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 6863ce4c11bfba4f03d10eebd4100e4a351ddf3d
  * Date: 1573220031
  * git changelog:
  *  6863ce4c1 - add experimental multi threading code
  *  bb2459b20 - add experimental multi threading code
  *  2eb5980e3 - update
  *  ac95db49c - add property editor preference
  *  de2d6459b - allow renaming layer 0 at RLayer level
  *  eda574a6f - Translated using Weblate (German)
  *  b2dacbcaf - add affectesObjectsIdsSet for faster contains check
  *  e9a9c543f - append full circle arc as two half arcs to polyline
  *  f8da90851 - Translated using Weblate (Italian)
  *  128528db0 - Translated using Weblate (Italian)
  *  f3b4231d5 - fix FS#1986 - Page Tags set as default not displayed
  *  c1cd005c8 - add support for simple point display (hatch rendering)
  *  ae56ea683 - fix FS#1985 - Hatch dots are rendered as lines with
    fixed lenght of 0.02 units
  *  232ac042e - add simple point display mode (hatch rendering)
  *  21a288dba - update API doc
  *  0b58661da - add printer calibration option for PDF
  *  378a935cc - fix FS#1984 - Block > Create Block from Selection: Slow
    for large number of entities
  *  4e23f4e42 - add map of object type -> object ID -> object

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 09 Nov 2019 12:37:03 +0300

qcad (3.23.0+git7188-6da4edca7-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 6da4edca706fa6b4fc550a9bdb122957cfe7341d
  * Date: 1571862801
  * git changelog:
  *  6da4edca7 - update script bindings
  *  dd3ddfa9b - fix entityTransform
  *  0207003a6 - fix FS#1979 - View > Layer List: icon spacing
  *  dab03f524 - set version to 3.23.0.5
  *  7fdd7b301 - update translations
  *  488a573b7 - Translated using Weblate (Italian)
  *  83cdc6c6c - update translations
  *  1273bcb13 - update translations
  *  c409d8701 - Translated using Weblate (Spanish)
  *  31355f695 - Translated using Weblate (Portuguese)
  *  e067303f2 - Translated using Weblate (Italian)
  *  6497b4c1e - Translated using Weblate (German)
  *  69fb221d6 - Translated using Weblate (French)
  *  e410f8c1a - Translated using Weblate (English)
  *  a1e7b6b5e - Translated using Weblate (Dutch)
  *  6a1543571 - add test data
  *  e2db18a92 - add pro file
  *  e05f18d5c - add templates
  *  6658c8384 - update
  *  d0eba8bd6 - disable auto loop adding when loading files
  *  af0f67397 - update dump
  *  108d5a146 - fix for polyline orientation
  *  b66a4b89e - set version to 3.23.0.4
  *  797eb5980 - fix potential exception with entities without start /
    end points

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 26 Oct 2019 05:51:31 +0300

qcad (3.23.0+git7162-eb05ec454-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: eb05ec45408b1691252a05a69ad4e5ff98a65ce6
  * Date: 1570779889
  * git changelog:
  *  6dcb9d513 - Translated using Weblate (Dutch)
  *  b2d241c20 - update qrc
  *  a346fa3a7 - add preference to use native menu bar
  *  79198fc28 - update FlexPainter from forum
  *  543df2f89 - update script bindings
  *  e98e10e53 - add maximum lineweight
  *  df29afcc3 - make substitution optional
  *  fbd7b6332 - fix assert, substitution of Standard font
  *  13518afb4 - add test data
  *  c2f70f76a - port to Qt 4
  *  f3c3317d3 - update qrc
  *  54b17fc59 - update script bindings
  *  10dfaa2a5 - avoid invisible thin lines in PDF output
  *  7608c9dc3 - add getMinimumLineweight
  *  ecb703e9b - set version to 3.23.0.3
  *  ee4255966 - update translations
  *  dff0c312b - update script bindings
  *  b69ee0a9d - non-uniform scaling
  *  5675a26f1 - add hasArcSegments
  *  23a79aae5 - non-uniform scaling of arcs, circles, ellipses
  *  3b8f0082c - render viewport transformations
  *  f29a7f370 - non-uniform scaling of blocks
  *  d2044ddb7 - add warning on stack imbalance
  *  0b7068391 - non-uniform scaling of arcs / arc segments
  *  78f966804 - non-uniform scaling of polylines with arc segments
  *  04ffdac75 - add arc transformations
  *  659a0c811 - move transformArc and ellipseToArcCircleEllipse to
    RShape
  *  3fd6303aa - move inscribed ellipse calculation to REllipse
  *  65b431f44 - create circle for square
  *  edb0b8b77 - allow shared pointer as argument in shapeToEntity
  *  05d6736b4 - add REllipse::createInscribed
  *  201a874dd - update qrc
  *  2ff3529d3 - update script bindings
  *  21fb348b4 - compile fix
  *  db4f7508d - update test data
  *  c33fc7d0f - update exploding of blocks with transforms
  *  7b22d7ee0 - add support for exporting block transforms individually
    as translation, rotation and scale
  *  8a6989cc1 - fix font name when importing through dxflib
  *  dfc57206d - clean up
  *  f13331cec - add support for exporting block transforms individually
    as translation, rotation and scale
  *  c28613af5 - avoid zero length segment when breaking out segment
    from ray
  *  66610ace5 - drop ray with only one cut point at start
  *  4aa9c953d - refactor argument detection
  *  8b56e8b4a - fix RVector type detection
  *  087e0c92f - typo
  *  55239a033 - Translated using Weblate (Finnish)
  *  97a25fb0c - Translated using Weblate (Finnish)
  *  fa44e7011 - update
  *  5513f14f0 - typo
  *  ba68e28d3 - update comments
  *  0b8b16b88 - clean up
  *  2456e73f0 - clean up
  *  909f23ebd - clean up
  *  83b9e64e6 - clean up
  *  7c7e10de7 - add RLine::isParallel
  *  7178d81a3 - fix FS#1944 - Block toggle switch for visibility fails
  *  6871e4089 - fix background MDIs visible through transparent
    scrollbars
  *  b7904d794 - add graphics view multithreading preference
  *  f7ffbd959 - add RS::getIdealThreadCount
  *  da68fa932 - update
  *  e90ea9106 - fix FS#1942 - Draw > Circle > Two tangents and point:
    fails for case with point on bisector
  *  43b755869 - fix layer visibility

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 11 Oct 2019 17:24:33 +0300

qcad (3.23.0+git7097-2d0a33fa4-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 2d0a33fa4ba2ec200ac1d74100eaa5c4af914e37
  * Date: 1568203466
  * git changelog:
  *  2d0a33fa4 - add script bindings for Qt 5.13.1
  *  c4f5f43cf - clean up
  *  9b3f18f30 - update doc
  *  8a29076c4 - clean up
  *  9d2c22f4c - clean up
  *  84d51d36b - update qrc
  *  fca64704e - update script bindings
  *  11c98bc8d - ensure single threaded preview widget
  *  bfc8fdd53 - update multithreading for graphics view update
  *  78decc832 - clean up
  *  5bb1407eb - ensure single threaded icon generation
  *  235c99875 - ensure single threaded bitmap export
  *  e91194b02 - set version to 3.23.0.2
  *  a9484d7cb - update script bindings
  *  3fb321238 - add FlexPainter
  *  6dd23920a - update script bindings
  *  a0151e111 - use multiple threads for graphics view update
  *  d3ea9b55c - performance improvements
  *  3f5078941 - performance improvements
  *  bbd0ed5b8 - fix typo
  *  f19d8479b - update
  *  0e51fdeca - update script bindings
  *  a9c52d886 - clean up
  *  392258c77 - refactor color resolving
  *  774d441cc - performance: line bounding box
  *  0f34e00cf - use visible entity cache
  *  7d8084b72 - add visible entity cache
  *  c63dba445 - add isEntityVisible, queryVisibleEntityDirect
  *  58b898b5a - add addXLine
  *  e0ebde39c - fix potential exception

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 12 Sep 2019 05:25:01 +0300

qcad (3.23.0+git7067-48fd80525-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 48fd80525df65b51d256898aa17c1e893732b843
  * Date: 1566802064
  * git changelog:
  *  48fd80525 - update translations
  *  846642617 - Translated using Weblate (Polish)
  *  64fdf9101 - Recognize OpenBSD
  *  330678a4e - fix unsupported system message
  *  4aabaee0f - fix dark mode detection under macOS High Sierra (10.13)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 26 Aug 2019 23:56:11 +0300

qcad (3.23.0+git7059-9d3709f0e-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 9d3709f0ee7079111b8425b75890e66d32599454
  * Date: 1563872719
  * git changelog:
  *  9d3709f0e - set version to 3.23.0.1
  *  cd04d1973 - ignore tab stop definitions in texts (pt, pxt)
  *  4fa8510c2 - fix splashscreen preference
  *  42e52bf07 - update
  *  8b1df76ff - show read-only properties in different text color
  *  eaa46f6f1 - don't change palette for read only line edits
  *  5763b1346 - update translations
  *  a5318361c - update version number
  *  22161bd2d - update splashscreens
  *  5618d3898 - set version to 3.23.0
  *  18900b5ed - set version to 3.22.2.0
  *  6fbf169fe - fix property editor line edits in dark mode
  *  6858989db - add dark icon
  *  1572c068b - port to MSVC 2015 / Windows 10 / 64bit
  *  9aa95103e - add RSettings::isDarkMode
  *  615e5707c - fix tooltips for RMathLineEdit
  *  c2cc271aa - update dark mode detection
  *  5c14a935a - set version to 3.22.1.7
  *  fa929bf1e - update dark mode detection
  *  21575f562 - fix tooltips for dark mode
  *  d5d17af7d - fix first start dialog on dark mode
  *  d332ea234 - allow overriding of device pixel ratio in settings
  *  9ad45f31d - update
  *  6131d81a8 - update translations
  *  3779ee3b6 - Translated using Weblate (Slovak)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 25 Jul 2019 13:12:52 +0300

qcad (3.22.1+git7032-e0f58b0a4-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: e0f58b0a44da6a9245ab3003db10e11740e5e185
  * Date: 1563056775
  * git changelog:
  *  e0f58b0a4 - port to Qt 4
  *  a500e96c9 - update dark mode detection
  *  915bdc891 - update dark mode detection
  *  f18002645 - link in Foundation framework on macOS
  *  e1d86c104 - update dark mode detection
  *  4f58bb01c - set version to 3.22.1.6
  *  ebbe6d992 - add experimental windows dark theme detection
  *  f2d5be574 - update dark mode support
  *  508ed7704 - change entity count brackets in property editor
  *  ac72bf41f - set version to 3.22.1.5
  *  17f23d5d1 - update dark mode
  *  a7bcf7413 - update script bindings
  *  cdc5a7ff4 - add getInstance
  *  594cc1567 - update dark mode support
  *  aaf3632fa - potential fix for multiple screens with different
    device pixel ratios
  *  8aecfa61a - fix polyline orientation with arcs, clean up
  *  51fee2f39 - update translations
  *  e6711f829 - set version to 3.22.1.4
  *  7dc26d314 - update
  *  f0682eaf2 - update translations
  *  3038004e6 - Translated using Weblate (Chinese (Traditional))
  *  c407596ae - Translated using Weblate (Chinese (Traditional))
  *  54c7667d0 - update
  *  9bbf2ddaa - Translated using Weblate (Chinese (Traditional))
  *  751cb580a - Translated using Weblate (Chinese (Traditional))
  *  e849fcc74 - update translations
  *  c8cfb7086 - Translated using Weblate (Chinese (Traditional))
  *  95841aa69 - update translations
  *  c73f33dc0 - Translated using Weblate (Slovak)
  *  5a231a576 - Translated using Weblate (Chinese (Traditional))
  *  e4a24e1d2 - Translated using Weblate (Slovak)
  *  ec4d2cca0 - Translated using Weblate (Chinese (Traditional))
  *  7e1ce4fc0 - fix plugin loading order
  *  dacdb9c66 - update
  *  9be0f5ee4 - update

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 14 Jul 2019 01:56:00 +0300

qcad (3.22.1+git6992-53c1229ac-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 53c1229ac98551f6748884fefc158fb15f6b86ee
  * Date: 1561724775
  * git changelog:
  *  53c1229ac - fix ltypeshp.cxf
  *  5ce4e6ad0 - fix background erasing for transparent / not
    transparent colors
  *  a37ae6838 - update translations
  *  8bf315b3e - set version to 3.22.1.3
  *  8acec4e21 - fix FS#1909 - Blocks invisible when loading disappear
    when made visible and panning
  *  09f377986 - fix FS#1908 - dwg2maptiles: Transparent background not
    cleared
  *  5f93e51ad - update user manual
  *  b3798b000 - update ECMA conversions
  *  a9773ba2f - add isConcave
  *  000be9ec1 - fix encoding
  *  f78d9c04f - encode as UTF-8
  *  d41d23779 - corrected encoding information
  *  185bb560f - update translations
  *  a1adb45ce - always use UTF-8
  *  f645d67d3 - update SansND
  *  ba7f3a0e8 - set version to 3.22.2
  *  f91fedc68 - set version to 3.22.1.3
  *  e36962691 - fix width / height when toggling checkbox to export
    selection
  *  3a2e09f94 - update script bindings
  *  8cfb3ba8a - add tolerance parameter to getPolygonHull
  *  0b7b5117e - fix FS#1904 - File > Bitmap Export: Non-plottable
    layers not exported

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 29 Jun 2019 14:22:19 +0300

qcad (3.22.0.5+git6971-c6eff6bb1-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: c6eff6bb1b7ba722d0805d0ef81324aad95d8bc8
  * Date: 1560516874
  * git changelog:
  *  c6eff6bb1 - update script bindings conversions
  *  c430f0264 - add RShape::getPointCloud
  *  6524a7412 - update translations
  *  79929d5cf - update script bindings
  *  075669022 - update RPolylineEntity API
  *  7d7a02930 - add REntity::isTextBased
  *  c42cac4ac - fix FS#1899 - View > Auto zoom: zoom to invisible
    entities in blocks
  *  2ed4c7cb4 - port to Qt 4
  *  6ff45ecee - update credits
  *  98bf83e42 - update comments
  *  b294a0c2b - update
  *  e3ca321b6 - set version to 3.22.1.2
  *  24f233648 - Translated using Weblate (Russian)
  *  3513befa4 - Translated using Weblate (Finnish)
  *  f7f5a044c - update translations
  *  6d81b8ccc - Translated using Weblate (Spanish)
  *  827304582 - Translated using Weblate (Portuguese)
  *  6e4188c7f - Translated using Weblate (Italian)
  *  af7de4dd7 - Translated using Weblate (German)
  *  8b2de45b8 - Translated using Weblate (French)
  *  83d2ecf3e - Translated using Weblate (English)
  *  3a094b225 - Translated using Weblate (Dutch)
  *  1e6ce7215 - update script bindings
  *  246fc5c6b - improve contains for polylines in polyline
  *  5cb06a561 - update translations
  *  917a318ce - update translations
  *  878b8c14b - Translated using Weblate (Italian)
  *  38e1d4f1c - fix FS#1894 - File > Bitmap Export: points rendered too
    big
  *  5e3540f4d - add system ID for macOS 10.15 Catalina
  *  d37ab04dd - ignore text rendering code \pxsm#;
  *  57c8ccc37 - fix language switch in first start dialog
  *  8dcd96d1f - Translated using Weblate (Italian)
  *  6f1b82410 - Translated using Weblate (Finnish)
  *  173ce7eb1 - Translated using Weblate (Finnish)
  *  c2c513a04 - Translated using Weblate (Finnish)
  *  2050c98e2 - Translated using Weblate (Finnish)
  *  27c464c24 - update script bindings
  *  8465877e1 - add support for adding circle to polyline
  *  f4fb5a58b - update constness
  *  410d0bc35 - introduce RPluginLoader::initTranslations
  *  1150a4af9 - fix language switching in first start dialog
  *  ce6051d50 - use RMathComboBox
  *  9880573bd - use RMathComboBox
  *  aa3b38f67 - use RMathComboBox
  *  05b138395 - fix error color handling
  *  8cf286411 - update object name

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 14 Jun 2019 17:55:10 +0300

qcad (3.22.0.5+git6923-a618c3c40-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: a618c3c40344ac14aefdcdeabbabc3d41432fee8
  * Date: 1559140516
  * git changelog:
  *  6003fc801 - Translated using Weblate (Italian)
  *  8f66c8889 - update script bindings
  *  aec35219f - add getPolygonHull stub
  *  35c788b41 - add getPolygonHull stub
  *  f5db17c9f - add angle option to approximation functions
  *  d552a5be9 - add color conversions
  *  cd01ea03f - set version to 3.22.1.1
  *  b6e5cc2f8 - Translated using Weblate (Italian)
  *  07172b17a - add RBox::getArea
  *  0e69c6e4e - don't attempt autosave for read only directory
  *  0888a94c2 - combine translatable strings for "Done"
  *  46d64991d - update
  *  f14eaaff1 - allow disabling of autosave
  *  0cf46c2e8 - fix potential exception
  *  b0edb6464 - set version to 3.22.1.0
  *  9bbba9dd0 - update script bindings
  *  85b023352 - clean up
  *  6a76420f9 - fix potential assert when rendering invalid text block
    (} without {)
  *  f8395fcdb - clean up
  *  a499bd289 - fix constness
  *  56f573e69 - fix rulers on top of each other (Qt 5.12)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Wed, 29 May 2019 23:26:41 +0300

qcad (3.22.0.5+git6899-254c2bbd4-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 254c2bbd438e11a15a426281ed64d1e9f10e8f84
  * Date: 1557521871
  * git changelog:
  *  254c2bbd4 - fix FS#1885 - Modify > Edit Text: Text dialog messes up
    formatting of subscript / superscript
  *  67ef7aa3b - update
  *  fe1282919 - check radius when rounding corners
  *  68b02bddc - set version to 3.22.0.12
  *  04c4c5236 - update script bindings
  *  2b7a05491 - add support for non-uniform scaling for hatches
  *  40d2b43c9 - move copyAttributesFrom to REntityData
  *  d645528d9 - clean up
  *  5de05a616 - add copyAttributesFrom to REntityData
  *  76ad3ffc2 - add support for non-uniform growing of box
  *  3abf4998b - add support for non-uniform growing of box
  *  625f3804b - add command line switch to show icons in menus on macOS
  *  53ce640a0 - update comment
  *  582bebcf1 - always clone hatches when changed
  *  ef5f49885 - update translations
  *  721a00e9e - add appendVertex with double coordinates
  *  98ea1f6a9 - fix FS#1884 - File > Bitmap Export: margins despite
    zero margin settings
  *  a88f14f13 - add hasLayer
  *  9023e1872 - set version to 3.22.0.11
  *  df3c19bf2 - Translated using Weblate (Russian)
  *  adfd09722 - add Qt script bindings for Qt 5.12.1, 5.12.2, 5.12.3
  *  7203ee06b - add script bindings for Qt 5.13.0
  *  07a6a5bdb - update translations
  *  67e0ac8fa - set version to 3.22.0.10
  *  211dc3f7d - clean up
  *  77b38c1c7 - add experimental code to select current layer in layer
    list
  *  1ceb46599 - add setCurrentLayer
  *  1c135c469 - fix display of selected reference points

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 11 May 2019 19:01:06 +0300

qcad (3.22.0.5+git6869-4452e9544-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 4452e95440894f538db2050dbcf62d72319d84c6
  * Date: 1556281291
  * git changelog:
  *  4452e9544 - derive from EAction
  *  68f09a099 - prevent potential exception
  *  2100e12d7 - fix dialog title when moving tool options to dialog
  *  b6d84b51f - set version to 3.22.0.9
  *  1f28c3e4b - update translations
  *  fbc82eaa0 - prevent potential exception
  *  358566dc7 - clean up
  *  07a6c0155 - update
  *  881e719ee - update user manual
  *  b25250dbf - ignore %% in simple text
  *  0def770ae - update debug info
  *  455b0e2ba - update translations
  *  93a54538d - render %% in simple text as nothing
  *  d464d0f8b - render %% in simple text as nothing
  *  633118db7 - update translatable strings
  *  9a63d4e80 - add support for selected layers
  *  31be553e1 - Translated using Weblate (Russian)
  *  1ff63ea3c - clear command line if unknown command is entered
  *  69da83ab2 - update qrc
  *  887cc30db - add terminate mode to angle measuring tool
  *  d45392bde - clean up
  *  00968d445 - fix setting text color if RMathLineEdit is in combo box
  *  adf4b1be7 - add icon for misc category
  *  f9b8a3070 - fix checked back button
  *  2f14fa187 - use RMathComboBox
  *  3dd1aaa5d - use RMathComboBox
  *  6ec9933cf - imitate API of RMathLineEdit
  *  6e3844174 - add support for RMathComboBox
  *  6a935b397 - update script bindings
  *  ca8987112 - add script bindings for RMathComboBox
  *  6d65e273a - add RMathComboBox support
  *  e657bbaad - clean up
  *  b41a7a1ea - fix include
  *  5ab317cbd - init RMathComboBox context menu
  *  c763a058f - add RMathComboBoxPlugin for RMathComboBox
  *  baadb282b - add RMathComboBox
  *  f048768f8 - set version to 3.22.0.8
  *  d2a03575f - update translations
  *  c3b7bb315 - add support for selecting multiple layers
  *  1a4b16430 - update translations
  *  c1ec3e275 - update script bindings
  *  be86a1b71 - add previousLayerId for setCurrentLayer notification
  *  4bf213af3 - update selection combo even if there are only changes,
    no new selections
  *  84a1e8bab - add previousLayerId for setCurrentLayer notification
  *  869b5342d - suppress warning for missing english translations
  *  9823c529a - expose all selected layers to property editor
  *  18780d318 - add querySelectedLayers
  *  0fc68ab68 - add querySelectedLayers
  *  c2946e677 - remove obsolete isSelectedForPropertyEditing
  *  c9d77dcad - add selection status for layers
  *  a275ff94d - make isSelected virtual
  *  112c4812c - add selected flag for objects
  *  4873a6743 - Translated using Weblate (Slovak)
  *  d65ed1254 - Translated using Weblate (Slovak)
  *  11768442d - fix FS#1876 - Edit > Convert Drawing Unit: block array
    spacing

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 27 Apr 2019 22:56:19 +0300

qcad (3.22.0.5+git6811-3c1791661-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 3c179166164fa1be8ef328d8739b1a9685058355
  * Date: 1555088942
  * git changelog:
  *  3c1791661 - update translations
  *  40724c095 - Translated using Weblate (French)
  *  41f2628ac - use d prefix for document variables from measured
    distances
  *  ccb4ae1ed - update user manual
  *  8c86a980a - update translations
  *  e9dcfc955 - add support for auto terminate
  *  2f4968b7b - update script bindings
  *  74edbfca8 - allow disabling of no state in action
  *  734ac92e7 - add support for document variable substitution to
    command line input
  *  b7abd496f - update script bindings
  *  e13607111 - add to2D to block reference class
  *  e8d1791c5 - add support for calls from RMathLineEdit context menu
  *  2d9cbb6c9 - add support for auto termination, updating
    RMathLineEdit with result
  *  b4265b6c8 - update
  *  d454ac61e - call initMathLineEdit for RMathLineEdit widgets
  *  9f0143732 - eval using document with document variables
  *  bd9f72305 - add support for auto variables
  *  a720e5797 - fix command line info color in dark mode
  *  7acbfe0da - update translations
  *  a8078174b - set version to 3.22.0.7
  *  ee09fbfba - update icons
  *  37c80103b - update qrc
  *  895f0dae1 - update script bindings
  *  5da9cb83d - fix FS#1871 - View > Block List: Renaming current block
    does not update block list
  *  8625f5819 - add key modifiers to RMoveReferencePointOperation API
  *  3a1949b6d - update script bindings
  *  c96661e40 - add unit tests for image resizing
  *  c608b314f - update script bindings
  *  9b0b8458d - update
  *  1c0968dab - update scaleByReference API
  *  c7cf0d636 - move ortho restriction from shift to alt
  *  2588d4901 - fix zoom in was triggerd with Cmd-left click
  *  df140f449 - set version to 3.22.0.6
  *  fa8d93517 - fix layer list updates
  *  d297932d4 - fix exception if default action has not init
  *  72e901af1 - Translated using Weblate (Russian)
  *  b4e0be391 - update translations
  *  3d629b273 - Translated using Weblate (Spanish)
  *  b5ea6653b - Translated using Weblate (Portuguese)
  *  1eac4448b - Translated using Weblate (Italian)
  *  15b9117f5 - Translated using Weblate (German)
  *  5ddaa3e57 - Translated using Weblate (French)
  *  95d3a45e2 - Translated using Weblate (English)
  *  574ad5f70 - Translated using Weblate (Dutch)
  *  4a15525b7 - add test files
  *  a42964ca6 - fix translations (undo / redo) for image
    transformations
  *  6789f6167 - update translations
  *  aea3370f6 - clean up
  *  235553f1f - update translations
  *  d3b281760 - Translated using Weblate (Russian)
  *  036047384 - fix bitmap export with no weight margin option
  *  8d8bb453a - fix undo / redo for image entities
  *  3723ca422 - fix round corners for polylines (in bitmap export)
  *  cbf2b8056 - fix translatable string
  *  56f247c9f - fix FS#1864 - File > Print Current View: multiple pages
    printed
  *  31867ca4c - update translations
  *  9813b2e94 - update translations
  *  da5fb75ab - Translated using Weblate (Russian)
  *  2c2287216 - Translated using Weblate (French)
  *  c7d7430ae - update translations
  *  5551f9fa6 - Translated using Weblate (Russian)
  *  7f1fbdd27 - Translated using Weblate (English)
  *  d4fdf4244 - fix font
  *  2860df441 - fix font
  *  687b1d180 - fix import of numbers with exponents (e.g. -1e-06)
  *  5fb3a8ad6 - update auxiliary lines for fonts
  *  3f1fd96d4 - update user reference manual
  *  982f1201f - Translated using Weblate (Spanish)
  *  1bdab7ab7 - Translated using Weblate (Portuguese)
  *  0da936530 - Translated using Weblate (Italian)
  *  8f39d6593 - Translated using Weblate (German)
  *  bc6e20949 - Translated using Weblate (French)
  *  3c8565b71 - Translated using Weblate (Dutch)
  *  ab24ba35c - update translations
  *  d7b6611e9 - update script bindings
  *  ad686559c - call init on default action
  *  608f9c478 - only trigger blockChangeEvent if block affected is not
    current block
  *  eec1b896f - performance: use blockEntityMap where appropriate
  *  e0aee5acc - add aux line positions support (used when editing CXF
    fonts)
  *  369c73ab5 - clean up
  *  be9af430c - clean up
  *  a9b8e10a6 - update user message to apply to drawings and fonts
  *  a3f60f8eb - add auxiliary lines info
  *  3fd9f58c4 - update qrc
  *  67449b27b - update qrc
  *  2bf1c9fe6 - add unit tests
  *  1659659b4 - add underline support
  *  2d90a9863 - update script bindings
  *  43eb64349 - add underline support
  *  598830b04 - add underline support
  *  706a8c830 - add underline support
  *  175980dd5 - add underline support
  *  0c561bc44 - add underline support
  *  35910f625 - remove destructors
  *  92e766197 - update translations
  *  90271c782 - Translated using Weblate (Russian)
  *  5aef85de5 - Translated using Weblate (Russian)
  *  579db5c8a - fix FS#1865 - Scaling polyline with width by negative
    factor removes width
  *  3b65cd8ab - Translated using Weblate (Russian)
  *  c2c9d9a66 - update script bindings
  *  eb1fb6b5c - ortho snap with Shift key
  *  6c725c394 - set version to 3.22.0.5
  *  1cb02c3d2 - update translations
  *  32f88776d - Translated using Weblate (Russian)
  *  4629f62eb - Translated using Weblate (Russian)
  *  97f2b8632 - Translated using Weblate (Russian)
  *  5392decae - Translated using Weblate (Russian)
  *  12c93942a - Translated using Weblate (Russian)
  *  3f57b9c84 - update translations
  *  4c7dc3281 - Translated using Weblate (French)
  *  c430943b2 - fix regeneration of entites on layer change
  *  3b57abde1 - Translated using Weblate (Russian)
  *  b20ec74a0 - update translations
  *  61e391f5e - update script bindings
  *  ed022b04a - workaround for Qt 5.13 bug
  *  71efa07c3 - pass layer IDs with updateLayers signal
  *  469d4ffc6 - speed up look up of layers based on names
  *  9f614d02e - pass layer IDs with updateLayers signal
  *  b38bfceb4 - fix FS#1861 - Modify > Stretch: block references inside
    stretch box are not moving
  *  7e549819a - add block ref to stretch test
  *  aecad39bb - Translated using Weblate (Russian)
  *  19ae8d2f0 - Translated using Weblate (Russian)
  *  5406ceeb2 - Translated using Weblate (Russian)
  *  a926a94da - update about dialog in dark theme
  *  5501dc958 - update about dialog
  *  6d9724258 - fix tooltip shortcut color in dark theme
  *  acae75b4e - update translations
  *  44e571627 - Translated using Weblate (Russian)
  *  24083991c - Translated using Weblate (Russian)
  *  be694e45d - Translated using Weblate (Russian)
  *  3c7c07aa3 - set version to 3.22.0.4
  *  b77b7d5a5 - update script bindings
  *  53ee116db - update CXF fonts
  *  dc67fb58c - update test data
  *  5b371f89c - add polyline support for original shapes in painter
    path
  *  56a03afd8 - add support to polylines in CXF fonts
  *  ad600d206 - improve performance when setting current block
  *  452ff22a6 - fix unit test
  *  8fc69a288 - add bright close button for tabs to tabbar
  *  506022857 - Translated using Weblate (Finnish)
  *  fdad94330 - clean up font
  *  b684a782c - update script bindings
  *  188a44a2b - remove QCollator
  *  14f34a040 - add support for hex numbers when sorting (e.g.
    "0x00a1")
  *  f3d2c070d - export blocks in order
  *  feeca1589 - suggest appropriate file type in save as dialog
  *  e004af615 - make text dialog text edit white in dark mode
  *  68ebe67e3 - make text edit background darker for dark theme
  *  1c6a360b3 - add conversion for QChar
  *  b1cc4d4c0 - add getGlyphNames
  *  e11470105 - adjust command / warning colors for dark theme

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 13 Apr 2019 08:24:08 +0300

qcad (3.22.0.2+git6646-f4e5c6b12-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: f4e5c6b122a9deda5861f9d31877ce011a7ea3e5
  * Date: 1552497900
  * git changelog:
  *  f4e5c6b12 - set version to 3.22.0.3
  *  a836783af - update
  *  f661bcd27 - update translations
  *  e182c0e3e - add menu styles
  *  c54a7f35a - update script bindings
  *  a6b861916 - add current layer to layer state
  *  b5d31f60a - avoid potential exception
  *  918a52a53 - add debugging for RGuiAction
  *  3f8e17d22 - update translations
  *  5570e96ae - update script bindings
  *  ed383d7ff - update layer state API
  *  14806c8d8 - exporting layer states
  *  7c75ce1b3 - update layer state support
  *  93ece6634 - Translated using Weblate (Finnish)
  *  f2d854cc3 - Translated using Weblate (Finnish)
  *  6b87a43dd - Translated using Weblate (Italian)
  *  1361b24ca - Translated using Weblate (Italian)
  *  1764f857d - update pro file
  *  d4a0d7eeb - allow translation of default layer / block names
  *  1b7d08d65 - update translations
  *  01bca2e08 - update script bindings
  *  943aae9d1 - update layer states
  *  42d3bdae4 - update comment
  *  57fdedd40 - add mustAlwaysClone to allow object to alwyas be cloned
    when changed
  *  c7f87dfd6 - add mustAlwaysClone to allow object to alwyas be cloned
    when changed
  *  48dbe600c - fix api doc category
  *  53121b319 - fix action orders
  *  9ff6a90e9 - add layer state support
  *  a3cf7d795 - add Qt script bindings for Qt 5.9.6, 5.9.7
  *  7890bc14e - update dark theme icons
  *  5952b000c - fix color of disable context menu item
  *  cca1b9171 - set version to 3.22.0.2
  *  2a5f3e118 - update translations
  *  2e2f65ae1 - update radio button style for linux
  *  8450bf78a - update color of separator between main window and dock
    widget
  *  70663832b - add support for loading system specific stylesheet for
    themes
  *  5c7bbc4cb - add separate stylesheet for Linux
  *  0d1d0f306 - add test data
  *  5f6ffbc4a - fix FS#1860 - Rendering of nested blocks / use of
    negative scale factors
  *  2dd3dc851 - add layer state object
  *  28cb12e3d - add layer state object type
  *  2988e32f6 - rename Flags to LayerFlags
  *  3552e3adc - update
  *  4335c34a7 - add comment
  *  36b78d9fe - update translations
  *  9b24991ab - Translated using Weblate (Swedish)
  *  ae9fecfe9 - Translated using Weblate (Swedish)
  *  b65f2ab4b - Translated using Weblate (Swedish)
  *  e6b052e95 - Translated using Weblate (Swedish)
  *  4f8f828a1 - Translated using Weblate (Swedish)
  *  8bb425b0c - Translated using Weblate (Swedish)
  *  18d584526 - update translations
  *  1e444c606 - Translated using Weblate (Finnish)
  *  35b25dfd5 - update translations
  *  415f9790b - Translated using Weblate (Finnish)
  *  0127ce401 - update translations
  *  02c915ffc - Translated using Weblate (Finnish)
  *  d34fe74fd - Translated using Weblate (Finnish)
  *  efa74097d - Translated using Weblate (Finnish)
  *  259c07bb0 - add tests
  *  bc03bdf45 - update SVG importer
  *  4e8ab712b - update translations
  *  90e1650a6 - add test for stretching with entities completely inside
    stretch area
  *  b271b1e36 - update dark theme
  *  f7a8cd157 - use gray color icon border for dark theme
  *  112699fa6 - implement getPointOnEntity for dimensions
  *  7ccc19f60 - Translated using Weblate (Finnish)
  *  51c6d2871 - update script bindings
  *  d40d8e95d - add getVectorArgument
  *  d0ebb7a3e - add RSettings::getVectorArgument
  *  2c6bdcbf6 - Translated using Weblate (Finnish)
  *  6b032f798 - Translated using Weblate (Finnish)
  *  3a322376b - update translations
  *  e17609468 - Translated using Weblate (Finnish)
  *  247333d98 - Translated using Weblate (Finnish)
  *  0e77b801d - Translated using Weblate (Finnish)
  *  861568727 - Translated using Weblate (Finnish)
  *  afdb45c92 - update translations
  *  3234375e7 - Translated using Weblate (Finnish)
  *  d1f7bfa34 - Translated using Weblate (Finnish)
  *  9c4fdd857 - Translated using Weblate (Finnish)
  *  9f8d68841 - Translated using Weblate (Finnish)
  *  9c51056d7 - Translated using Weblate (Finnish)
  *  5f4d7ece3 - update translations
  *  51a101f9c - Translated using Weblate (Finnish)
  *  41dbe34a1 - Translated using Weblate (Finnish)
  *  7c33af060 - Translated using Weblate (Finnish)
  *  87caa0980 - Translated using Weblate (Finnish)
  *  f3abf4a1d - update translations
  *  d172b74ed - Translated using Weblate (Finnish)
  *  786d2c849 - set version to 3.22.0.1

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 15 Mar 2019 13:10:39 +0300

qcad (3.21.3.16+git6549-2ba5a2638-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 2ba5a26380d25bb1699c95a808edb01c083385a1
  * Date: 1551454642
  * git changelog:
  *  2ba5a2638 - fix tooltip in dark theme
  *  48f3b2896 - update translations
  *  7529742ab - update qrc
  *  1387e0f21 - add Qt base translations
  *  6dc672b8d - remove ampersand (shows up in label in options toolbar)
  *  dd93c54e6 - update translations
  *  d8ae897b0 - update translations
  *  451db60d4 - update translations
  *  495d6ab44 - disable enter to show dialog option by default
  *  ab910b0b9 - fix tool tip color of RMathLineEdit on Ubuntu
  *  82bfa67c9 - remove link to quazip
  *  4ee529f79 - remove link to quazip
  *  dfa9aa20f - remove 3rd party library quazip
  *  4ff620377 - remove obsolete RZip script bindings
  *  b76815a89 - remove obsolete header
  *  6a4fe2c98 - update script bindings
  *  b675ebff2 - remove obsolete RZip script bindings
  *  356c92c87 - update user manual translations
  *  7fcc629c7 - update user manual translations
  *  2edaf0af6 - update user manual translations
  *  ffc05f502 - update user manual translations
  *  c4df8fb8e - update user manual translations
  *  f27a9c795 - update user manual translations
  *  84296b92c - update dutch manual
  *  01cf0d6d7 - update splashscreens
  *  9a137efd5 - set version to 3.22.0
  *  99e519820 - update about dialog
  *  796309ad2 - update translations
  *  2a47f1cde - add lgpl text, add referene to Qt
  *  cddadd40a - add information about Qt
  *  07bc76138 - remove mention of quazip (module no longer used)
  *  ca08ced7f - add system ID to command line output at start
  *  32327c878 - update translations
  *  e9bc58f07 - update translations
  *  4d3bdb2f5 - update translatable strings
  *  405ea6b0a - remove obsolete module
  *  005a0fdef - update translatable strings
  *  854baacb4 - remove obsolete module
  *  9527115b9 - update translations
  *  0dfde8ef3 - add support for addSimpleText with text, x, y
  *  f577ed966 - update translations
  *  8d44caa13 - Translated using Weblate (Slovenian)
  *  a1ecf37cc - Translated using Weblate (Slovenian)
  *  47eeb595d - Translated using Weblate (Slovenian)
  *  336a86972 - Translated using Weblate (Slovenian)
  *  da897491c - update translations
  *  e36fb59d8 - set version to 3.21.3.19
  *  b6c06c143 - update qrc
  *  0359ef125 - rename rectangle pseudo properties width / height to
    size 1 / size 2
  *  af146a3bf - fix FS#1853 - Duplication of input fields in Property
    Editor
  *  2b91df2ca - update test data
  *  2f9d1421d - update translations
  *  b88f0e390 - Translated using Weblate (Spanish)
  *  88d909070 - update translations
  *  d2c63c540 - add Thai translation sources
  *  a5251db8f - update translations
  *  b10aa8853 - update translations
  *  9ce19cec0 - add stretch tests for circle / ellipse
  *  3a6aebfc5 - Translated using Weblate (Turkish)
  *  795e034ce - support stretch for all shapes if completely inside
    stretch area
  *  5f7f0e45d - set version to 3.21.3.18
  *  e60fdb680 - fix api doc modules

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 02 Mar 2019 04:40:48 +0300

qcad (3.21.3.16+git6485-911f21187-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 911f2118794964910c8b66cce29339eafb49d6ba
  * Date: 1550225517
  * git changelog:
  *  911f21187 - fix RPolyline::containsShape for circle shape
  *  acd2c053e - add stretch for RCircle
  *  25bee3ca3 - delegate getPointOnEntity to getPointOnShape
  *  b8479cda9 - add getPointOnShape
  *  30f18c6d4 - update translations
  *  25d1a10bf - set version to 3.21.3.17
  *  50ec1dfd2 - update qrc
  *  216ad0455 - flatten viewport target point
  *  c3699d241 - update translations
  *  22cfcc929 - move pro tests to pro module
  *  055168247 - fix missing entities in viewport if target point is 3D
  *  69e9a5a78 - Translated using Weblate (Slovak)
  *  4a1cdf760 - update translation sources
  *  d642f7838 - update translatable strings
  *  c98c638f0 - fix editing of layer properties
  *  b51e0fb10 - Translated using Weblate (Turkish)
  *  73eab2c26 - update qrc
  *  6dfba4dfa - fix custom property update even if onlyChanges is true
  *  80d481ca2 - Translated using Weblate (Czech)
  *  783946e88 - Translated using Weblate (French)
  *  c68223c87 - Translated using Weblate (English)
  *  0a623bb9c - Translated using Weblate (Dutch)
  *  b4d9403db - add round test for polyline
  *  ccac47fa2 - update translations
  *  479518339 - update
  *  30129d819 - update translations
  *  9455cc306 - update script bindings
  *  47573d390 - update test data
  *  aba456f67 - add RShapeProxy
  *  8648b941e - fix potential exception
  *  2620913e2 - add roundAllCorners
  *  271294b71 - move roundShapes to RShape
  *  825844067 - add roundAllCorners, add RShapeProxy
  *  80d7c9209 - move circleToArc to RCircle
  *  d26943bd7 - add roundAllCorners
  *  a7c789f7f - Translated using Weblate (Polish)
  *  6bd20f795 - support stretching for splines with fit points

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 16 Feb 2019 03:11:26 +0300

qcad (3.21.3.14+git6444-1b13e717d-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 1b13e717d974ec5bdd02f4b305b36776d8e70ebf
  * Date: 1548947031
  * git changelog:
  *  1b13e717d - update script bindings
  *  74119e607 - move selected reference points (by mouse, key cursors)
  *  f2319561d - update translations
  *  de1492090 - add radius option to shape tools
  *  1f30a819b - set version to 3.21.3.16
  *  9fe1b3d73 - fix crash when editing layer name in property editor
  *  114432c11 - update translations
  *  d53cd2c11 - update translation strings
  *  a2cd4d8fb - fix arc icon
  *  b2eaa203a - use camelCase consistenly for parameters
  *  d77c2eb5d - update translations
  *  863ca29f5 - update translations
  *  d33e96214 - update translations
  *  6b8452150 - fix clear font file if font name changes
  *  1e45772ec - update API doc
  *  0a9a390ed - update translations
  *  0bd99dabb - update translations
  *  a8f6bd927 - update translations
  *  46d5ddbda - set version to 3.21.3.15
  *  f173ca298 - Translated using Weblate (Slovenian)
  *  e4f3a8f05 - Translated using Weblate (Slovenian)
  *  9f06fdaed - update user reference manual translations
  *  b2b074001 - fix xml
  *  2e2b8da88 - add user manual files
  *  a77fd43f4 - Translated using Weblate (Russian)
  *  3874c0222 - update user reference manual translations
  *  0dd6e744c - update user manual translations
  *  b8d2fae6c - update dark theme text edit background
  *  29944c010 - update command line output in dark themes
  *  0d8060b3f - update version nummer
  *  176283768 - fix display of start point in red for geometrically
    closed polylines (start point at end point)
  *  b01cf33a2 - fix offset in tool buttons when changing from enabled
    to grayed out
  *  d58d345d7 - fix white text in line edits in dark mode
  *  e7555f939 - update translations
  *  25e4e7e73 - Translated using Weblate (Spanish)
  *  e18ade538 - Translated using Weblate (Portuguese)
  *  31686fe66 - Translated using Weblate (Italian)
  *  a854a0080 - Translated using Weblate (German)
  *  453aa0854 - Translated using Weblate (French)
  *  4695a49f4 - Translated using Weblate (English)
  *  15afb4232 - update translations
  *  be32635db - Translated using Weblate (Dutch)
  *  efb24d297 - update translations
  *  648100d13 - update
  *  3f5bbcaf6 - Translated using Weblate (Dutch)
  *  e4492a38a - update translations
  *  151d1be36 - add translation files
  *  9251ff2cb - update qrc
  *  45a526f1e - load scripts translations in script plugin
    initialization
  *  4dbb07ccb - load scripts translations in script plugin
    initialization
  *  965451edc - update translation file structure
  *  735538f3a - remove obsolete qm files
  *  e0dd7e35b - update translation structure
  *  0b5e9033b - update translation structure
  *  c9237a5cc - remove obsolete script add-on translations in ts dirs
  *  7e1a927a4 - Translated using Weblate (German)
  *  d94861e0d - update translations
  *  171eaa41f - Translated using Weblate (Italian)
  *  27cbe9f65 - update
  *  0986b9100 - update translations
  *  0d7b33b76 - remove obsolete file
  *  58ebe1da1 - add single file translation for all scripts
  *  d4213a314 - set version to 3.22.0
  *  a6fe878a1 - update strings
  *  493c9e733 - ignore empty entities for bounding box calculation
  *  86f28b850 - Translated using Weblate (German)
  *  2df496070 - Translated using Weblate (German)
  *  434a6c718 - Translated using Weblate (German)
  *  c06b11352 - Translated using Weblate (German)
  *  22560c887 - update
  *  6c4afadc5 - unescape &quot; (Qt QLabel workaround)
  *  cf9f2d533 - add support for opting out of relative zero restoration
  *  0148eedb9 - update translations
  *  f8f5232bb - update user manual translations
  *  7cb8624fc - fix options toolbar height when file toolbar is
    vertical
  *  ce1741cbd - update user manual translations
  *  82d604f14 - update user manual translations
  *  f5fd4a0a4 - update user manual translations
  *  df9888268 - add translations
  *  095701447 - update dark theme
  *  39fd5e8b0 - update qrc
  *  bbbca09af - update nl translation
  *  95f601719 - fix typo
  *  a31cf5cfb - update user manual translations
  *  765aaf689 - adjust copyright year
  *  ceffc28ae - add simple_input.js include to simple.js
  *  985f65bc7 - add simple_input (simple API)
  *  0eb0b537f - avoid default printer instantiation on start up (can be
    slow)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 02 Feb 2019 03:54:10 +0300

qcad (3.21.3.14+git6350-a10fd6c42-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: a10fd6c42b3f9cee95a4dfdd5874fd35fa0a4bbd
  * Date: 1545315229
  * git changelog:
  *  a10fd6c42 - add Mandelbrot example
  *  17000a26e - update qrc
  *  d4c30c323 - add getTransactionDocumentInterface
  *  e3c80a591 - add setCurrentColor
  *  91097b967 - update include paths

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 05 Jan 2019 17:46:23 +0300

qcad (3.21.3.14+git6345-9c464be5f-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 9c464be5f4256c01015b6a5e7a88deb8955b497b
  * Date: 1545242539
  * git changelog:
  *  9c464be5f - update meta types for Qt 4
  *  9172f70b7 - update translations
  *  f75766373 - update translations
  *  f2a949e3c - update translations
  *  970610374 - update translations
  *  f24b20b32 - update translations
  *  92e7e2471 - update translations
  *  a579f3ee2 - remove dialog icons
  *  9bd3ad364 - update translation
  *  c1a4882af - update menu title
  *  e5480bf1d - update translations
  *  ded2aa6b4 - set version to 3.21.3.14
  *  2dadc6fa1 - update script bindings
  *  edae2d939 - add API to add original shapes to painter path when
    creating from polyline
  *  69fae98fa - add access to original shapes of painter path
  *  a39f124cd - update translations
  *  fd79a6c09 - fix RMathLineEdit tooltip text color for dark theme
  *  40fa23e0b - set version to 3.21.3.13
  *  c8f10a827 - fix tolerance issue for dashed lines
  *  594d10274 - add tool tip style to dark style
  *  fdf5f1dd3 - update dark theme
  *  314ad15ee - update API doc
  *  eb7a971fd - disable styles when theme is used
  *  0cdca31a5 - update dark mode icons
  *  1ae295a7d - update dark theme: scrollbar
  *  a2b955901 - update icons
  *  758e7bcae - rewrite of dark theme
  *  42531ddd9 - workaround for QMdiArea background not reacting to
    stylesheets
  *  347b01c95 - don't set icon of dialogs
  *  4ecefb5a2 - update Dutch translation
  *  0490187ce - update manual translations
  *  c8bb3b22b - set version to 3.21.3.12
  *  b07b402aa - update manual translations
  *  e88d2460c - update manual translations
  *  3b0c768a3 - update translations
  *  c11630498 - update translations
  *  0bbd93cce - update dark theme: back button
  *  e25779d56 - update about dialog: os info
  *  78de33e4c - fix isZero for negatives

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 22 Dec 2018 08:13:29 +0300

qcad (3.21.3.7+git6306-07ea63cdb-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 07ea63cdb589e7c855945bcf2c3f21fdfbbc5d54
  * Date: 1544135069
  * git changelog:
  *  07ea63cdb - update translations
  *  82a8b4d5b - enable anuimated docking for Qt >5.6
  *  963801d90 - set version to 3.21.3.11
  *  c37cee2b3 - update translation
  *  6131837b1 - clean up
  *  105943d03 - update API doc
  *  212d1b3ab - fix dark style: floating toolbar background
  *  646ebf602 - fix angle dimension label readability
  *  9af6b728e - fix combo box resizing
  *  2c55b4369 - remove obsolete button
  *  ac26c5642 - remove obsolete button
  *  65cbefb95 - fix originals not deleted if copy false
  *  6f99d6476 - update translations
  *  0ee59f5bb - update translations
  *  fcbb51693 - update translations
  *  142ad8be7 - update translations
  *  2e1ce24eb - update qrc
  *  ad7e4227c - update script bindings
  *  946a4e51e - update
  *  65927a74f - fix signature of
    RBlockReferenceEntity::getPropertyTypeIds
  *  9bd222ac6 - add test for exploding block with block references and
    attributes
  *  404e48bbc - update attribute parent ID when exploding block that
    contains block references with attributes
  *  b53899692 - update translations
  *  0b05956de - update script bindings
  *  61035355d - update API doc
  *  d22766917 - update parent link from attribute to block reference
  *  e62281419 - update script bindings
  *  b3bbfbee1 - fix preview when moving
  *  96aacd41e - update translations
  *  df4337a32 - update translations
  *  33c785410 - update
  *  8a8421476 - update translations
  *  ca2f64cfd - update translations
  *  41b08f7d3 - update translations
  *  eda200e10 - set version to 3.21.3.10
  *  693d6d899 - update translations
  *  c30b3b5ae - fix table model index API

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 10 Dec 2018 19:06:37 +0300

qcad (3.21.3.7+git6269-844ef95dc-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 844ef95dcf621d74e4777d085a9cc3fa546878d9
  * Date: 1542977913
  * git changelog:
  *  844ef95dc - sort attributes by prompt when inserting blocks with
    attributes
  *  b981d0d25 - clean up
  *  71763eadd - set version to 3.21.3.9
  *  0b2b57383 - fix error messages
  *  d58b7cfd2 - update translation
  *  142f99baa - use word verwijslijn for leader
  *  1f8086266 - set version to 3.21.3.8
  *  b5f7c904b - clean up
  *  9b27d494a - add workaround API for non-scriptable QModelIndexList
  *  6a28bdb48 - update script bindings
  *  39729070d - add property attribute scale to indicate property is
    scale value (e.g. 1:2)
  *  0ec59381e - add property attribute scale to indicate property is
    scale value (e.g. 1:2)
  *  6799b7112 - fix disappearing reference points
  *  3d675c4bd - spelling
  *  15fe0d3bd - allow paste operation without any given offsets
    (default to 0,0)
  *  43847bd88 - allow splines from two fit points
  *  b95961135 - update translations
  *  de767c00e - fix matrix panel for misc draw
  *  f41b0fa18 - update translations
  *  6a4611296 - update credits
  *  800f429db - update translations
  *  104213fdc - update user manual
  *  d91063ecf - update translation
  *  d1dc0f643 - fix back icon in CAD toolbar
  *  d15ba0264 - back port
  *  8ec3c9726 - add Qt 5.12 script bindings
  *  b5347fa0a - workaround for Qt 5.12 icon bug
  *  41301affe - disable legacy code
  *  b03a26775 - fix flushTransactions
  *  f12ef1e3f - add workarounds for Qt 5.12 bugs
  *  1ac697e73 - update
  *  fb965cfc1 - update script bindings
  *  f1f5dd839 - remove constness to allow access to document
  *  badaa2906 - set version to 3.21.3.7
  *  c3e8c177e - avoid duplicate property types
  *  09ac3fe4e - update warning
  *  7546b38b1 - remove obsolte translation marker
  *  d06cd2619 - make view > toolbars and widgets > widgets / toolbars
    translatable
  *  8a4ce4acd - add preference pages to pro files (fix translation)
  *  ca1fa5553 - make file dialog filter strings translatable
  *  d777a7e4d - update translations
  *  2406248bb - update translations
  *  cbc496a46 - update translations
  *  a421db5dc - update translations
  *  7eaa4b042 - update translations
  *  b6c55c0af - update translations
  *  a0d94a25b - update Czech translation
  *  407c940a9 - update example rendering file
  *  5c5b0f624 - fix linetype scale when exporting
  *  55a105f0c - fix linetype scale when exporting to bmp
  *  2597443f7 - set version to 3.21.3.6
  *  bdccda00c - update strings
  *  0270c6e50 - update translations
  *  cfbc398b7 - add standard warning
  *  2b0f0125d - flip label with arrow
  *  dd8eefa95 - update
  *  2b9139243 - update API doc
  *  d5ab867d0 - allow conversion from int in
    RObject::getCustomDoubleProperty
  *  979cda07a - fix restoring of QRadioButton from unit test
  *  f54c2887f - update translations
  *  fd69e65e6 - fix argument default value handling
  *  6458f8201 - fix default value for int list argument
  *  b0b29679b - clean up

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 24 Nov 2018 16:22:18 +0300

qcad (3.21.3.2+git6206-9ab93a6fa-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 9ab93a6fa7ba87905670be4755a60f973a792869
  * Date: 1541452336
  * git changelog:
  *  9ab93a6fa - add tool matrix panel for misc draw tools
  *  684131974 - update qrc
  *  0cd2c8820 - fix keyboard modifiers detection
  *  8da090155 - update translations
  *  6258999a9 - update script bindings
  *  24ac65d33 - update user manual
  *  1b6419fc7 - add coordinate display preference
  *  120d6e48d - performance improvement for coordinateToString
  *  54602c571 - update translations
  *  24056fb53 - set version to 3.21.3.5
  *  42de8f6ac - update user manual
  *  571763794 - update qrc
  *  2cdedd366 - update translations
  *  02c0fb3b5 - update translations
  *  85578379b - update script bindings
  *  43b2d660a - fix tracking of polyline bulge modifications
  *  a49ed6ff0 - refactor reference point data strucutre
  *  d9e4006b7 - cache length of splines for performance
  *  653c1d839 - add getGraphicsSceneWithFocus
  *  ba2a44c63 - add warning
  *  0513c2bf5 - stop advancing states when alt context menu is shown to
    select / choose entity
  *  c58856de9 - refactor handling of key modifiers
  *  d814c875c - add / fix isShiftPressed, isAltPressed,
    isControlPressed
  *  b7d7e0586 - update user manual translations
  *  775db1a18 - update user manual translations
  *  e8fc1b78a - update user manual translations
  *  b7942262a - update user manual translations
  *  c5407aac9 - update user manual translations
  *  779500406 - update user manual translations
  *  89d2ecabe - update user manual translations
  *  5c846f6f8 - update user manual translations
  *  af290cdfd - update user manual translations
  *  540c0039d - update user manual translations
  *  eb710b0bb - update user manual translations
  *  7d8ad9e27 - update user manual translations
  *  176904bf3 - update user manual translations
  *  c2d56823e - update first start dialog

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 10 Nov 2018 02:25:38 +0300

qcad (3.21.3.2+git6169-6c11c544e-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 6c11c544e04c7362a96f9859b051578211eb7b56
  * Date: 1540198750
  * git changelog:
  *  6c11c544e - set version to 3.21.3.4
  *  0ce7ab77a - update user manual
  *  e7f69c568 - remove obsolete meta type
  *  19de00c2b - update qrc files
  *  a362070b4 - update api doc
  *  3c5e309e5 - fix custom property handling
  *  8fd05401d - fix for showing custom properties
  *  0e5f9c97f - update manual
  *  07ff590bd - fix crash in opennurbs when copying invalid spline
  *  ee344a29a - fix potential exceptions
  *  45bde27c4 - Modify > Scale: add preference to use / not use dialog
  *  042a83695 - update
  *  1836a547f - Modify > Rotate: add preview if used without dialog
  *  9f93060b8 - Modify > Rotate: add preference to use / not use dialog
  *  0b2d138ad - update API doc
  *  cce49ea2a - Modify > Mirror: add preference to use / not use dialog
  *  0bc351559 - update script bindings
  *  276137980 - add getBlockNameFromLayout
  *  55552164c - fix interface for script wrappers

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 27 Oct 2018 04:01:03 +0300

qcad (3.21.3.2+git6150-534190bb2-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 534190bb221020b87ea309ed3fac79950bc8b0c0
  * Date: 1539353045
  * git changelog:
  *  534190bb2 - update user manual translations
  *  e9a2d7040 - update user manual translations
  *  48fb171d7 - performance fix for blockEntityMap cache
  *  64b1bead6 - update user manual
  *  4ad3e95bf - use best available spatial index for off screen
    documents
  *  3e9e6f52a - exit if removeFromIndex in RSpatialIndexSimple is
    queried
  *  2375c0410 - update debugging outputs
  *  0bc5f6201 - update script bindings
  *  eb35a6c98 - refactor RPropertyTypeIDs / RPropertyAttributes
  *  7a60ef916 - tag geometric properties
  *  3bba7309f - performance improvements in operations
  *  a24d82d34 - set version to 3.21.3.3
  *  1ca6f6a40 - refactor RPropertyTypeIDs / RPropertyAttributes
  *  db5999854 - fix flag testing
  *  e0c9f5034 - update user manual
  *  bd5bb5ac5 - update debug timer
  *  c90fc79c0 - update warning message
  *  3ce02f60d - update credits
  *  b476efab9 - update user manual translations
  *  af895c5fb - update user manual translations
  *  0f058bc1a - update user manual translations
  *  cc8df9760 - update user manual translations
  *  f2eb5c8e0 - update user manual translations
  *  bd7286657 - update qrc
  *  cbca5c9fa - add / update translations
  *  bdf12a924 - update qrc
  *  065e57e1e - update
  *  03437c647 - update action order
  *  1f642b540 - add select by color
  *  987bc705c - update indentation, warnings, translatable strings
  *  4d6626b53 - Add Misc - Select - SelectByColor command
  *  b7c0f6c2e - update script bindings
  *  535ea8f05 - add missing icons
  *  aa6d52b6f - update rulers when orientation or view changes
  *  dd1f23569 - allow plugins to override default spatial index class
  *  0be177e7c - update user manual
  *  a2b6c94fc - update script bindings
  *  7e7202d94 - fix FS#1808 - Property Editor: Changing width, height,
    orientation for polygon
  *  61ee40940 - add RBox::equalsFuzzy
  *  cab4dcde7 - update user manual translations
  *  5708bc4e3 - update user manual translations
  *  1dae16d07 - update user manual translations
  *  937d4ff00 - update user manual translations
  *  8075fff08 - update user manual translations
  *  0b7aefa0a - update user manual translations
  *  617ab803e - update user manual translations
  *  fe57f925b - update user manual translations
  *  4043c2fbd - update user manual translations
  *  9bab82127 - update user manual translations
  *  e688bfe07 - update user manual translations
  *  24a075ef8 - update user manual translations
  *  1baff5049 - update user manual translations
  *  872cf9b3f - update user manual translations
  *  c9dd33d9e - remove context help button (win)
  *  fa542d73c - add workarounds for Qt 5.11.2
  *  070a41e0f - set version to 3.21.3.2
  *  51ac206f3 - update user manual
  *  1cb41312c - add test data
  *  467eec672 - update user manual translations
  *  38479c45c - update translations
  *  4540aee21 - update translations
  *  b578e9dad - fix xml syntax
  *  0ff1dc3e1 - add script bindings for Qt 5.11.2
  *  438524960 - add tests for dimensions with fixed extension line
    length
  *  d4c3eecf5 - reverse direction of extension lines to keep test
    working
  *  7e168638c - add option fromStart to setLength
  *  b68e52f3b - update script bindings
  *  128d931d3 - update user manual
  *  44cc64ec2 - add support for fixed dimension extension line length
  *  f78eeb9d8 - update RSettings::getOSVersion for Qt >= 5.4
  *  450ca751c - update translations

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 13 Oct 2018 19:11:25 +0300

qcad (3.20.0+git6078-2bea1144c-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 2bea1144ca4f7e47cb9520e0518927aea831b787
  * Date: 1538134728
  * git changelog:
  *  2bea1144c - update translations
  *  c1b1e399b - update user manual translations
  *  1a8b1f5b9 - update user manual translations
  *  a9f3140f7 - update user manual translations
  *  51775fd74 - clear command prompt after each command
  *  94dc8d613 - disable dragging of clickable reference points
  *  d5994d2c2 - update user manual
  *  b3a86b1c0 - update script bindings
  *  7aefe0086 - add getDimensionArc
  *  342440ba1 - add getCenter
  *  8ee6108b7 - update
  *  edcd9b4c8 - add variable DIMDLI
  *  84228f5d8 - update script bindings
  *  08db2e04e - update user manual
  *  a938ce2db - update ordinate dimension presentation
  *  778a3c090 - add RMath::isBetween
  *  31222e291 - update user manual translations
  *  674949582 - update script bindings
  *  f41c5345c - add getAngle
  *  7c2f8c149 - clean up
  *  5556e276d - update user manual
  *  c282dab68 - update normalizeDrawOrder
  *  a60bc5c01 - interpret text position in pixel of pixel unit text
    overlays
  *  f2fd30bdc - adjust icon size of combo boxes
  *  a8cb2bb47 - set version to 3.21.3.1
  *  434078cbf - update script bindings
  *  2091f10d8 - refactor printing / pdf export to allow continuous
    export of multiple pages
  *  174ceadf2 - add getBlockIdAuto
  *  c55c02e45 - fix RS::sortAlphanumerical
  *  9b5002e01 - update user manual
  *  9897e0ce4 - update translations
  *  998f43dce - update translations
  *  c2dff5d09 - update translations
  *  bff59e43c - update translations
  *  3d3d19d98 - update translations
  *  bed228849 - update translations
  *  45bbeac80 - update translations
  *  4b91c8ccc - make ROperationUtils scriptable
  *  5b6a1a3dc - update ROperationUtils::normalizeDrawOrder
  *  f191c135f - update qrc
  *  b22e3a109 - update script bindings
  *  c31a093df - add ROperationUtils
  *  a43393b39 - update API doc
  *  115657f23 - remove RDocument::normalizeDrawOrder
  *  b1b7fd167 - update qrc
  *  59526ff67 - update translation strings
  *  de2e5a89d - update user manual
  *  4883616e5 - update translations

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 29 Sep 2018 03:23:39 +0300

qcad (3.20.0+git6030-27ada28e1-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 27ada28e13c8d9df4a91c6de6517da7c20a766f2
  * Date: 1536922976
  * git changelog:
  *  27ada28e1 - update user manual translations
  *  04cc659b9 - update user manual translations
  *  20b6a1e8d - update user manual translations
  *  451c25a4a - update user manual translations
  *  f5bb466a9 - update user manual translations
  *  7576a55a9 - update user manual translations
  *  ccb766bd8 - update user manual translations
  *  e5ba2a33d - update user manual translations
  *  ca56f5221 - update user manual translations
  *  127b3a49a - update translations
  *  8a166fd51 - update translations
  *  6e86fb6a4 - update user manual, translations
  *  0027f29fa - update user manual, translations
  *  724b65032 - update translations
  *  82f376153 - update translations
  *  6d118312d - update
  *  c0d13b419 - update credits
  *  78e521d81 - update translations
  *  4ebc4fcc8 - set version to 3.21.3.0
  *  1c7d44b9b - update qrc
  *  56039098c - clean up
  *  698ee5e67 - add translations for misc menu
  *  03de56797 - update translations
  *  9ab33c2e2 - update translations
  *  916f858bc - update
  *  49d4a1163 - update translations
  *  60218b114 - update translations
  *  8e7326458 - set version to 3.21.2.9
  *  1fd9c60cc - update script bindings
  *  3d4be7731 - update
  *  54bf17fa0 - refactoring
  *  0c05d30b3 - keep attributes / layer when normalizing draw order
  *  6cdf9a999 - set version to 3.21.2.8
  *  14e97d53a - increase tolerance for appending segments
  *  0fa8f80b6 - add user manual, translation files
  *  5a2c486ea - set version to 3.21.2.7
  *  55f2cd90e - improve arc precision in painterpaths
  *  c8518832b - add unit test for moving entities by drag and drop
  *  23c66c850 - add Array.prototype.removeAll
  *  556a2f59a - add tool matrix focus menu / shortcut
  *  67a513fa3 - add test data
  *  3e238e42d - update qrc
  *  681b1a9ce - fix transformations of arc length dimensions
  *  cf2a4ff78 - clean up

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 15 Sep 2018 15:16:05 +0300

qcad (3.20.0+git5986-091488207-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 09148820739fc58c5cb567db1afa6b5c2cd74bb1
  * Date: 1535123443
  * git changelog:
  *  091488207 - update user manual
  *  df2828f2d - fix argument defaults
  *  56f8fd560 - update translations
  *  85272b370 - update translations
  *  0fdf5b4d5 - update translations
  *  91e51b133 - set version to 3.21.2.6
  *  be6916c19 - update qrc
  *  4dad13219 - update script bindings
  *  b435fc49f - add RDocument::normalizeDrawOrder
  *  609629627 - fix compare for doubles
  *  6593c41b9 - rename DisplayOrder -> DrawOrder
  *  bcb001d01 - update user manual translations
  *  3a54c8907 - update user manual translations
  *  5bb74913b - update user manual translations
  *  5ab82ad52 - update user manual translations
  *  66dc230f5 - update user reference manual
  *  a21f42ed3 - update script bindings
  *  8675b276a - add properties
  *  f603f62d1 - add RPolyline::splitAtSegmentTypeChange
  *  04c43dd4a - update user manual translations
  *  aec88d989 - fix width / height / base angle properties
  *  f842f2ae5 - move RPolyline::simplify to proxy
  *  7c592e9cb - fix paths
  *  d23943da1 - add RShape::getMaxDistanceTo
  *  452069cbc - set version to 3.21.2.5
  *  63a8808e0 - update translations
  *  743ef6e90 - update user manual translations
  *  191108181 - add tertiary color for reference points
  *  ddc78995a - use strict comparison without tolerance when modifying
    entities
  *  bbb4309ae - update user reference manual
  *  5d42e9fce - update user manual translations
  *  0557d01bb - update user manual translations
  *  7ed0347cb - update user manual translations
  *  b4cb2ffcb - update user manual translations
  *  75881c640 - paint overlay as part of document (as part of image
    buffer, under preview)
  *  564f89ec6 - clean up
  *  5d296bd69 - clean up
  *  bd1840618 - add scale, auto text pos, dim block properties to angle
    / arc dimensions
  *  da4bea438 - refactor recent files menu to use QAction instead of
    RGuiAction
  *  9ea99c9ef - paint overlay over preview / highlighted entities
  *  1beb77d19 - fix getIntArgument with undefined default value

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 02 Sep 2018 02:43:44 +0300

qcad (3.20.0+git5945-f73fa44c6-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: f73fa44c6a44312c37c4725cc9f86d09c03fa725
  * Date: 1534434323
  * git changelog:
  *  f73fa44c6 - set version to 3.21.2.4
  *  9cd9ac550 - update qrc
  *  15703d6d9 - fix FS#1798 - Drawing Pref > Linetype > Scale of
    linetypes matches the scale of each viewport: wrong default shown
  *  d001b70b3 - fix naming conflict
  *  32d9eca87 - fix dimension gaps for arc dimension inside arc

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 17 Aug 2018 11:56:49 +0300

qcad (3.20.0+git5940-1c6c2fb65-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 1c6c2fb6520b87f92d34d2d47e21fbeedc34d4f8
  * Date: 1533044233
  * git changelog:
  *  1c6c2fb65 - fix transformations for angular dimensions
  *  3ecdeb998 - update script bindings
  *  0c47e1f84 - add option to import file as block
  *  cbfbe05a4 - add option to import as block
  *  ee035e192 - add function to initialize operation (used by
    ImportFile)
  *  2c3d21100 - add getSafeBlockName
  *  731550b15 - fix FS#1791 - Edit > Paste: relative zero point not set
  *  9519228aa - set version to 3.21.2.3
  *  5f5d69a81 - update script bindings
  *  18a20110a - remove use of QCollator
  *  33fbdd271 - fix FS#1786 - Block > Select Block References: not
    using active block in block list

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 03 Aug 2018 17:51:18 +0300

qcad (3.20.0+git5929-40ce264b6-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 40ce264b6498486265b2e1091e1fbb52f1b4eeb5
  * Date: 1532171668
  * git changelog:
  *  40ce264b6 - fix FS#1784 - View > Property Editor: Block attribute
    labels with international characters
  *  239ca985d - update script bindings
  *  eec044225 - fix double-click / middle click
  *  3ff4801d2 - add RPolyline::convertArcToLineSegmentsLength
  *  8b6731fea - refactoring
  *  325107ded - text along: support polyline segment as base shape
  *  4d3720b91 - set version to 3.21.2.2
  *  1a968bbbf - update user reference manual
  *  f566673ed - add gui actions for submenus
  *  4fb5f3ab6 - update translations
  *  968ced092 - update user manual
  *  c7c9050b0 - add RGuiAction for display order tools
  *  c125a6c33 - update
  *  73c2a90ba - missing ;
  *  d84100339 - add support for processing ellipses
  *  6835a4f7a - fix FS#1783 - RArc::splitAt(): fails in some cases
  *  d8d4c8b0a - fix typo
  *  977964c1f - update script bindings
  *  c123d3c92 - add RSplineEntity::getBezierSegments
  *  97023b257 - update
  *  fe416f6e1 - print overlays
  *  68e2540aa - add isLayerPlottable
  *  0ff25c51e - add preference to show only plottable layers in print
    preview
  *  dda7cd41c - workaround for Qt/wacom bug
  *  25641de43 - update script bindings
  *  b1c961990 - rename foreground -> overlay
  *  0de422e26 - fix getDirection1, getDirection2 for ellipses
  *  83c14595a - auto assign keys to transaction listeners
  *  75bbfe78d - Merge branch 'master' of github.com:qcad/qcad
  *  8ff19d24c - update script bindings
  *  9dfc50d76 - add z to painterpath export function
  *  afa4b2d7f - update user manual translations
  *  7f4e90e49 - update user manual translations
  *  6c2dc58a1 - update user manual translations
  *  5fffb328a - update user manual translations
  *  c249ee2b2 - update user manual translations
  *  5629e2beb - update user manual translations
  *  a8245460c - update script bindings
  *  196198c9b - add view category in toolbar menu
  *  051cb69ab - clean up
  *  3c5bfb6fb - return index of added transaction listener
  *  3bc06f968 - update script bindings
  *  b9e0e5cb4 - allow foreground to be linked to object IDs
  *  34f1b4ad8 - spelling
  *  399aed8ac - notify local transaction listeners on undo/redo
  *  f670ac569 - update script bindings
  *  5e0284148 - add support for local, document specific transaction
    listener
  *  35e5f0771 - fix getPointWithDistanceToStart/End for polylines
    (along polyline)
  *  102bffdc7 - add support for forgeground overlay to graphics view
  *  d3bf58403 - fix alphanumerical sorting
  *  04c024831 - disable QCollator use under Linux (crash)
  *  2af5c75d0 - Merge branch 'master' of github.com:qcad/qcad
  *  352955fa6 - disable alphanumerical sorting under linux (random
    crashes)
  *  2b308c335 - update
  *  d7155060b - update splashscreen
  *  1e9e0690f - set version to 3.21.2.1
  *  72c52199d - update user manual translations
  *  c9bc0eed8 - update user manual translations
  *  1e0abf357 - update user manual translations
  *  5b2d49bc9 - update user manual translations
  *  d55982021 - update user manual translations
  *  f9cea140a - clean up
  *  c90fb0c55 - Merge branch 'master' of github.com:qcad/qcad
  *  ad986247c - backport
  *  da156998d - update user manual translations
  *  542cdbac8 - update user manual translations
  *  c2bc633e2 - update user manual translations
  *  03df4ee53 - update user manual translations
  *  03eba6349 - update user manual translations
  *  d1dfc462f - update user manual translations
  *  312813f43 - port to Qt 4
  *  f7fc4f991 - update user manual
  *  cb73e96a1 - update script bindings
  *  d7f98293e - add Z linear parameter to morphing function
  *  ffcaf9777 - update translations
  *  6f95d51f5 - update user manual translations
  *  6c566a166 - update user manual translations
  *  f7690c113 - update user manual translations
  *  98c71a390 - update user manual translations
  *  9d086ff3d - update user manual translations
  *  15a8e152d - update user manual translations
  *  ececbbc14 - update user manual translations
  *  13890801b - update user manual translations
  *  cee4a1951 - update user manual translations
  *  3de2418b0 - update user manual translations
  *  a1ff146c7 - fix sorting
  *  cf0183f04 - update script bindings
  *  ceb4a6c4a - add RS::compareAlphanumerical
  *  05cf4d8e5 - move alphanumerical sorter to C++ / RS class
  *  d70e4c1a1 - update script bindings
  *  6125288c9 - add RS::sortAlphanumerical
  *  55adc4a2e - Merge branch 'master' of github.com:qcad/qcad
  *  94c9805bf - remove unused enum values for easing
  *  202056bc3 - port to Qt 4
  *  7ef38ae4d - fix argument handling with undefined default value
  *  c1695484f - update translations

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 21 Jul 2018 19:13:21 +0300

qcad (3.20.0+git5833-9284e51e8-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 9284e51e87d996532839107d251cd0a452c6c7c2
  * Date: 1530885067
  * git changelog:
  *  9284e51e8 - update user manual
  *  91d726424 - update user manual
  *  c527c1d54 - update user manual translations
  *  f0a1dea59 - update user manual translations
  *  954d1ee45 - update user manual translations
  *  1d91fc335 - update user manual translations
  *  357526d9c - update user manual translations
  *  b7670b959 - update user manual translations
  *  5708884c3 - update menu order
  *  04c4c35b3 - update user manual
  *  d71e05c13 - update script bindings
  *  923d85ce9 - nl translation: Beeld > Anzicht
  *  286f51f42 - make sure argument handling can return undefined as
    default
  *  a73f8a6b6 - update translations
  *  d88ea1b62 - set version to 3.21.2
  *  d25f2afd7 - update script binding type conversions
  *  5a9520a8b - fix include path
  *  250b3897b - fix FS#1777 - Crash when pasting / importing drawing
    with missing image
  *  e29dfbaec - update script bindings
  *  f7e644e50 - update user manual translations
  *  8e0d0186d - update user manual translations
  *  392e541b5 - add RGraphicsSceneDrawable::getDocument
  *  c22dd60be - add metatype for const RSpatialIndex*
  *  8b83e9a0f - move setDocument to cpp
  *  75516b9b2 - add const getSpatialIndex
  *  a9c6ce204 - update user manual translations
  *  d27e29dd6 - update script bindings
  *  53d5a2cd5 - update user reference manual translations
  *  cf657d200 - fix selection of polylines with z!=0
  *  b4148ec63 - update meta types
  *  e4e4a02ec - update user manual translations
  *  67a08127b - update user manual translations
  *  ca0e540bd - update user manual translations
  *  a91fd30d8 - update user manual translations
  *  a8c33f61e - update script bindings
  *  8daf87d8e - update user manual translations
  *  6ac082921 - update user manual translations
  *  e57cbe8d8 - update user manual translations
  *  419f5d4b1 - update script bindings
  *  3cce44765 - add easing to RPolyline::morph function
  *  1911e9db5 - add easing enum
  *  8ef8e423e - fix duplicate enums in script bindings
  *  06bae1c8a - fix command conflict
  *  1de0be946 - fix command conflict
  *  6b1f24c44 - update
  *  13bedde2b - fix command conflict
  *  53fbad36c - set version to 3.21.1.1
  *  9bd83251d - restructure menu
  *  dc50ba898 - clean up
  *  1095244fa - restructure menu
  *  e579df5ab - restructure menu
  *  740029097 - update translations
  *  ad5f923e7 - update user manual translations
  *  26cc09c11 - update user manual translations
  *  baa166087 - update user manual translations
  *  537958817 - update user manual translations
  *  4c7259527 - update user manual translations
  *  339586bf9 - update script bindings
  *  ea4d304ee - refactor shortcut handling, fix shortcut preferences
  *  f67955118 - update meta types
  *  73d5dc873 - clean up
  *  1da0d07c8 - move projection tools to modify submenu
  *  0fd1f12d3 - move argument handling to RSettings
  *  f91002a58 - update qrc
  *  83b2eefba - allow RToolButton and QToolButton in tool matrix
  *  4cb2a4f2a - fix tool matrix
  *  01df531dd - avoid .. elements in include paths to main action
    scripts (File, Edit, ...)
  *  cda0e7fec - avoid .. elements in include paths to main action
    scripts (File, Edit, ...)
  *  a573010b3 - avoid .. elements in include paths to main action
    scripts (File, Edit, ...)
  *  13e97b97d - avoid .. elements in include paths to main action
    scripts (File, Edit, ...)
  *  21334f518 - avoid .. elements in include paths to main action
    scripts (File, Edit, ...)
  *  e2751edd1 - update user manual
  *  bee09977e - update user manual
  *  f13f7c35b - update user manual
  *  6adc7739d - update translations
  *  08c42b6d5 - avoid conflict of file names
  *  d2f707c7d - update drawing preferenes icon
  *  8813c89a4 - set icon for app preferences
  *  eb16a5d88 - update user manual
  *  e850e791b - update user manual
  *  93cf1d326 - add app preferences icon
  *  92cb146ef - clean up
  *  23875930a - update file dialog name selection
  *  f34d5e25b - always enable clipping for images (clip images to
    viewport edge)
  *  2a61faa26 - fix circle with tangents from segments from same
    polyline
  *  87de087f8 - set version to 3.21.1
  *  7f0ef684e - update script bindings
  *  e6beca30d - make RToolButton scriptable
  *  850e218b1 - fix FS#1773 - File > PDF Export / SVG Export / Bitmap
    Export: file name suggestion in file dialog is drawing file
  *  a63f37a12 - update script bindings
  *  227b132f5 - fix REllipse::getAngleAtPoint
  *  90077d1ec - update user reference manual translation
  *  da20113c0 - fix constness, add getAngleAtPercent
  *  d728fb670 - Merge branch 'master' of github.com:qcad/qcad
  *  3785b1189 - Merge branch 'master' of github.com:qcad/qcad
  *  6d3f68856 - potential fix for windows unicode file path issue
  *  4b1a9ea92 - fix circle, tangent to three segment of polyline
  *  4a0e06787 - update transaction listener example
  *  7838ad7ac - update user manual translations
  *  ac4bc8fad - update user manual translations
  *  ab86a0a44 - add preference to always show all properties
  *  3fbc497ed - update translations
  *  b905c06c5 - update user manual translations
  *  18a4766e4 - update user manual translations
  *  19880d814 - update user manual translations
  *  4ece25712 - update user manual translations
  *  75e7fc95e - update user manual translations
  *  970fa6997 - update user manual translations
  *  591781746 - update user manual translations
  *  7951eb513 - update user manual translations
  *  0591f8094 - only show hand cursor when panning starts
  *  9827c77e0 - update meta types
  *  22e187ab8 - Merge branch 'master' of github.com:qcad/qcad
  *  5aa8bf0f5 - fix display of mixed value for orientation
  *  3b5ffb66b - Merge branch 'master' of github.com:qcad/qcad
  *  e5979b8ca - update meta types
  *  5ab57c0fe - update URLs
  *  127c40a77 - update user manual translations
  *  76eea9497 - update strings
  *  1506b6c95 - update translations
  *  7b682f09c - Merge branch 'master' of github.com:qcad/qcad
  *  1a3721fbe - add preference for pan threshold

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 06 Jul 2018 18:02:13 +0300

qcad (3.20.0+git5700-88a38cb5b-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 88a38cb5be8893ecc5be2d4a093860ff53f41784
  * Date: 1529696436
  * git changelog:
  *  88a38cb5b - port to Qt 4
  *  40d628548 - port to Qt 4
  *  c0463bc2e - update version
  *  62121bbc0 - update splashscreens
  *  297c0af1e - set version to 3.21.0
  *  b44ef0f2e - fix compiler warnings
  *  f9ad65bea - fix compiler warnings
  *  34906eedf - fix compiler warnings
  *  7e690bbd5 - fix compiler warnings
  *  9c1c7821f - fix compiler warnings
  *  993321605 - fix compiler warning
  *  1eadfa195 - update user manual
  *  c5ce40c04 - update user manual
  *  50afc27c3 - fix compiler warnings
  *  857a5dfcd - set version to 3.20.2
  *  01160f1a5 - update script bindings
  *  02c03158c - add RPolylineEntity::morph
  *  9d19a03af - performance: show total length, area of polylines on
    request only
  *  3951fb903 - update handling of invalid vectors
  *  65a05f3bd - return RVector of inserted node in
    RPolyline::insertVertexAtDistance
  *  23ceb7e76 - add factor to zoomIn / zoomOut
  *  0e83415dc - add preference for middle mouse button zoom factor
  *  ce9306877 - implement zooming with middle mouse button click
  *  0a054ed4f - update unit test data
  *  4f9c693e5 - explode circles into polylines with two arcs
  *  cb08aeda6 - add workarounds for Qt 5.11.1 bugs
  *  3b219107a - catch invalid numbers to prevent spatial index library
    crash
  *  762d41e94 - update translations
  *  825f1efd1 - update user manual translations
  *  10e2258ca - update user manual translations
  *  d0fc3e68e - update user manual translations
  *  4593966ae - update user manual translations
  *  f359f7d92 - update user manual translations
  *  1b8f03b3f - update user manual translations
  *  1887a50f7 - update user manual translations
  *  d37c369e6 - update user manual translations
  *  61cfa63d2 - update user manual translations
  *  5314bfd61 - update user manual translations
  *  8d0c10890 - update script bindings
  *  b7b013825 - add bulges to insertVertex
  *  07f68acb7 - add addShapes to simple API
  *  6d35630fa - set version to 3.20.1.7
  *  99639249f - update user manual translations
  *  84d0fc0b9 - update user manual translations
  *  88e7dcc93 - update user manual translations
  *  a389d384d - update user manual translations
  *  b77ffb40c - update user manual translations
  *  b54a6a103 - update user manual translations
  *  3a685300c - update user manual translations
  *  c0eccd512 - add script bindings for Qt 5.11.1
  *  a6182aa48 - update user manual translations
  *  3a8d3cccb - add support for requestable (slow) properties to
    property editor
  *  211a16392 - update script bindings
  *  353edcd19 - update user manual translation
  *  cabe4e353 - fix disabled main window on start
  *  6e6962cd2 - update user manual translations
  *  2007538b5 - update user manual translations
  *  d6de88192 - update user manual translation
  *  b1098b05f - spelling
  *  ca9565bcb - fix property editor z coordinate display
  *  c482ec032 - update
  *  e624136f2 - update script bindings
  *  0f01a453e - refactor hiding of Z properties
  *  30b9ee51e - add elevation property as global z for all vertices
  *  4cb1ca43c - add RPolylineData::setElevation, getElevation
  *  7afcf8b66 - add RPolyline::isFlat
  *  fee0eb0d6 - add Qt 5.11 workaround for enabling / disabling of app
    win
  *  a826caf27 - update user manual translations
  *  d3018d964 - clean up
  *  1c0b16de4 - clean up
  *  41103e354 - add OverridePriority for plugins overriding application
    name, splash and icon
  *  8305ae9b5 - introduct plugin info property "SplashOverridePriority"
    to make sure splash of most specialized product is shown
  *  4688e7f84 - fix properties of linear dimensions (rotated, aligned)
  *  1d3aa0c8e - make getProperty / setProperty virtual
  *  c55b63ccf - make getProperty / setProperty virtual
  *  5f8181e92 - update user manual translations
  *  01ad4a058 - update user manual translations
  *  78aab7198 - update user manual
  *  2385ff512 - update user manual
  *  32fc79c47 - update splashscreen
  *  f6732088e - update user manual
  *  7fadc3b6f - update user manual
  *  ffc44e583 - update user manual
  *  563aeaeeb - update tests
  *  78894cdf5 - update script bindings
  *  1d695ac77 - update user manual translations
  *  08cd39a48 - update user manual translations
  *  1195effb0 - update user manual translations
  *  55cb2d039 - update user manual translations
  *  4aa59580c - update user manual translations
  *  f391f078c - update user manual translations
  *  ee2b42560 - update user manual translations
  *  d7730360e - update user manual translations
  *  04d76e5b8 - update user manual translations
  *  413081314 - update user manual translations
  *  745e73673 - update user manual translations
  *  f2d810611 - update user manual translations
  *  abbb6dac8 - update user manual translations
  *  9d0adc79e - update user manual translations
  *  79451d482 - update user manual translations
  *  34adced63 - update user manual translations
  *  e6714d96f - update translations
  *  a6788c62e - update user manual translations
  *  13c624687 - update user manual translations
  *  c495ca389 - update user manual translations
  *  389ac8d28 - update user manual translations
  *  0eb243f93 - update user manual translations
  *  28258db0f - update user manual translations
  *  8b5f4dae4 - update user manual translations
  *  5fd1c3100 - update user manual translations
  *  31c3b4c05 - update user manual translations
  *  3d6c2bec0 - update translations
  *  2dbaad086 - apply wacom bug workaround for Qt 5.11
  *  131fa9ab3 - add script bindings for Qt 5.11.0
  *  f8ee35b68 - update API doc
  *  ad2f8792c - fix FS#1766 - Edit > Application Preferences: Tool
    Settings: cannot add menus to Tool Matrix
  *  1e0ce176d - update
  *  6b86f7806 - add -ignore-script-files switch
  *  b9522dbb3 - spell check
  *  56135fdbc - make dump function const
  *  707116296 - update splashscreen
  *  7825b37b1 - add deleteObject
  *  73f3018c5 - move eval to separate function (context) to avoid clash
    of variable names in ECMAScript shell
  *  2c3819296 - refactor handling of shift key / adding to selection
  *  ebd9102ad - update translations
  *  d90a2149f - use separate preference for defaults for layer 0
  *  e6b24f0a6 - set version to 3.20.1.6
  *  24dc15da4 - configurable default color
  *  827247c6e - add preferences for default color / linetype of layer 0
  *  a342ac363 - fix trimming of number string without decimal places
  *  e2e446160 - add French translation for Misc menu
  *  0038f396a - update spacing
  *  353850c2f - update warning
  *  fdc7375e6 - update spelling / layout
  *  ce71734fd - update translations
  *  52d3dbb74 - update output polyline vertices example
  *  4eb78dbdd - allow exporter to change file version when saving file
  *  ae2d2b6d8 - adjust height of first start dialog for longer
    translated strings

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 24 Jun 2018 11:02:13 +0300

qcad (3.20.0+git5562-dca21bcd3-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: dca21bcd3ed6a78b6b024c7d5e392a95f6f96dbd
  * Date: 1527258470
  * git changelog:
  *  dca21bcd3 - add minimal example
  *  5d8831aac - add example for class derived from QWidget
  *  351489be8 - update translations
  *  717a92115 - update example plugins
  *  b9b5e3d55 - add mouse over highlighting
  *  30b66ecff - fix RPolyline::getArea return value
  *  850c2a102 - set options toolbar to exact same height as other
    toolbars
  *  8663fdc2d - add layer list doc
  *  9f0118f8a - fix FS#1757 - Modify > Auto Trim: on polyline, followed
    by undo yields corrupt / invisible polyline
  *  8b077ad54 - update script bindings
  *  095f7ec67 - add RArcEntity::getSweep
  *  7234c460d - revert polyline area to use numerical approximation
    when arcs are involved
  *  87ca3c4da - update script bindings
  *  168b79f83 - update
  *  61c64e411 - fix label formatting, never save escaped label
    formatting with arc
  *  c7bbe2b68 - correct label position when using arc above label
  *  426d2b783 - move arc above dimension length measurement lower
  *  cbf4dbe5a - clean up
  *  72b29868f - fix FS#1753 - View > Property Editor: entity types in
    property editor not translated
  *  8adbea928 - set version to 3.20.1.5
  *  28b653696 - Merge branch 'master' of github.com:qcad/qcad
  *  042577b5c - simplify RVector::isZero
  *  b7f4b0ac0 - fix erroneous bounding box of text entity
  *  38eaf3a5a - Merge pull request #18 from melak/scriptbindings_5.9.5
  *  92a167e22 - add script bindings for Qt 5.9.5
  *  dba9d412c - init member
  *  5fbbed33a - fix detection of Dimension.ui option
  *  586a4bd78 - reset dim arc position when setting state
  *  1ca2bd600 - clean up
  *  ee01edcef - use parallel extension lines for arc dimensions < 90
    degrees

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 27 May 2018 07:00:47 +0300

qcad (3.20.0+git5532-11b88c320-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 11b88c32004a5a8e91d41c48bec183af423740dd
  * Date: 1526048903
  * git changelog:
  *  11b88c320 - update script bindings
  *  d61562172 - clean up
  *  ae2fee469 - clean up
  *  522663f9e - clean up
  *  c101a4e29 - fix translation of polyline orientation property
  *  0063c3289 - add arc length dimension type
  *  b7fec13a0 - add arc length dimension type
  *  29af61e6a - add arc symbols
  *  0a28783be - update translations
  *  b8fd61e9b - fix display of deleted attributes in property editor
  *  6c25e40b8 - clean up
  *  909fe40bb - update test data
  *  d0e5dfc71 - update unit test
  *  fc3bf3de3 - fix Draw> Angular Dimension for arc
  *  5a04e4343 - fix moving of dimension line position (definition point
    property mapped to new property)
  *  3009d9b34 - fix erroneous conversion of spline to line
  *  ecdd44515 - configurable tolerance for converting splines to arcs
    when importing splines from SVG
  *  517be0ee6 - clean up
  *  400faf31c - clean up

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 12 May 2018 11:48:05 +0300

qcad (3.20.0+git5513-fa078226b-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: fa078226b6e61d0d288f819494a63ce274e6796d
  * Date: 1524860175
  * git changelog:
  *  fa078226b - hide license key of not applicable
  *  0d06f4d39 - update translations
  *  4e42e897b - set version to 3.20.1.4
  *  ed6555093 - update script bindings
  *  73f93165d - add license key to about dialog
  *  9e716fab1 - allow plugins to check their license before running
  *  5cbb5e574 - clean up
  *  e07bb8879 - fix FS#1746 - File > Bitmap Export: File base name cut
    off in file save dialog
  *  bd667ca54 - fix FS#1745 - File > Bitmap Export: thick lines
    exported thin
  *  5c2c1df3b - update script bindings
  *  c4a2c4e0c - scale images using drag and drop
  *  c07464189 - add RBox::scaleByReference
  *  0f6348a56 - add RVector::getAbsolute
  *  4cb09baa3 - clean up
  *  66592b901 - scale images using drag and drop
  *  bd7197d21 - update script bindings
  *  9c36ef859 - add live preview when inserting / modifying images
  *  4467d0819 - add RImageData::setFade, setBrightness, setContrast
  *  5a2c58150 - add ROperation::getTransactionGroup
  *  944f9f5fb - update script bindings
  *  4b864db16 - add support for tagged states
  *  dd076f710 - fix dimension options for angular dimension
  *  5ae4e35f3 - capitalization
  *  c0b19ce14 - update qrc
  *  507742926 - fix compiler warning
  *  62047e8c3 - add test
  *  c4ef2369f - add options toolbar ui for angular dimensions
  *  292e1e0ef - add gitignore
  *  12e2b7fb8 - add drag and drop tests
  *  4bfa52146 - update translatable strings
  *  57a975732 - update translations
  *  daa3b49e7 - set version to 3.20.1.3
  *  8f7284962 - add support for flipped dimension when using dxflib
  *  2f8c19e2a - add support for flipped dimension arrows to dxflib
  *  7bd3c3469 - draw reference point always on top of (highlighted)
    entities
  *  5a8412bdf - move polyline segments using drag and drop
  *  99d6e5c07 - clean up
  *  972a69d6e - support arrow flipping for aligned dimensions
  *  58d2e4b33 - support arrow flipping for radial dimensions
  *  fb9275e40 - clean up
  *  11bf53051 - update outside arrows for angular dimensions
  *  821474e02 - clean up
  *  0c2dc1d2c - flip arrows of angular dimensions
  *  78debd8b7 - update script bindings
  *  02838a3d4 - handle clicks on reference points
  *  3d61a8ac4 - show arrow reference point as round
  *  c1ffe9341 - add properties for dimension arrows flip state
  *  577e18f0b - add RClickReferencePointOperation to react to reference
    point clicks
  *  3bb5c19ff - add RClickReferencePointOperation to react to reference
    point clicks
  *  c7801dbf8 - add arrow reference point type
  *  72d100b06 - add REntity::clickReferencePoint to react to reference
    point clicks
  *  30e889edc - update writeDimension for angular dimensions
  *  0c62d5508 - update isDimension for angular dimensions
  *  f2e696fbf - clean up
  *  c7499efbd - add preference to enable keyboard navigation in list
    widgets
  *  96685c831 - update script bindings
  *  1655be6c7 - split RDimAngular2L / RDimAngular3P
  *  e9a869df1 - add RVector::getRotated, getScaled, getMirrored
  *  c43d75a33 - update comment
  *  a9f57253d - set version to 3.20.1.2
  *  570163ffd - make some static functions from non-scriptable class
    QPrinterInfo scriptable
  *  9eb0b5502 - add support for direct printing to given printer
  *  9d88cb808 - don't show print dialog when running in command line
    mode
  *  813bafd1e - fix point size when printing
  *  653e8eec9 - add preference for print point size
  *  f00068248 - make sure title of property attributes group is
    translated
  *  9fb829f85 - update translations
  *  7bbf2eaeb - fix FS#1741 - Property Editor: titles of block
    attributes with _ cut off
  *  445bd29fa - add warnings
  *  f770d66db - scale visual properties before applying other
    transformations
  *  afc70d081 - scale visual properties of block reference
  *  8f282b24f - fix selecting entities around points if snap range is
    very large
  *  7ffef4f68 - update script bindings
  *  17e53ad98 - add RColor::addColor to API
  *  6c4a8dcb5 - update credits
  *  f554c590e - fix potential exception
  *  6034d8c6a - use exists / autoPath for path arguments
  *  fdccc8aaf - fix path when getting OpenFile.js action from resources
  *  6375be0a6 - set version to 3.20.1.1
  *  03bdd674a - fix path to OpenFile.js when loaded from resource

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 28 Apr 2018 20:45:10 +0300

qcad (3.20.0+git5433-7f1b8d092-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 7f1b8d092d300f307d796de48b2653117b6877c6
  * Date: 1523651478
  * git changelog:
  *  7f1b8d092 - make line weight in screen based linetype mode unit
    independent
  *  dd5160912 - fix print current view shortcut in print preview
  *  8e77aded1 - fix PDF export shortcut
  *  5cfdb58fb - clean up
  *  47241e93b - fix printing shortcut
  *  6e6ce1938 - update translations
  *  d8e1859b6 - set version to 3.20.1
  *  b4f365002 - fix resource lookup from plugin
  *  a937d7901 - update translations
  *  516d91874 - make point type entities easier to select
  *  a8223acc2 - update
  *  3ead405cf - add warning if nothing in stretch area
  *  65298dcc1 - fix color changes in CAD font text
  *  506ccd8b0 - workaround for Qt 4
  *  1835021af - clean up
  *  a1efc8a58 - Merge branch 'master' of github.com:qcad/qcad
  *  fd1dbcbc1 - fix Qt 4 qsTr workaround
  *  dda5a17c2 - fix compiler warning
  *  8ea248b7c - Qt 4 API workaround for qsTranslate with plurals
  *  b876bd7d2 - clean up
  *  904c8056c - prevent rotation, mirroring, scaling for pixel unit
    blocks
  *  f288c30e0 - hide pixel unit property
  *  375e34940 - prevent rotating pixel unit block
  *  8ec9d4e53 - update script bindings
  *  57f459133 - update warning
  *  8f64459f4 - avoid warning when previewing operation involving
    blocks
  *  851090db6 - implement block pixel unit as variable instead of
    custom property
  *  a7fe514ef - don't convert entities in pixel unit blocks
  *  dbb30d087 - use autoPath for icon paths
  *  a830563f5 - update script bindings
  *  a58bf6815 - add getKeyLog
  *  706588b7e - clean up
  *  f0017f589 - clean up
  *  4c278808a - fix keycodes with numbers when options toolbar with
    inpiut fields shown
  *  a4960a767 - Merge branch 'master' of github.com:qcad/qcad
  *  818fe7de0 - clean up
  *  bd1abd75a - fix startup warning about action not found
  *  70b851609 - fix loading files from compiled resources
  *  24cd530c6 - fix loading dxf from compiled resource
  *  33b9ed383 - update spashscreens
  *  59794a47e - port to Qt 4
  *  a365cfc3c - update to version 3.20
  *  ab37de2b5 - update script bindings
  *  6f3d0c3b0 - allow disabling of double click to edit blocks per
    entity
  *  c115c6100 - add support for alternative / translatable title for
    custom properies
  *  4f38e3f37 - update translations
  *  44912b50e - add support for appending ellipse arc to polyline
  *  5d52491f6 - fix getting orientation of polyline for polylines with
    arcs
  *  5421a4933 - update translations
  *  b4c74180a - fix FS#1732 - Saving dimension with custom text
    position
  *  d8d4d2ffd - set version to 3.20.0

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 14 Apr 2018 11:53:21 +0300

qcad (3.19.0+git5382-54b73311f-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 54b73311f3ce04eee26adf8e3a649acaa2d45a54
  * Date: 1522104182
  * git changelog:
  *  54b73311f - fix FS#1729 - Wrong sizes for dimensions in blocks
    viewed through viewport
  *  7b8232f6d - escape < on command line for polar coordinates
  *  acc54f1ed - force internal deleting of objects
  *  992d727d0 - set version to 3.19.2.9
  *  9f85004dd - add script bindings for Qt 5.9.4
  *  88289cceb - update translations
  *  c5aa6aab5 - update script bindings
  *  14b9b4821 - fix undo / redo when modifying closed, periodic spline
  *  96669d046 - fix reversing of closed, periodic spline from fit
    points
  *  75b1250d6 - add setLayerName to entity API
  *  c9e614d1f - update doc
  *  94f138d92 - update doc
  *  a28756edc - add isPointType to make selection of point like
    entities easier
  *  118db00cc - add isPointType to make selection of point like
    entities easier
  *  1b71eb1bc - clean up
  *  84474f7ee - disable alternative pen cap style
  *  4c0e7dce4 - clean up
  *  6a509796e - update
  *  2f62e8547 - set version to 3.19.3.0
  *  2ad4c2492 - update translations
  *  03fdc5bbd - update translations
  *  6e0aca29b - update script bindings
  *  cc103d481 - update script bindings
  *  434af5e0f - set version to 3.19.2.8
  *  2aad3c92c - add support for property attributes for custom
    properties

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 31 Mar 2018 11:35:29 +0300

qcad (3.19.0+git5357-156e58298-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 156e5829813a3f030512cc6f350e68442cf10107
  * Date: 1521122464
  * git changelog:
  *  156e58298 - update script bindings
  *  38465dd17 - update script bindings
  *  1ecf8be47 - update script bindings
  *  ef8501a47 - set version to 3.19.2.7
  *  99b917ce2 - clean up
  *  32e673976 - add support for block properties
  *  0c4e41ae9 - add setCustomProperties
  *  c25f98691 - fix preview when inserting pixelunit blocks
  *  8690735ed - add experimental cap style preference
  *  757708e59 - update script bindings
  *  e264771eb - add hairlineMinimumMode (avoid subpixel line widths)
  *  5c3ef33aa - update
  *  7ce1a903c - allow plugins to override application version
  *  9692a5d22 - update copyright year
  *  94a84a7bb - fix paths
  *  f0e46c623 - fix path
  *  307809591 - update script bindings
  *  16de8a9bd - add asserts
  *  0001d1607 - add delete object example
  *  42ad7da7d - add example to delete object
  *  eb5a2c261 - update translations
  *  fe6efdef4 - update script bindings
  *  23d4f3466 - add REntity::getZ, REntityData::getZ
  *  808edee0b - update script bindings
  *  cf0429c64 - add RShape::setZ
  *  ea31e9b1e - update test data
  *  af8409a7c - set version to 3.19.2.6
  *  ddcbbdc42 - set version to 3.19.2.5
  *  523952d1d - update Polish translation
  *  29497d61e - update unit test data
  *  245153ca8 - make RVector::dot const

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 16 Mar 2018 16:09:53 +0300

qcad (3.19.0+git5326-2d9359aac-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 2d9359aaca92e655a2388745291cee77bae5f2bb
  * Date: 1519999618
  * git changelog:
  *  2d9359aac - update translations
  *  a6a933f58 - set version to 3.19.2.4
  *  9fa3a393c - update detection of rectangular type polylines
  *  125580a4d - update
  *  a09ab6743 - port to msvc 2017
  *  a6792e216 - update
  *  3d5030b70 - port to msvc 2017
  *  957b2008b - port to msvc 2017
  *  a432c85d8 - add script bindings for Qt 5.10.1
  *  ca9f31c9a - add properties to modify size of rectangle-type
    polylines
  *  109c342a7 - add test data files
  *  8a0368fdc - update
  *  efc5f9a83 - add doc
  *  03c09b5aa - add ROperation::getText
  *  e32cc3f87 - update translations
  *  948dd190a - update
  *  8136614fa - update spelling
  *  49495c770 - update formatting
  *  f67bb37cc - link line tools documentation to shared documentation
    for line tools
  *  def5501ba - update shared doc of line tools
  *  532da8707 - update reference manual: middle menus (Draw > _Line_ >
    Line 2P)
  *  4e93390bd - fix script file property (for reference manual)
  *  d7713d6e2 - update user reference manual
  *  6ebe1f16b - update translations
  *  709cba5a9 - clean up
  *  e0c1a3199 - load translations for english (support separate
    singular/plural translations)
  *  3f40d8cf6 - update plural strings
  *  e4e45881c - fix FS#1720 - Modify > Auto Trim: fails for Rays and
    Infinite Lines
  *  27427691c - update API doc
  *  7cf9c95ce - update translations
  *  3ebc80448 - update translations
  *  273ccdc0c - plural translation
  *  4c4271c59 - translation strings
  *  871e8945f - add english translation (support plural translations)
  *  9b1c0b42f - update translations
  *  6ff032d39 - update translations
  *  c7189cbd9 - port Qt::escape to Qt 5 toHtmlEscaped
  *  13ec6eb8a - update script bindings
  *  97447c63b - allow for alternative print preview implementation
  *  1f793e500 - add RVector::findFirstFuzzy

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 03 Mar 2018 01:15:17 +0300

qcad (3.19.0+git5286-129f01285-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 129f01285722ad47ec16bd94777dbc6ef0c21beb
  * Date: 1517924399
  * git changelog:
  *  129f01285 - Add preference: Scale of linetypes matches the scale of
    each viewport

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 16 Feb 2018 02:48:39 +0300

qcad (3.19.0+git5285-08eff6fe0-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 08eff6fe0ba1f5334fde3297af33f74f4da45fe4
  * Date: 1517589569
  * git changelog:
  *  08eff6fe0 - fix cursor paths
  *  b44b1d20e - fix cursor path
  *  a41ef7b50 - update meta types
  *  5470ffee4 - pass document interface when changing settings
  *  1e296d938 - update copyright year
  *  38e8dc0c7 - add fallback for temporary directory creation
  *  ebe09003f - use document interface in layer dialog
  *  fe1231522 - update resource files
  *  c7661774f - update looking up actions from scripts in plugins
  *  b1a4bb1ce - fix potential exceptions
  *  327b12f7d - add qrc files
  *  30ac978db - split development and release resources
  *  2af345d39 - support loading DXF files from resources
  *  5ae266f5c - support running scripts as resources in a plugin
  *  38d1e3b2f - prevent duplicate script addons from plugins and files
  *  deb4f9183 - fix addToPreview
  *  877d36081 - Merge branch 'master' of github.com:qcad/qcad
  *  4fd3fc8b8 - support scripts compiled as plugin
  *  87ebf475d - Merge branch 'master' of github.com:qcad/qcad
  *  f72b3e518 - support scripts compiled as plugin
  *  29b8cee74 - Merge branch 'master' of github.com:qcad/qcad
  *  73b09719a - support scripts compiled as plugin
  *  6f34cf951 - tolerate absence of scripts folder
  *  879f0584e - add exists
  *  151d9ebc2 - tolerate absence of scripts folder
  *  333c77126 - compile scripts plugin
  *  a4eb1a515 - add scripts wrapper plugin
  *  566356ffc - fix compiler warning
  *  a2bb9af2e - update script bindings
  *  a0480a095 - update RNewDocumentListener
  *  dda971400 - update
  *  ad8e532ad - support shape / shape intersections
  *  b758668fa - update orientation property
  *  6681ae387 - keep track of used text height
  *  c5d1b5f29 - clean up
  *  0c1c1f82e - optimize updateImage
  *  ed55dfb94 - update parseScale
  *  02fc3e8b2 - add orientation property for polyline entities
  *  60b82e559 - add RPolyline::setOrientation
  *  9db5f6b79 - update comment
  *  1f4ed3f19 - update script bindings
  *  823fb67a1 - disable panning using keys
  *  a8b0ec2cd - add support for blocks rendered in pixel units
  *  52e11bfc7 - refactor handling of drawables
  *  d48967370 - add key listener
  *  426546b9b - accept key event for number input
  *  a99648ee2 - clean up
  *  b7f6252a4 - let arrow key events reach main window
  *  ce5477cdd - use configured default action as base class for print
    preview
  *  1f2309a92 - refactor initialization of default action
  *  aad6ed724 - update script bindings
  *  938624a49 - fix pdf export from outside print preview
  *  08b68c110 - refactor handling of print preview
  *  defef4281 - fix status of print preview button
  *  6b74f5b65 - add forceGlobal to force action running in global
    script engine

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 04 Feb 2018 09:34:35 +0300

qcad (3.19.0+git5230-19af34184-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 19af341842c78924a7c0a6699c2d3e230213f0c6
  * Date: 1516381980
  * git changelog:
  *  19af34184 - set version to 3.19.2.3
  *  cfd25d90f - fix getWidgets
  *  6de6ae236 - update script bindings
  *  276faad76 - add RMathLineEdit::isSane
  *  ba594ff97 - refactor
  *  85decaf01 - add support for widgets with duplicate names in
    getWidgets
  *  dfd1f7afc - update translations
  *  9eefcdc0b - update translations
  *  98a2947ea - update script bindings
  *  bbd097455 - add feedback when selecting layer / deselecting layer
  *  1b4860a0b - fix script console command line history
  *  8c4206b1d - add getKeyboardModifiers, isShiftPressed
  *  4f8d16210 - selectEntities, deselectEntities
  *  cfd301bfa - update script bindings
  *  e6cd88671 - update unit tests
  *  3367a77ff - update tolerance handling
  *  b5bcfc616 - add tolerance to autoClose
  *  b2699dfc1 - update translations
  *  813578393 - update translations
  *  593894d55 - fix nomenclature sector / segment (FS#1704)
  *  9fa3a0f44 - update script bindings
  *  37fcddd9f - add support for key string replacement when copying
    properties
  *  fcee2816c - fix order of inserted blocks for part library items
  *  e41efeac0 - clean up
  *  439ad55c3 - clean up
  *  3c1d74873 - fix issue with simple text and fonts with "bold" in
    font name
  *  e327babf3 - clean up
  *  7b19b5ef6 - refactor custom widget in layer dialog
  *  a5bb00420 - add support for custom UI in layer dialog
  *  c876d8af7 - update script bindings
  *  4292ab775 - fix FS#1703 - File > Bitmap Export: Monochrome with
    black background broken
  *  d3bb1fbee - update spacing
  *  64b214d9e - update
  *  6435e092e - update script bindings
  *  e40a9b63e - update shortcuts in menus
  *  9b87ab55a - add evalAppEngine to script API
  *  1428440b5 - fix FS#1695 - Context menu: editing tools not working
    in paper space
  *  937cccc0b - add getDefaultAction
  *  77bbd4f03 - update translations
  *  3d5c055d0 - fix shortcuts if focus is in tree / list view in
    floating dock
  *  f9867ee55 - fix shortcuts if focus is in tree / list view in
    floating dock
  *  0cc32da53 - fix shortcuts in library browser
  *  1829a45ca - forward key events for shortcut handling
  *  dd6a11794 - clean up
  *  2ba2c0801 - esc in spinbox returns focus to graphics view
  *  375a400e3 - make shortcut timeout configurable
  *  88a775380 - add keyboard preferences
  *  e5ac29c6b - update script bindings
  *  7672daaf1 - limit Qt 5.10 workaround to Qt 5.10
  *  55cc8c651 - workaround for broken shortcuts in Qt 5.10
  *  defe548a6 - update translations
  *  046902f0b - update
  *  242db9c25 - set version to 3.19.2.2
  *  9e4e85630 - clean up
  *  07e4b7ffa - add workaround for QTBUG-65559
  *  813eaf6be - port to Qt 5.10
  *  048a80189 - clean up
  *  e9c169cbe - add script bindings for Qt 5.10
  *  a0cdb4be6 - port to Qt 5.10
  *  4ff5be5d2 - fix FS#1677 - Dimension: Scale option grayed out in
    model space

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 20 Jan 2018 20:18:30 +0300

qcad (3.19.0+git5170-a8aabff79-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: a8aabff7942c8de8bacf5c03161c08d5cffcd7c1
  * Date: 1514461529
  * git changelog:
  *  a8aabff79 - fix FS#1686 - File > Print: Line scale in Viewport
    wrong if Model_Space not 1:1
  *  a4ae5f33b - set version to 3.19.2.1
  *  1f70332a5 - update translations
  *  484c4be1b - Merge branch 'master' of github.com:qcad/qcad
  *  e74f7930c - fix options toolbar icon size windows
  *  00bef2a7e - add comments
  *  09a96976a - port to Qt 4
  *  b9ae657cb - update credits
  *  462560934 - update translations

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 29 Dec 2017 20:57:59 +0300

qcad (3.19.0+git5161-7016a0bba-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 7016a0bba937ca4e18786144340f9827eb40b3b4
  * Date: 1513345558
  * git changelog:
  *  7016a0bba - set version to 3.19.2
  *  09965a6d3 - update translations
  *  94a5ad230 - update variable names
  *  72ed68648 - update
  *  c555b9572 - fix complementing of context menu
  *  93bdb1d46 - update example
  *  a3bd20a0c - update script bindings
  *  510a5eed3 - add RSplineEntity::getControlPointAt,
    RSplineEntity::getFitPointAt
  *  598cc5efe - add RSpline::getFitPointAt
  *  aab4e9147 - report failure to initialize plugin
  *  7a64fe7c7 - show error in red
  *  bd1852ac7 - set version to 3.19.1.3
  *  3c333225b - prevent duplicate command line history
  *  69a42f3c9 - update script bindings
  *  61d2ab8d5 - add auto transaction groups
  *  bc1468a35 - update script bindings
  *  d642ea324 - implement command line multi paste in RCommandLine.cpp
  *  ddf3c1ce4 - update action order
  *  4caf13971 - avoid transform where necessary to maintain original
    shapes
  *  b6209e802 - don't remove original shapes on painter path transforms
  *  72e16d06b - add text tests
  *  0580dc69b - update J letter order
  *  60cf46278 - minor updates
  *  961fc3d4f - avoid painter path transforms
  *  86a90950d - update handling of original shapes attached to painter
    paths
  *  4c4f8c2cb - add rc
  *  a61b5ca27 - add rc
  *  d4c50c241 - add rc
  *  5446417c9 - add rc
  *  5cdf0dbee - add rc
  *  0d2898f7b - add rc
  *  aba06d4cb - add rc
  *  ff17dbf66 - add rc
  *  b816b3bf3 - add rc
  *  6186169ec - add rc
  *  e5e676003 - add rc
  *  2f45e2f25 - update rc
  *  135496241 - add .gitignore
  *  41e76a5ee - add resource files for win deployment
  *  3bd481bbe - update qcad.rc
  *  73074f5ce - fix FS#1677 - Dimension: Scale option grayed out in
    model space
  *  3b928e4b4 - allow complementing block resource list context menus
  *  4e4c1b7ec - clear selection map cache if object changes
  *  8fd60d594 - update script bindings
  *  c0ab24c56 - only ignore key event if default action and current
    action ignore it
  *  59c29360e - ignore key events by default
  *  136904987 - fix defaults for print settings for blocks
  *  348797bba - make RGraphicsViewQt::pan scriptable
  *  725ca2297 - clean up
  *  f2e98efb2 - update API doc
  *  948d9e8f9 - update script bindings
  *  de1f7d1ff - add options for transparent background, export
    selection bounding box
  *  ae1a2d1ea - update API doc
  *  15129b517 - all zooming to set of entities
  *  6c6917f34 - add RDocument::getEntitiesBox
  *  d01f0372b - add implementation for RStorage::getEntitiesBox
  *  012e6db29 - add RStorage::getEntitiesBox
  *  624688388 - add margin to RGraphicsView::zoomToSelection add
    RGraphicsView::zoomToEntities
  *  9bd6c8597 - no documentInterface in RGuiAction
  *  da2805269 - no documentInterface in RGuiAction
  *  4f2072582 - don't store documentInterface in RGuiAction
  *  62ad7d97b - only stretch selected entities

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 16 Dec 2017 20:02:11 +0300

qcad (3.19.0+git5099-ae1efa293-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: ae1efa2936ad446e7da14e1bb34b6acd48322e0a
  * Date: 1512169669
  * git changelog:
  *  ae1efa293 - only accept Inch as drawing unit for Architectural or
    Engineering formats.
  *  29265923f - set version to 3.19.1.2
  *  21ab172f1 - update translations
  *  f547b1ef6 - delete layout along with layout block
  *  748865911 - fix FS#1670 - Layout Blocks are not using print
    settings from Application Preferences
  *  62ed94416 - accept math expression string for
    RSettings::getDoubleValue
  *  598e2b3b8 - add File.getInitialSaveAsPath
  *  765b3fa52 - update translations
  *  83523e9f9 - update translations
  *  daff0428f - update script bindings
  *  348b683c2 - make overwriting of properties optional in
    copyCustomPropertiesFrom
  *  a792138f9 - fix options toolbar icon size
  *  b4c6f65ba - set version to 3.19.1.1
  *  17d8c3895 - property type sum implies redundant
  *  f369cfa89 - update transaction listener example
  *  d40b58e6d - clean up
  *  1325f9c57 - fix FS#1664 - Block > Insert Block: attribute color not
    synced with attribute definition color
  *  b8067327e - Merge pull request #17 from qiqihuang/master
  *  952b0220d - fix point display preferences, mode 99
  *  866bea5e8 - fix issue - the center of rotation is always (0,0,0)
  *  3823f6793 - update script bindings
  *  a3472d287 - add RDocument::queryConnectedEntities
  *  78f1359b4 - add off is freeze as property

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 03 Dec 2017 10:48:16 +0300

qcad (3.19.0+git5076-1df2276b8-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 1df2276b8b7c4ca2597fd2e611a1c2052fa3d4cc
  * Date: 1510768943
  * git changelog:
  *  1df2276b8 - update translations
  *  21e007663 - don't snap to entities if parent layer not snappable
  *  860b02407 - snappable on by default
  *  1b2d64845 - update script bindings
  *  2d581038e - enable/disable snapping for layer
  *  642ab6893 - update script bindings
  *  5bc1dadcb - add getNotifyListeners
  *  b522e7dc1 - add individual freeze property
  *  b8f369408 - add isParentLayerPlottable
  *  7a1b42f74 - layer defpoints is never plottable
  *  93fdc4ae6 - implement plottable layer flag for views / printing
  *  81cb285d7 - clean up
  *  81968c7d5 - initialize modes
  *  b8edb25bf - update script bindings
  *  1ab5dec5b - refactor addPath -> addDrawable
  *  dbbb06d21 - implement no snap for layers
  *  031c4f84d - add flags no plot
  *  57789207a - format
  *  4a38b55e1 - refactor bools to flags
  *  2ee615f9b - refactor bools to flags
  *  4e39107a9 - update translations
  *  f1526d340 - update script bindings
  *  e84759497 - make script handler scriptable
  *  56bfd424d - refactor print preview
  *  401b7a68c - convert paper / print settings of all blocks
  *  a43cddbd6 - make script handler scriptable
  *  980ab0f14 - clean up
  *  7cb021aef - fix potential crash with block listeners
  *  9df496d3a - set version to 3.19.1
  *  34c487f3f - update script bindings
  *  d209785a4 - add support for converting viewports
  *  630bf0c50 - add RViewportEntity::setPosition
  *  ae6c4a521 - implement scaling of viewports
  *  b86a32b9f - fix dimscale in viewports
  *  988694ae5 - fix FS#1655 - File > Print Preview: cannot adjust page
    preferences for model space
  *  4eb138793 - update
  *  9ef24801f - set version to 3.19.0.1
  *  c7585d23b - fix FS#1652 - Insert file as block: block attributes
    not on correct block
  *  50a80124b - update user manual
  *  070e6a619 - update example
  *  cc9dbf010 - add osifont
  *  282ba9262 - fix regen when exiting print preview
  *  1a409305c - fix exception in app preferences, defaults for new
    documents
  *  3db3332fd - fix include path
  *  fce7a26bf - fix potential exception
  *  a8a1b0255 - update transform and background if block changes
  *  a4ec6f24a - replace line feeds in layer / block names with _
  *  8bcdb6efb - auto scale dimensions in layout blocks
  *  aa23e655d - add option to automatically scale dimensions in layout
    blocks
  *  47ef3bc2a - aviod warning for new properties
  *  3c6c8fefe - fix type of PDSIZE

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 16 Nov 2017 17:37:01 +0300

qcad (3.18.1+git5025-dbfd69712-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: dbfd69712dd44a9f20fe9d4dcac783021fa263c4
  * Date: 1509557226
  * git changelog:
  *  dbfd69712 - Merge branch 'master' of github.com:qcad/qcad
  *  87ed98ad1 - fix potential exception on quit
  *  4efb3fad3 - avoid multiple No Selection choices in property editor
  *  816940bd3 - workaround for qt 5.8
  *  942cce525 - add warning
  *  8a1c83363 - update examples files
  *  49f1740db - update translations
  *  7f11b24e6 - update script bindings
  *  100bc2846 - introduce separate handler / signal if current block
    changes
  *  a36ce5280 - update examples
  *  b5f3291ac - update user reference manual
  *  2767ce0cb - update api doc
  *  2e731a0c5 - update version number
  *  6182f2c04 - fix required unit test file
  *  5899051a7 - update translations
  *  3f35d03e8 - Merge branch 'master' of github.com:qcad/qcad
  *  bfdfb2ae0 - use query box when retrieving shapes
  *  9bed41a7d - update license file (fonts)
  *  21af42913 - clean up
  *  8378af839 - load TTF fonts in fonts directory
  *  a06be2cb0 - Fixed some old translation typos and nonconsistency -
    Radius=Polmer
  *  2b4eb3983 - Added new template to SLO_OS
  *  3f9612365 - Update Slo transltion
  *  078227861 - update splashscreens
  *  1e41e5d0f - snap to contents of viewports
  *  ad21626ce - fix snapping to intersections inside block references /
    viewports
  *  6d019d133 - add unit test for snap to intersection in block
    reference
  *  e6a385bcf - disable app win under linux during opening of file
  *  e78e38f18 - add warning if there id no MDI widget
  *  718e184c5 - update translations
  *  2005073dc - clean up
  *  d28266ea8 - update options toolbar after changing preferences
  *  5eb6ca33b - update icons
  *  b164d1cdb - always pass document when getting printer settings
  *  3dcb5dcf5 - make color and page settings block specific
  *  74a21c2a9 - add support for editing block specific preferences
  *  88f838574 - use alphanumerical order in layer and block combo boxes
  *  ef98feb5c - set version to 3.19.0
  *  aa0dd7565 - clean up
  *  a48cb5653 - update script bindings
  *  5a9ed7478 - allow storing widget state to RObject based class
  *  32dd8be72 - add isObject
  *  f64822501 - performance improvements
  *  3398aaa3c - update pro file
  *  816c9c9ae - add option to ignore color mode for parts of exported
    geometry
  *  3ade887ed - performance improvements
  *  e92aa6477 - add block sorting functor
  *  93a597d9a - update script bindings
  *  f37cff562 - add RMath::fuzzyAngleCompare
  *  c6996f427 - hide overall property
  *  186935468 - add reference point to move viewport contents
  *  fc7cdc272 - update script bindings
  *  7c47b4322 - update GPLv3 exceptions
  *  38d365f18 - fix potential exception
  *  fc225716d - avoid setting document modified flag
  *  689904499 - get document from document interface
  *  f372761d7 - update standard variable names
  *  52fd89671 - always finish actions when leaving application
  *  4a2b5e076 - make sure current block is never invalid
  *  867e27451 - update GPLv3 exceptions
  *  7bbaba1c3 - move layout dialog
  *  c5cce2099 - fix updating of cache for layouts, linetypes
  *  2ea5c7fd3 - performance update
  *  d8ce75641 - move renaming of layout
  *  6d2330132 - restore zoom / offset when switching block if current
    block is deleted
  *  db33d958b - move layout dialog
  *  0c2ac38e1 - fix block name validation
  *  7f944edd8 - add order to layout dialog
  *  0c1d8274c - add queryAllLayouts, isLayoutBlock
  *  8969c9ae6 - update translations
  *  52cb2d150 - update script bindings
  *  c300bd762 - add collapsed layer state / property
  *  7f72b9cd8 - update script bindings
  *  565d94550 - add rotation parameter
  *  17bc0b251 - add additional checks to prevent exceptions
  *  85c94a54c - fix potential exception
  *  83db02022 - move switching to layout code
  *  602721b10 - update example files
  *  28ba05272 - prevent highlighting of viewports on invisible layers
  *  11315c9e2 - clean up
  *  f49c39722 - disable activation of viewports
  *  92192f943 - update icon size linux
  *  b72f3dec4 - refactor printing, print preview
  *  507d83b66 - update
  *  b1b765663 - update
  *  05a207768 - update translations
  *  dd1014d79 - set version to 3.18.1.3
  *  c9e262952 - add isSimpleTextEntity
  *  6fe63e74e - refactor to offer Explode.explodeEntity
  *  ba79db66a - add potential future optimization
  *  126b436c4 - fix selecting connected entities for splines
  *  2b5e11b2c - update variable name
  *  de3a2a81d - optionally close open MDI widgets when opening files

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 02 Nov 2017 13:48:01 +0300

qcad (3.18.1+git4932-18d071b16-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 18d071b163edac7edc67c2b3d137687b05cc5f24
  * Date: 1508319577
  * git changelog:
  *  18d071b16 - clean up
  *  d6fa832bf - update icon resolution
  *  8064e9e41 - update about dialog
  *  4915bb66c - update script bindings
  *  def919e16 - use configured defaults for initial layer 0
  *  3ea3cb734 - add optional list of ignored keys when copying custom
    properties
  *  3d69a8640 - use File preferences category instead of Open/Save
  *  5f3cfb69c - use standard clear button to clear filter instead of
    our own
  *  bc9c771ef - add comment
  *  8ef447cd5 - update translations
  *  9e9c3caaa - update translations
  *  d53954d60 - update translations
  *  fc3a14b03 - support post new actions
  *  8e4b3516e - add File.getOpenFileName
  *  b08f66c77 - change preference category load/save to open/save
  *  a3ea1139d - clean up
  *  c5ada7e95 - clean up
  *  fa5a0f82e - move print preview preference
  *  89e119c9e - automatically switch to print preview when layout block
    is activated
  *  0a663d91f - add print preview preferences
  *  18674d539 - exclude non-scriptable function from script bindings
  *  11d123d79 - update script bindings
  *  294129a67 - update script bindings
  *  dd08637a2 - optionally include model space when querying layout
    blocks
  *  685cce291 - set version to 3.18.1.2
  *  41dab94ad - update example file
  *  144ba46d2 - update example file
  *  77e473109 - increase maximum number of active viewports
  *  7d557c94b - update layout dialog
  *  cce72665f - define draw order by draw order property and entity ID
  *  ff6794c8d - allow removing of layouts
  *  4a67edb04 - fix entity attributes when rendered inside viewport
  *  f264f59de - update script bindings
  *  9b53320a4 - update .pro
  *  c9327c75c - allow renaming of layouts
  *  0c0f7d505 - add isLayout
  *  3000d94e1 - add layout editing dialog
  *  e57070c7f - rename RBlock::isLayout to RBlock::hasLayout
  *  b79097fd2 - store print settings for individual blocks, update view
    when settings change
  *  85d2425e5 - update script bindings
  *  811fd75d7 - add experimental transformation of input coordinates
  *  55862187d - add RDocumentInterface::setCurrentBlock with ID
  *  0a29f160a - store print settings per layout block
  *  1561af62e - fix icons
  *  061840548 - disallow exploding of viewport entities

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 19 Oct 2017 14:46:43 +0300

qcad (3.18.1+git4887-6734cde27-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 6734cde27637ab15346adc87e2b54065ca9cb0d6
  * Date: 1507305375
  * git changelog:
  *  6734cde27 - add getViewOffset
  *  2372257b8 - refactor RTransaction::addObject
  *  4c063964c - add createDocument, createDocumentInterface
  *  b9cba4a59 - disable arrow head block property for leaders
  *  7ea6181b6 - update example scripts
  *  5acf63ec9 - add example script
  *  c747def19 - fix constness of getDocument, getDocumentInterface,
    getScene
  *  94a658a71 - fix constness of getDocument, getDocumentInterface
  *  5a2a11b03 - add hasCurrentViewport for convenience
  *  76b6f8653 - clean up
  *  250d82437 - update script bindings
  *  678ea122f - add pixel width support to Qt graphics scene/view
  *  213ceb4ad - export active viewport with dashed, thick frame
  *  c432f32c8 - allow to click viewport inside area
  *  83e0040a9 - add pixelwidth rendering flag for exporters /
    painterpaths
  *  62064123d - activate viewport with double-click
  *  f4e1c0a03 - setting / unsetting current viewport
  *  24e23aa78 - update setting options toolbar icon
  *  4525b8268 - fine tune options toolbar icon size
  *  67456994b - refactor setting options toolbar icon
  *  248b8e7b8 - fix icon resolution
  *  e4997e25b - update readme
  *  20424141d - disable translation of unused properties
  *  7d2294da3 - update translations
  *  2f4ec0ac4 - set version to 3.18.1
  *  f2ddad5e8 - Merge branch 'master' of github.com:qcad/qcad
  *  3f9424a3f - clean up
  *  fef1108e9 - update
  *  ef0a4d547 - update script bindings
  *  cb65208a1 - set version to 3.18.0.2
  *  5e283ccde - port to win32, msvc
  *  b0c55f2de - compile fix msvc
  *  a853defab - fix: FS#1617 - Edit > Convert Drawing Unit: Views in
    view list not converted
  *  fc3d36517 - set version to 3.18.0.1
  *  7846df2f8 - layer list: eye icon toggles both off and frozen
  *  3b74f0499 - detect pro tools during testing
  *  3536b3f0b - fix expected unit test data for CAD font text
  *  9520ff26d - add originalShapes in addPath
  *  2062816bb - update script bindings
  *  a87edb36e - fix color of exported viewport contents
  *  9b9a02aaa - add preference to disable color correction for printing
  *  e3b92166f - add RView::scale
  *  eb72a6c3a - fix visibility of viewport contents
  *  9b9c77ec9 - ignore dimscale of 0
  *  f59b8b471 - fix clipping when highlighting viewport
  *  a27da8407 - add plot properties to RLayout
  *  df9d796b0 - fix visibility of viewport contents
  *  a13ca3f3f - add Misc > Layer menu
  *  a14775961 - clean up
  *  894407e62 - remove example script to convert white layers to black
  *  a929823c3 - add preference to disable color correction for printing
  *  05ebc05b9 - add scale property for leaders
  *  049e1bf95 - add dimscale support for leaders
  *  b0d676f04 - change encoding of SansNS to UTF-8
  *  685ee105b - clean up
  *  a2fa9d8d4 - Merge branch 'master' of github.com:qcad/qcad
  *  8e668178b - fix FS#1636 - Options toolbar: wrong icon size
  *  e545bde6e - add ToggleLayerVisibility unit test
  *  daa7970f4 - refactor toggling of layers, fix untoggleble layers
  *  29d0eb811 - fix RUnit::doubleToString for large numbers
  *  a38e68887 - update script bindings
  *  fe86ec8c1 - fix rendering of arcs / circles based on splines
  *  dfb18fe8c - add getArea to RPolylineEntity API
  *  ae68e8c22 - add RBlockListQt getItem
  *  b05ed3201 - update API doc
  *  b48fdf4eb - refactor
  *  1c1e2709c - refactor getBlockItem to createBlockItem

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 07 Oct 2017 12:00:36 +0300

qcad (3.18.0+git4820-557c22944-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 557c229440f21f489b142f928c869a8e1730320a
  * Date: 1505985926
  * git changelog:
  *  557c22944 - update user reference manual
  *  71ded889e - fix potential exception in property editor
  *  8476f37e4 - update readme
  *  5ba1279e4 - update translations
  *  91ec875fc - update splashscreens
  *  59b03acde - set version to 3.18
  *  01da00ece - add DXF R32 to possible choices for default format
  *  17c4a6418 - save as DXF R27 by default (not the latest R32)
  *  bb7e8c9fd - clean up
  *  31c66f2cb - set version to 3.17.4.0
  *  25e685d9e - update test data
  *  60e42e9cb - revert addArc changes
  *  2b5696d27 - fix direction when creating splines from arc in
    createSplinesFromArc
  *  4a7f7b8d2 - fix addArc

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 21 Sep 2017 18:08:33 +0300

qcad (3.17.0+git4806-3504cddee-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 3504cddee254bec2240456d8b3acbbc2dec06fef
  * Date: 1504787690
  * git changelog:
  *  3504cddee - fix DL_POLYLINE3D flag definition
  *  9eb3e9bc2 - set version to 3.17.3.9
  *  dcfd76290 - improve precision of addArc
  *  fb5de1506 - update map example
  *  ce076f745 - resize options tool bar with other tool bars
  *  5ecbb5ffd - add getIntListArgument
  *  740759d2c - set version to 3.17.3.8
  *  4495bd23c - update translations
  *  9e18d092d - Update LICENSE.txt
  *  10137361a - add font VL-Gothic-Regular.cxf with license

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 08 Sep 2017 08:47:15 +0300

qcad (3.17.0+git4796-7556e9e7e-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 7556e9e7ea992d24769ba86d15d79dcdeb69e39c
  * Date: 1502781430
  * git changelog:
  *  7556e9e7e - update warning when saving with dxflib

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 25 Aug 2017 04:03:17 +0300

qcad (3.17.0+git4795-3515934-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 3515934af1c5ce7f315952473f0147a15d611144
  * Date: 1502380782
  * git changelog:
  *  3515934 - set version to 3.17.3.7
  *  f5cbb35 - add signal to example
  *  3a1ac36 - Merge branch 'master' of github.com:qcad/qcad
  *  8c8b23f - add script bindings for Qt 5.9.1
  *  146faa1 - add script bindings for Qt 5.9.1
  *  d9ac36f - improve initial window size for small screens

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 10 Aug 2017 22:20:26 +0300

qcad (3.17.0+git4789-481cd00-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 481cd00eb89826f38cccde7e158a6a7114b08bb1
  * Date: 1500659873
  * git changelog:
  *  481cd00 - set version to 3.17.3.6
  *  060c161 - fix defaults for freezing layers
  *  2fb9f73 - add auto trim tests
  *  4f5829c - add auto trim tests
  *  99d028b - fix auto trim of not reversed ellipse arcs
  *  b180cdc - InsertBlockItem: fix exception when no file is given
  *  b6f7e10 - fix FS#1618 - Modify > Auto Trim: fails when extending
    (depending on clicked position)
  *  247a8be - RLine::getDistanceFromStart: return negative values for
    points before start of line
  *  a7df02d - set version to 3.17.3.5
  *  206303e - set version to 3.17.3.4

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 28 Jul 2017 01:52:03 +0300

qcad (3.17.0+git4779-4463234-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 4463234b770452c6cce76990f0b1bfe5570d7e53
  * Date: 1500035329
  * git changelog:
  *  4463234 - update translations
  *  4889ae6 - update test data
  *  a71b39b - set version to 3.17.3.3
  *  d4741b1 - remember maximized status
  *  b779a8c - set version to 3.17.3.2
  *  a39cacb - only force same color of block attributes if layer0
    compatibility is on
  *  d4b7873 - add property to disbale scene regeneration
  *  8b0a719 - update script bindings
  *  4eb2ea5 - add insertFitPointAt(t, point)
  *  6efa97d - add RMath::containsFuzzy
  *  e9564ba - copy spline if it changes from using fit points to
    control points and vice versa
  *  0e9789a - fix FS#1615 - Decimal point of dimensions shown as '?',
    preferences page throws exception
  *  948a710 - fix FS#1616 - Edit > Convert Drawing Unit: leader arrow
    switched off
  *  72949b5 - update translations
  *  6976e64 - fix lookup of default action
  *  c3e8b2b - update script bindings
  *  9236f5c - fix potential exception if configured default action not
    available
  *  8cdb896 - add RPolyline::splitAtDiscontinuities
  *  e1d50b3 - add support for auto terminate, passing existing item
    document to insert
  *  b5a77b8 - Merge branch 'master' of github.com:qcad/qcad
  *  9587aa8 - Merge branch 'master' of github.com:qcad/qcad
  *  0cce442 - workaround for QTBUG-38256, QTBUG-57990
  *  cce8ec0 - allow overriding of default action
  *  0662c87 - update preferences
  *  c026a00 - update translations
  *  1643f24 - add preference to switch off status bar tips
  *  0d554a3 - add support for Freeze Layer preference
  *  ea40a96 - set version to 3.17.3.1

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 14 Jul 2017 17:08:13 +0300

qcad (3.17.0+git4751-0a6bc28-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 0a6bc283bf5d369e6152aa426c8eb373dc4f50c0
  * Date: 1498840209
  * git changelog:
  *  0a6bc28 - update script bindings
  *  8290575 - add RDocumentInterface::addDrawableToPreview to export
    drawables to preview
  *  1ed52a0 - add warning when exporting entity that is not on current
    block
  *  9c7770f - update debugging info
  *  991b2dd - add unit test for scaling formatted text
  *  ad6c53c - update user reference manual
  *  5cf935c - scale internal text height changes when scaling texts
  *  aa32f8f - update translations
  *  83fc1a8 - update translations
  *  c22ce30 - set version to 3.17.3
  *  bb1f690 - update translations
  *  692accd - add more text heights
  *  401678d - move processLayerArgument and
    processPolylineWidthArgument to common.js
  *  d7607e6 - fix setMinimumWidth for polylines without width
    information
  *  9069cf9 - add callback to initialize view
  *  4eb5eec - update user manual
  *  6ef3bd4 - update script bindings
  *  3810114 - add 30 degrees cabinet projection
  *  304c77f - add cabinet 30 degrees projection type
  *  07ee2c9 - update script bindings
  *  efd2390 - fix translation of projections
  *  6751e47 - add dimetric projection
  *  153b316 - add dimetric projection
  *  bb2cdd5 - update script bindings
  *  b42101d - add processPolylineWidthArgument
  *  dc08313 - add RPolyline::setMinimumWidth
  *  c948ddc - set version to 3.17.2.1
  *  470cda6 - fix FS#1609 - Edit > Drawing Preferences: dimension size
    scale cannot be changed to 1
  *  f809f20 - update unit test
  *  81194fb - translate transaction log string
  *  e5bb19a - clean up
  *  fca5f77 - make sure only one property watcher is created per
    control
  *  3f0d4bf - fix potential exception with non-existing paths
  *  9e64612 - fix potential exception in derived tools
  *  b21cd14 - update explode preferences
  *  ba48371 - clean up
  *  2079407 - fix return of object
  *  a468d31 - fix FS#1605 - Edit > Paste: Empty layers created when
    pasting to current layer
  *  9ed1b7a - spell check
  *  232bede - update API doc
  *  40c46ca - clean up
  *  718124c - update API doc
  *  ddfcaa5 - add addLayer to simple API
  *  d3b3edf - fix label of custom projection types
  *  9305d58 - remove Qt translation files
  *  64442e8 - backport to Qt4
  *  69b72ba - update translations
  *  2a88c06 - fix getting selected block from block list
  *  e80f3a0 - fix FS#1600 - File > Save As: Only partial information
    shown for available filters
  *  b3404a3 - fix FS#1600 - File > Save As: Only partial information
    shown for available filters
  *  ef6bf7e - clean up
  *  b14368b - add File > Close shortcut under Linux when using Qt 5
  *  b9807b2 - update languages
  *  2ebe3a8 - update languages
  *  5c9f815 - update translations
  *  797d076 - update translations
  *  928afed - add turkish
  *  f657d62 - update translations
  *  21f5a46 - add more languages
  *  81d00a2 - update user reference manual
  *  84ac348 - add option to allow / disallow same name for block
  *  540923c - update translations
  *  eb27dab - update tool tip
  *  6319cd6 - update translations
  *  51bea57 - update TextAlong tool (riverbuoy)
  *  051344c - update script bindings
  *  0af0798 - fix FS#1597 - Edit > Convert Drawing Unit: dimension
    scale override set for all dimensions
  *  fdc96db - allow getting dim scale of entity without falling back to
    document setting
  *  f99ca46 - set version to 3.17.2
  *  3bae21e - update icons to use 512x512px canvas
  *  8dd1805 - update text along tool
  *  715f02e - fix LWPOLYLINE without Z values
  *  1513e1c - clean up
  *  722ee22 - fix handle type
  *  f2db48d - fix handle type
  *  6a43fa3 - clean up
  *  f7e2f30 - make handle counter available to derived classes
  *  3e22a4a - make sure handles are unique
  *  b4fbc64 - fix downloading of file from URL
  *  158461f - add debugging info when inserting URL

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 30 Jun 2017 21:13:08 +0300

qcad (3.17.0+git4671-7f66d99-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 7f66d99be09961376eb8c4f5495ea89c4f23315b
  * Date: 1497649660
  * git changelog:
  *  7f66d99 - qt 4 backport
  *  93dabf5 - update script bindings
  *  be8f349 - tolerate undefined offset
  *  905b577 - add tool tip
  *  dab12c8 - refactor LayerDialog to allow external use of validation
  *  73aad8b - refactor BlockDialog to allow external use of validation
  *  a5b437b - remove const from ROperation::apply, avoid many mutables
  *  94b1dd4 - refactor action -> toolTitle
  *  52ff9b3 - tolerate absence of options tool bar widgets
  *  0c8582a - update script bindings
  *  98ff048 - add RBlock::isModelSpace
  *  75d1b70 - provide plugin hook into the block list context menu
  *  e27d441 - make copying and creation of block reference optional in
    createBlock
  *  22c188c - update user reference manual
  *  3861a37 - update test data
  *  a5d44e9 - update user reference manual
  *  50a7ed2 - update translations
  *  a2dd7eb - add download logo
  *  81e6fdd - respect layerName when pasting / inserting
  *  2f28a07 - fix text block colors
  *  fb6f592 - update API doc
  *  44512cd - add explode unit test
  *  899e261 - update unit test data
  *  65b874f - set version to 3.17.1.5
  *  f4487c2 - Merge branch 'master' of github.com:qcad/qcad
  *  24db7d6 - update unit test data
  *  92ad58c - Update readme
  *  b56b217 - add unit test expected data
  *  d698b8c - add unit test
  *  a82d2cc - update unit tests
  *  0b77d1b - stretch reference points on stretch area edge
  *  3e41196 - refactor CreateBlock to allow external use
  *  26af602 - set version to 3.17.1.4
  *  48ba9b8 - ignore text alignment tags, strikethrough tags
  *  5b50084 - update translations
  *  fcfce1e - add processLayerArguments
  *  a32dab3 - refactor show/hide lock/unlock all layers to use
    RDocumentInterface
  *  824254a - add zoomall property to zoom to the maximum extent of all
    layers
  *  138c2fc - set version to 3.17.1.3
  *  9addd36 - update OS information
  *  d937cea - update OS information
  *  eb0c9b8 - Merge branch 'master' of github.com:qcad/qcad
  *  1eba850 - update unit test data for rendering / DXF import/export
  *  8ad3995 - update explode unit tests
  *  3de9dd2 - update text unit tests
  *  fe0c416 - update text unit tests
  *  8356fef - keep entities selected after exploding
  *  b7be55f - keep track of text layouts and painter paths relationship
  *  07d4063 - store number of corresponding painter paths in text
    layout
  *  108bbcc - Merge pull request #16 from srakitnican/master
  *  c33aff7 - fix FS#1572 - Dimension font not set to "Standard" when
    importing through dxflib
  *  bebc3c2 - update script bindings
  *  4396e98 - clean up
  *  db121ba - allow exporters to override current entity (pushEntity,
    popEntity)
  *  8666847 - performance improvements
  *  632d627 - performance improvements
  *  8e0e86c - clean up
  *  1902df2 - performance improvements
  *  d7274dd - clean up
  *  19c448f - Don't link against Qt
  *  3eaa4f0 - clean up

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 18 Jun 2017 02:37:23 +0300

qcad (3.17.0+git4610-7879df6-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 7879df60cb220f3c1c5fd2c6f7bca99664af1080
  * Date: 1496345145
  * git changelog:
  *  7879df6 - update script bindings
  *  f549fc0 - update unit tests for projection tools
  *  b310b7d - performance improvement
  *  5bb382e - performance improvement
  *  ab0d15e - cache ID of layer 0
  *  3ef0278 - refactor projection tool, add more standard projections
  *  cbda6bf - Merge branch 'master' of github.com:qcad/qcad
  *  ec942dc - set version to 3.17.1.2
  *  6024264 - compile fix for Qt 4.8.7
  *  3e49513 - add TextAlong
  *  677f19c - add TextAlong to credits
  *  4cb08a9 - add TextAlong tool (riverbuoy)
  *  53f7ecf - update script bindings
  *  83cd011 - update script bindings
  *  e52dc3a - add properties to clipboard / paste operation
  *  e0046e6 - cherry picked updates from pull request #15 (jcoffland):

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 02 Jun 2017 17:36:02 +0300

qcad (3.17.0+git4594-214e279-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 214e27993fbbadad4241b6bf4e1c5f23eea7a70d
  * Date: 1496050310
  * git changelog:
  *  214e279 - back port to qt 4
  *  127a349 - update translations
  *  73ce859 - update initialization of previous / current version
    detection
  *  a331045 - add preference to explode multiline texts into simple
    text blocks
  *  488f649 - update script bindings
  *  8a7888f - add RTextProxy, RTextBasedData::getSimpleTextBlocks
  *  8313361 - compile fix
  *  66d5498 - update script bindings
  *  457df7d - add more information to RTextLayout (text blocks with
    same formatting)
  *  475dc91 - update streaming format for RBox
  *  a820025 - add bounding box and TTF flag for text layout
  *  939b302 - add RColor::setCompat
  *  a5a7461 - set version to 3.17.1.1
  *  d5fa29c - update translations
  *  c929f51 - set version to 3.17.1
  *  4788633 - update script bindings
  *  034fcdb - add additional info to RTextLayout
  *  31aa0fe - add experimental code to explode multipline texts into
    simple text blocks
  *  92e97c7 - fix FS#1583 - Option / Rotation missing defaults for 15
    and 345 degree
  *  9d9a070 - fix FS#1582 - Layer > Show all Layers / Hide all Layers:
    unexpected outcome when frozen column not shown
  *  09971ec - set version to 3.17.0.1
  *  2a31885 - set version to 3.17.0.0
  *  3390732 - fix duplicate shortcut
  *  9ba4003 - update image tool
  *  aacb71c - update image tool
  *  1aa6744 - refactor image tool to use getOperation, updatePreview
  *  3447198 - update translations
  *  e624528 - update api doc

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 29 May 2017 12:53:54 +0300

qcad (3.16.7+git4566-e01bcb8-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: e01bcb890c67bb114237820d0580516561ac2208
  * Date: 1494581457
  * git changelog:
  *  e01bcb8 - update translations
  *  15ce451 - update user manual
  *  48501ce - move Edit > Rotate preferences to rotation tool
  *  afca430 - update user manual
  *  281fed0 - update readme
  *  f10e8b7 - update translations
  *  2e26e5a - add inverse icon
  *  8464182 - update splashscreen
  *  af24208 - pass filename to constructor for unit tests
  *  89bb882 - add icon for InsertScriptItem action
  *  9915dd1 - refactor handing of URL
  *  b01873f - fix initial state of InsertScriptItem action
  *  e6568bb - refactor action visibility handling
  *  8ca8ebf - add Layer.thawFreeze
  *  1bbe71f - set version to 3.17.0
  *  948aa29 - fix FS#1579 - Edit > Paste: rotation leads to wrong
    position of block references if drawing units differ
  *  cb3badc - update unit test
  *  f98a519 - add comment
  *  d892423 - add workaround for Qt keyboard focus problem after
    showing file dialog
  *  99ffc98 - correct data types, update API doc
  *  0ce302f - set dxflib version to 3.16.8.0
  *  2471db7 - clean up
  *  eca188e - add arc aligned text stubs
  *  6748b2e - add strings to arc aligned text entity
  *  708a58e - add support for ARCALIGNEDTEXT entity type
  *  0aa9511 - ignore tagged entities
  *  040f6eb - add support for explicit reference point
  *  dea0ff5 - update script bindings
  *  1bac76b - remember and restore last used directory in library
    browser
  *  3fbc802 - add RShape::getAngleAtPoint
  *  8a6b11a - update script bindings
  *  c7d0d5e - add original cursor position (without snap) to
    RInputEvent

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 14 May 2017 13:34:46 +0300

qcad (3.16.7+git4534-53cce04-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 53cce04957313ae9004383c6b0ae8ea8bfe6314d
  * Date: 1493314966
  * git changelog:
  *  53cce04 - set version to 3.16.7.6
  *  b968a8d - fix preview when rotating on the fly
  *  73dd1d1 - refactor to use getOperation (support on the fly
    rotation)
  *  d43c2ae - set version to 3.16.7.5
  *  8fd033d - add RGraphicsView::isActive
  *  ae216b1 - clean up
  *  5eccec4 - add angle step to preferences
  *  75d4f14 - refactor to use getOperation
  *  db8bc00 - fix focus when inserting library items
  *  f65adbf - spelling
  *  375dd05 - fix temporary file creation (macos, qt 5.6)
  *  5f093e3 - add support for theme icons
  *  d21fac4 - update translations
  *  a855e40 - update script bindings
  *  fe48b7c - allow themes to override icons
  *  930c035 - add RSettings::getThemePath
  *  9b116e0 - separate layer list from current document
  *  45c235d - clean up
  *  766c0af - allow overriding of document interface
  *  93f8a7b - update script bindings
  *  fb7234e - add local layer listener for document interfaces

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 28 Apr 2017 07:54:47 +0300

qcad (3.16.7+git4513-ba931d5-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: ba931d5e7efe2f14a62273378be47a5f6f1d3f3b
  * Date: 1491572240
  * git changelog:
  *  ba931d5 - update workaround for Qt 5.6.1, 5.6.2 bug under macOS
  *  7a81b3b - workaround for Qt 5.6.1, 5.6.2 bug under macOS
  *  a36a1ac - fix FS#1569 - File > Print Preview: changing offset in
    drawing preferences has no immediate effect
  *  b1383ca - Merge branch 'master' of github.com:qcad/qcad
  *  4b04ccf - Merge branch 'master' of github.com:qcad/qcad
  *  4d4f92b - add RPATH ORIGIN under Linux
  *  99d035d - update translations
  *  4a2e7d3 - fix entity visibility in nested blocks / layer 0
  *  f36172a - update dump
  *  eb05f20 - add layer / visibility test cases
  *  669ffd7 - add layer / visibility test cases
  *  7322032 - add test data for layers, visibility, layer 0
  *  d9cd766 - extend visibility check for entities on layer 0
  *  021f9af - add RExporter::getBlockRefViewportStack
  *  f67ae70 - fix check for special layer 0 handling
  *  1f48207 - update script bindings
  *  c7c8c1d - fix block attribute visibility / color in layer 0
    compatibility mode
  *  23bd42d - add RExporter::getColor to get color of current entity
  *  9a0f364 - update comments
  *  ffce774 - add QTextLayout meta type declaration
  *  63da695 - add RTextLayout::getLayout
  *  cf078d7 - clean up
  *  285c208 - update comments
  *  38d87d1 - Merge branch 'master' of github.com:qcad/qcad
  *  5acb09f - update / add rendering test files
  *  4d1673d - Update Slo translation
  *  345c09b - update
  *  b40a089 - update API doc
  *  363fc41 - use REntity::isVisible when computing bounding box
  *  8f8c3fe - make RTextLayout scriptable
  *  f047b8a - add sanity checks
  *  f31dc27 - add sanity checks
  *  ba4da63 - only export sane labels
  *  40352ae - add RTextBasedData::isSane
  *  f9416ac - add isSane
  *  e6fa54e - add isValid, isSane to dimension classes
  *  947c6da - make RTextLayout scriptable, add RTextLayout::hasLayout
  *  3236ceb - add REntity::isValid REntity::isSane
  *  b961a68 - add comment
  *  4c88a50 - update translations
  *  18b8641 - update layer preferences
  *  dd2ccfe - add TODOs, clean up
  *  f1e43d8 - clean up
  *  c351cdf - move visibility check for attributes to attribute class
  *  0612e2f - don't delegate attribute color to block reference
  *  50449df - make sure update reminder is shown after splash is closed
  *  410b7ce - update
  *  8c92fa4 - add user level warning when recursive block references
    are detected
  *  46e8cad - clean up
  *  4f3c208 - set version to 3.16.7.4
  *  0cc6668 - fix trackpad zooming under macOS with Qt 5
  *  f992550 - clean up
  *  c3d0b41 - add debugging info
  *  357853a - Merge branch 'master' of github.com:qcad/qcad
  *  c6a8a78 - add nativeGestureEvent
  *  1ce1ee0 - set verion to 3.16.7.3
  *  b39d7d1 - Merge branch 'master' of github.com:qcad/qcad
  *  ad14ff3 - add xcbglintegrations to deployment
  *  38120ee - add more example script bindings
  *  021b26b - update script bindings
  *  7dcf010 - use REntity::isVisible for all visibility checks
  *  1aac0c5 - rename getType to getShapeType
  *  9e3b52e - move getType to entity data classes
  *  e4b4011 - fix detection of QCAD modules
  *  5c90780 - clean up
  *  868337e - update unit tests
  *  5ff4164 - update unit tests
  *  3137b9f - add script bindings for Qt 5.9
  *  a12fe59 - Merge branch 'master' of github.com:qcad/qcad
  *  612ca75 - set version to 3.16.7.2
  *  093e905 - Merge pull request #14 from neomilium/fix-endless-make
  *  199a139 - fix endless build problem
  *  a04bf0a - update RObject::dump
  *  de55da5 - update script bindings
  *  9bf6f21 - add isLayerOff, isLayerOffOrFrozen
  *  9f98f01 - add layer off flag
  *  0f06e9f - add isLayerOff, isLayerOffOrFrozen
  *  e5a996b - add support for off flag of layers (negative color value)
  *  47f67d0 - add layer property off
  *  17a80fa - set version to 3.16.7.1
  *  ecc1993 - update translations
  *  c4634d8 - update credits
  *  d2bc7ac - update translations
  *  5e9d153 - update translations
  *  78ee4b7 - add preference to disable entity highlighting
  *  5a6d77a - set version to 3.16.7
  *  5ef7426 - fix FS#1560 - Main Menu not selectable (Ubuntu 16.04,
    Unity)
  *  a12714a - fix preferences, about menu placement (locale fr)
  *  eef8157 - disable menu placement based on text heuristic by default
    (macOS)
  *  594fc13 - update credits
  *  782b788 - update script bindings
  *  de40681 - add space as decimal separator option
  *  2ad4053 - decimal separator
  *  13c22fa - decimal separator
  *  31c8133 - update script bindings
  *  6393f0d - use char instead of QChar for decimalSeparator
  *  07d0ed1 - update templates
  *  9328735 - set version to 3.16.6.0
  *  18a3261 - avoid rendering of dots in hatch patterns not containing
    dots
  *  9f15cfe - render zero length segments in painter paths as one pixel
    dots
  *  93f8a94 - ignore zero length segment at end when rendering ellipse
  *  944e134 - add option to ignore zero length lines
  *  3c3e042 - add RPattern::hasDots
  *  a78443b - update test file
  *  92ad296 - fix FS#1559 - Font substitution in command line tools
  *  b786096 - update translations
  *  6b55cd7 - fix FS#1557 - Zero length lines not shown
  *  4cc25cc - add unit tests for fill option
  *  609e8cb - add fill option for shapes (rectangles, polygons)
  *  768eb8f - update translations
  *  33e4454 - don't translate key code
  *  2aa1bc6 - add Ctrl+Return shortcut for text dialog
  *  93c6ee4 - check if widget supports selectAll
  *  9b0bafe - Merge pull request #13 from teegee/for-andrew
  *  56487a7 - OptionsToolBarFocus: Select-all after control-space.
  *  29c193c - Suppress qmake warning on Linux.
  *  a88be56 - fix path of translations.pri
  *  c1abb5d - set version to 3.16.5.5
  *  75e0d4c - update translatable text
  *  1a6bbc8 - update translations
  *  7deb534 - update translations
  *  323c655 - fix FS#1554 - Auto focus of options toolbar when entering
    numbers broken after Esc
  *  b6d69a3 - update translations
  *  51f44e8 - add readTextFile, writeTextFile convenience functions
  *  1183ea1 - fix FS#1553 - Modify > Break out Manual: exception with
    circles
  *  b891e89 - fix FS#1553 - Modify > Break out Manual: exception with
    circles
  *  a7f2d5d - update translations
  *  856a582 - update translations
  *  76cb8ba - fix problem with
    RDocumentInterface::getLastKnownViewWithFocus returning secondary
    views
  *  4d981fc - set version to 3.16.5.4
  *  0351541 - add hasOwnPropertyCI, getOwnPropertyCI
  *  ce8cbf9 - update test data
  *  46928d3 - update translations
  *  855f19b - update test data
  *  7de6d1c - initialize decimal separator setting
  *  2aa8a2a - set version to 3.16.5.3
  *  b21bdc9 - add workaround for QTBUG-57990
  *  e449ce6 - fix compiler warning
  *  f183833 - clean up
  *  4e05f09 - fix compilation in DOS environment
  *  8125bd7 - use copy instead of cp under windows
  *  33f5fdf - update automatic detection of qcad modules
  *  6a0f574 - set version 3.16.5.2
  *  6509857 - auto detect and compile available modules
  *  31dcebb - update
  *  8b13cc6 - disable update check if it causes crash (QTBUG-56747)
  *  8a82e8b - update error handling
  *  7f84e69 - check for maximum image size
  *  32e31fe - Merge pull request #12 from teegee/rob
  *  46cb829 - TextDialog: Fixed source focus.
  *  8f393c2 - Update Slo translation

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 14 Apr 2017 07:16:54 +0300

qcad (3.16.5+git4362-745d320-2) unstable; urgency=medium

  * fix icon desktop

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 21 Feb 2017 19:10:26 +0300

qcad (3.16.5+git4362-745d320-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 745d3201f6a7d5eb9820c01f6473330a8d0a4f01
  * Date: 1487315398
  * git changelog:
  *  745d320 - add template
  *  61cda8b - Merge branch 'master' of github.com:qcad/qcad
  *  c5c0590 - move LineDove to examples, LineDove2 > LineDove
  *  b0aedd8 - add platforminputcontexts
  *  65667fe - add platforminputcontexts
  *  0a3be76 - add Misc > Draw > Dove tail from 2 points (Christian
    Aigner)
  *  47f389f - update script bindings
  *  61713cd - refactor iso projection for future support of other
    projections
  *  881d0d5 - add app win property to disable close warning dialog
  *  4f76e72 - update translations
  *  45db2c0 - fix preview if dimscale != 1.0
  *  c3d2d23 - fix preview if dimscale != 1.0
  *  a6c75d9 - add support for DIMDSEP (decimal point for dimension
    labels)
  *  36a45ba - update qt translation files for Qt 5
  *  9b2dbb7 - set version to 3.16.5.1
  *  9b7adae - load qtbase translations (qt 5)
  *  c241249 - add templates (DL3DL)
  *  191b3e0 - update translations
  *  43e36f1 - add support for call from command line
  *  c51a76f - update user reference manual
  *  62420f4 - add doc folder for zoom tools
  *  27a7a2b - fix FS#1540 - Draw > Line > Parallel: Changing back to
    Auto has no effect
  *  9587ddc - re-add icon
  *  e330186 - update user reference manual
  *  fff5912 - update user reference manual
  *  ad0db1e - update user reference manual
  *  525900a - update translations
  *  d264fb5 - remove standard edit menu items under macOS
  *  22c2705 - fix order of multiple mixed short and long arguments
    given
  *  12fa4c7 - update Slovak translation
  *  b1f4879 - update translations

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 17 Feb 2017 22:14:35 +0300

qcad (3.16.4+git4331-5de0c91-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 5de0c91e8c1fdbccdeaadaa61be07ff281de63bd
  * Date: 1486142329
  * git changelog:
  *  5de0c91 - set version to 3.16.5.0
  *  fa43085 - set version to 3.16.4.7
  *  8a03f19 - add script bindings for Qt 5.8.0
  *  75254db - force deleting of entities / block references /
    attributes if block is deleted
  *  225868d - revert plugin disabling in QCAD3.ini
  *  10ddb12 - update copyright year
  *  2fd61f1 - update translations
  *  b336973 - add unit tests
  *  78112bb - update unit test data
  *  ab10bd0 - update script bindings
  *  d747a4f - refactor Apollonius.getSolutionsPLC to find all possible
    solutions
  *  9251e1f - fix potential exception
  *  e0ec4eb - add moveTo to move line to given location using start
    point as reference
  *  04ed7ab - set version to 3.16.5
  *  e35df4d - update translations
  *  3abe5b5 - update script bindings
  *  4519cc1 - update API doc
  *  bf2a534 - use RPainterPath for glyphs
  *  8e05fdf - allow RPainterPath to store original shapes if desired
    (used for glyphs)
  *  f55cd08 - store glyphs as RPainterPath, improve arc accuracy
  *  896b297 - don't show shape fonts in font combo box
  *  5875a75 - update generic usage info
  *  9ada660 - update generic usage
  *  1794427 - add scale property for ordinate dimensions
  *  099ea42 - allow prepending of file exporters
  *  92b1a5f - update script bindings
  *  835cd58 - store disabled plugins in config file
  *  3614e53 - add getApplicationNameOverride
  *  8cfcb13 - fix compiler warnings with Qt 5
  *  ae0f454 - set version to 3.16.4.4

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 03 Feb 2017 21:43:12 +0300

qcad (3.16.3+git4301-08d8cc2-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 08d8cc2ab9a05fed3d46d26ec4a532a4805c76bc
  * Date: 1484837790
  * git changelog:
  *  08d8cc2 - update cxf font format
  *  6bd49ef - compile fix
  *  1c26929 - update script bindings
  *  0337e28 - display opengl related debugging messages in about dialog
  *  c372fe1 - intercept opengl related debugging messages
  *  ddcb157 - enable opengl related debugging messages
  *  46cc26f - set version to 3.16.4.3
  *  5b04502 - prevent infinite loop for invalid lines
  *  6156203 - line is only valid if start and end point are sane
  *  ce5aa4f - leave it to exporter if texts are rendered as paths
  *  957c869 - update script bindings
  *  ef875bb - clear background of view (fix export with transparent
    background)
  *  b0bbbd7 - add RGraphicsView::clear to clear background of graphics
    view
  *  39d7959 - set version to 3.16.4.2
  *  bec3ab5 - update
  *  b091890 - add unit tests
  *  8043ef6 - fix potential exceptions
  *  9cd9367 - update script bindings
  *  6d3da55 - fix FS#1530 - Draw > Circle > 3 Tangents: solutions not
    found
  *  b06ab10 - move Circle2TR.getCircles2TR to Apollonius
  *  1c74e69 - add RVector::getUnique
  *  7db296f - fix FS#1530 - Circle from 3 Tangent not working in
    special case
  *  14ded2d - add unit tests
  *  d7cb4c7 - update script bindings
  *  2df190a - fix FS#1528 - Block attributes: relationship with block
    reference lost after inserting from library
  *  e1b4374 - set version to 3.16.4.1
  *  a44f4bb - update API doc
  *  49cb852 - add preference to (not) terminate snap to intersections
    manual after one use

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 21 Jan 2017 12:17:36 +0300

qcad (3.16.3+git4273-c83a1a0-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: c83a1a080a0ae2de87ad9a4c7a5d94d5eb626781
  * Date: 1483706839
  * git changelog:
  *  c83a1a0 - update macOS SDK detection
  *  33378c6 - add script bindings for Qt 5.7.1
  *  bcd8911 - spelling
  *  ef5eca5 - add generic usage info for command line tools
  *  b777965 - update unit test data (exploding text glyphs into
    polylines)
  *  3e0c336 - set version to 3.16.4
  *  df1de51 - fix QByteArray constructor wrapper
  *  0e8ca78 - set version to 3.16.3.1
  *  2514dae - set version to 3.16.4
  *  0719e4e - update translations
  *  e709b35 - update translations
  *  aca79f2 - set version to 3.16.4.1
  *  8dd8422 - enable tool matrix panel for flip tools
  *  e38350d - let user set platform / fonts dir if desired
  *  a8bbf73 - Merge branch 'master' of github.com:qcad/qcad
  *  32724e8 - set version to 3.16.4
  *  71db5e9 - add support for headless linux systems
  *  3dd86ba - add / update licenses
  *  d1bf9fd - clean up
  *  d81dbfb - Merge branch 'master' of github.com:qcad/qcad
  *  b76dbbd - add qt fonts (for command line tools)
  *  36529a7 - Merge branch 'master' of github.com:qcad/qcad
  *  8cf97a0 - deploy offscreen platform plugin
  *  99908a3 - update debug output for local add-ons
  *  fed0a3b - explode texts to polylines with arc segments
  *  3550f01 - add preference to explode texts to polylines
  *  63eab69 - add unit tests
  *  32749b6 - update translations
  *  f546066 - add missing explodable / circle intersection solution
  *  2ee7223 - update translations
  *  d5e6fb2 - set version to 3.16.3
  *  f46a5ac - add additional options to bitmap export dialog
  *  5f8da9f - add woraround for Qt/Linux bug (cannot enter @ sign in
    command line)
  *  1387a55 - fix -always-load-scripts
  *  93e5f73 - fix -always-load-scripts

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 06 Jan 2017 16:15:44 +0300

qcad (3.16.1.1+git4238-6940958-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 6940958fe82741b944deccee5793e43cfda9910e
  * Date: 1482497932
  * git changelog:
  *  6940958 - set version to 3.16.2.4
  *  24dc6c8 - set version to 3.16.2.3
  *  56584ae - update script bindings
  *  efb715b - add todo's for spline tangent support
  *  f045f3f - update translations
  *  016087b - spell check
  *  2bb291a - update test data
  *  20561be - spell check
  *  a3d9ea3 - update tool titles
  *  8f04a28 - add unit tests for rotation around center!=0/0
  *  0b1f49a - add start/end tangents as properties
  *  270dc88 - add RVector::isZero
  *  82dffef - fix FS#1520 - Modify > Rotate: rotating splines changes
    start/end tangents
  *  4830cbf - update splashscreen
  *  1a58e05 - add InvoluteSpur gear generator
  *  a23db5f - merge changes from riverbuoy
  *  18d69c7 - add translations for ConvertUnit
  *  888443c - merge changes from riverbuoy
  *  46138ab - use translated unit names
  *  e2cc0dc - fix FS#1519 - Ruler precision always zero
  *  c1b8c25 - set version to 3.16.2.2
  *  fa21825 - update icon
  *  eb556af - update icon
  *  0b9bac6 - fix FS#1517 - Modify > Break out Segment: fails with
    closed polyline
  *  230c735 - add unit tests break out segment closed polyline
  *  49f6e2c - add TODO for arc rendering with splines
  *  cdf2ec2 - scan for add ons if that hasn't happend yet
  *  addc823 - update credits
  *  be76d5a - allow overriding of focus behaviour for RMathLineEdits
    (ignoreEscape property)
  *  e5bafc7 - add DXF header variable CLAYER
  *  8350c74 - update tool title capitalization
  *  f036fdc - update project file
  *  0b3ca6c - update tool order
  *  53194d8 - delete obsolete tool ConvertToInch
  *  4aad868 - delete obsolete tool ArcChangeDirection
  *  7d139dc - update tool order
  *  cbdef0c - rename ExLayerAdd -> ExAddLayer
  *  8d8ee72 - update tool title capitalization
  *  60c4b92 - update credits
  *  bc178f3 - add Edit > Convert Unit
  *  3483e81 - Merge branch 'master' of github.com:qcad/qcad
  *  a9341ab - set version to 3.16.2
  *  a242661 - Merge branch 'master' of github.com:qcad/qcad
  *  8a08f5e - deploy print support plugin for Linux
  *  2c48821 - add preference to reset paste options on every tool start
  *  c7068c4 - set version to 3.16.2.1
  *  6540f37 - fix unit test
  *  9960ccf - set version to 3.16.2
  *  508906a - add unit test for copying block reference with attribute
  *  11024a4 - make sure parent / child cache is updated when parent IDs
    are set at end of transaction
  *  7d21b28 - update splash screens
  *  2b739ab - print debugging info when entity is clicked
  *  ea00715 - set version to 3.16.1.2
  *  abbb6ca - add unit test for snap middle manual
  *  dfe5565 - add unit test for snap distance manual
  *  008febb - add unit test for snap intersection manual
  *  c34d7cb - set version to 3.16.1.1
  *  e56f082 - port to qt 4
  *  c33e44e - set version to 3.16.1
  *  3d53349 - update script bindings
  *  1846b73 - unify "2D" in API
  *  7d804bd - revert to qt rendered patterns in screen-based linetype
    mode
  *  fa631c8 - improve precision in RSpline::createSplinesFromArc, unify
    "2D" in API
  *  4ea1e90 - revert to qt rendered patterns in screen-based linetype
    mode
  *  6cc361a - add RArc::splitAtQuadrantLines, unify "2D" in function
    names
  *  e841311 - revert to qt rendered patterns in screen-based linetype
    mode
  *  83606cd - fix screen-based linetypes for drawing units != mm or
    inch
  *  5d44559 - preserve polyline segment widths when modifying corner
    (round, bevel)
  *  c057b17 - update comments
  *  15b938c - use exact resolution instead of auto zoom if resolution
    is given for bitmap export
  *  bb8beb0 - fix bitmap export exception
  *  36eb9b5 - update translations
  *  9c6f0e7 - clean up
  *  7442501 - fine tune linux text rendering bug workaround
  *  b4b6339 - Merge branch 'master' of github.com:qcad/qcad
  *  ddf0675 - workaround for linux text rendering bug
  *  f4154a1 - remove obsolete text threshold preference
  *  15bfeb9 - copy platforms plugin to output dir/platforms
  *  af56d4b - remove platforms from plugins (not in plugins subdir)
  *  f5a1e49 - copy platforms xcb plugin
  *  5c32cb5 - add platforms plugin subdir
  *  1c2c86c - update autoZoom
  *  9a736b4 - update script bindings
  *  9a0f6f2 - update script bindings
  *  6d3f2d9 - update meta types
  *  7140a9e - fix compiler warnings
  *  f932b8f - make adde margin for line weights optional for autoZoom
  *  4d458c1 - add parameter noweightmargin
  *  53a870b - update translations
  *  4afd88e - update user reference manual
  *  1b796a4 - update to version 3.16.0
  *  3bbb4a1 - set version to 3.16.0.0

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 24 Dec 2016 13:19:33 +0300

qcad (3.15.8.0+git4146-a67c9da-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: a67c9da826e912be63bcabadd7bd33877186283e
  * Date: 1481278209
  * git changelog:
  *  a67c9da - update translations
  *  5c3d022 - fix translation context
  *  f9cda15 - fix Qt header warning
  *  3eadf31 - fix compiler warnings
  *  325b609 - fix compiler warnings
  *  a6a93a5 - fix initialization of length
  *  3b1e361 - set version to 3.15.6.3
  *  360443c - change viewport rotation center
  *  a007cb6 - add off property for viewports
  *  2975ef8 - clean up
  *  d63ba67 - use resolution for bitmap export if available
  *  ec9a47f - improve rendering of line patterns in screen-based
    linetypes mode
  *  465f093 - set version to 3.15.6.2
  *  dd6fcb1 - update script bindings
  *  1a0cd03 - add rotation to viewport
  *  70c588d - fix unit test
  *  b4ceb6c - fix compiler warning
  *  e4baea7 - increase tolerance for ellipse intersections
  *  dcc3e29 - increase tolerance for ellipse intersections
  *  bf46f4a - drag corners of viewports
  *  b335267 - fix clipping during preview
  *  f905e4f - add DrawBasedOnRectanglePP::getCenter, getWidth,
    getHeight
  *  027e2c3 - clean up
  *  0b1b538 - fix FS#1508 - QCAD CE: Subscript and superscript
    formatting lost when file re-opened
  *  fff918c - rename Viewport to ViewportWidget
  *  806978f - update script bindings
  *  f10fce0 - add RPolyline::toLogicallyClosed/toLogicallyOpen
  *  86ada32 - update example plugin info
  *  b91e5a8 - update script bindings
  *  ac75e1f - add RPluginLoader::getPluginInfo based on plugin ID
  *  4e0b863 - fix compiler warning
  *  b19c06b - fix import of SVG files without width / height attributes
  *  02325ec - set version to 3.15.6.1
  *  ed0beb3 - pass parameters from RHatchEntity::getShapes to
    RHatchData::getShapes
  *  889831b - update
  *  578e2cd - fix range of allowed segment indices
  *  2b8a833 - fix rounding polyline at start point with single click
  *  0888186 - fix modify (round) corner of polyline with one click,
    click positions
  *  2772755 - fix modify (round) corner of polyline with one click
  *  35ef7d8 - add calibration example
  *  9ef8344 - fix compiler warnings
  *  0a61455 - fix passing of parameters from RTextBasedEntity to
    RTextBasedData
  *  55f951b - update API doc
  *  44e9958 - fix feet / inch value entry with negative signs

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 10 Dec 2016 10:53:44 +0300

qcad (3.15.8.0+git4102-38b6971-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 38b69714d899031f0bd8e44ef0d1d4f3321df284
  * Date: 1479844358
  * git changelog:
  *  38b6971 - add merge tool unit test data
  *  ea547e6 - update translations
  *  45a533b - update translations
  *  9af3204 - update translations
  *  b24c4cf - update translations
  *  5783856 - update user reference manual
  *  c8d73a6 - add cache of parent/child relations
  *  6ec1b18 - update
  *  171f940 - highlight start point of ellipse arcs
  *  15226b7 - highlight start point of arcs, lines, splines
  *  05603ad - add support for screen based linetypes per layer
  *  2fffb2c - make sure vectors are both valid or both invalid when
    comparing
  *  ea28232 - add default values to coordinateToString
  *  5c4921b - avoid unwanted signals when updating block / resource
    lists
  *  3ff220a - highlight start point of polylines when selected
  *  1d6919c - update script bindings
  *  0a7d4d9 - update warning
  *  3f6c9c2 - add support for screen linetype patterns per layer
  *  05a7cdf - add RVector::getUnion
  *  6e1d2ee - update API doc
  *  8c05536 - update user reference manual
  *  ac78fb3 - add user reference manual entry for snap to center of
    selection
  *  190d469 - update script bindings
  *  b7c07a6 - add scaling based on viewbox and width/height
    (experimental)
  *  8010ed0 - add isClosedSplineShape
  *  10f97f7 - add RVector::equalsFuzzy2D
  *  484094f - fix image references in user reference manual
  *  2e6d2f4 - update user reference manual

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 26 Nov 2016 09:53:59 +0300

qcad (3.15.8.0+git4074-2a74b87-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 2a74b87e2b8018e92941de2e5791e6b7945ca79d
  * Date: 1478876731
  * git changelog:
  *  2a74b87 - update script bindings
  *  1e2005b - make message escaping optional for user messages,
    warnings, errors
  *  15a939d - avoid "document drag error" when dragging floating dock
    widget title icon under macOS
  *  8a2697d - add script bindings for qt 5.6.2 (untested)
  *  69f518c - fix compilation of example plugins
  *  d039c89 - set version to 3.15.5.9
  *  7ac32b1 - add qcaddoc.ico as windows resouce to exe
  *  d8a48dc - fix hatch unit tests
  *  2d844d5 - set version to 3.15.5.8
  *  a8da16d - set click mode in base action for action overrides
  *  9e9e497 - update script bindings
  *  ce5a039 - fix copyCustomPropertiesFrom when overwriting existing
    properties
  *  5468b69 - add option to getShapes to segment splines
  *  187ec6c - update script bindings
  *  d653597 - fix capitalization in Italian translations
  *  2fc9d98 - hide tagged resource blocks if internal blocks are hidden
  *  2b2b899 - fix potential exception
  *  ada6408 - fix saving of floating dock widget state under os x when
    locale is not English

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 13 Nov 2016 10:02:51 +0300

qcad (3.15.6.0+git4056-9e536f6-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 9e536f6323cd125f46637eea4432e3714a192499
  * Date: 1477661909
  * git changelog:
  *  9e536f6 - ignore internal blocks
  *  74c1a14 - explode solid fills into boundary entities
  *  1a0104f - fix -exec switch for non-action scripts
  *  e8c38ea - clean up
  *  275186e - fix auto split for self intersecting splines
  *  83ef0a2 - update script bindings
  *  5d0db84 - fix end point precision when splitting splines
  *  6837da9 - add RHatchData::clearBoundary
  *  b562f06 - update script bindings
  *  c82dfb5 - fix REntityData::getClosestShape for complex shapes in
    block references
  *  40bbefd - update command line to use RMath::parseCoordinate
  *  8dbfeef - fix FS#1496 - Draw > Circle > Center, Point: coordinate
    input interpreted as radius
  *  3c445f2 - fix ShapeAlgorithms.getIntersectingShapes for shapes in
    blocks
  *  6d3df38 - use RMath.parseCoordinate in stringToCoordinate
  *  b783422 - add RVector::isNaN
  *  3904e59 - add RMath::parseCoordinate
  *  3ff43fb - add RSettings::getCharValue
  *  5694bf1 - fix compiler warnings
  *  d3691fe - fix compiler warning
  *  ba29db7 - update unit test data
  *  b82340b - fix unit tests
  *  00fbcbd - set version to 3.15.5.7
  *  38209d0 - set version to 3.15.5.4
  *  fb5569a - update script bindings
  *  8c8c25b - refactor hatch from selection
  *  2c7a281 - update trimming for ellipses
  *  cbf0c8a - add RShape::equals to compare shapes
  *  f0fd65e - clean up
  *  9c485e1 - update simple API
  *  5c74234 - update script bindings
  *  17c39a6 - update unit test data
  *  1896a46 - refactor trimming to use distances instead of positions
  *  83978b4 - implement getDistanceFromStart
  *  db40c1b - add getDistanceAtT, getDistanceFromStart
  *  6486369 - add RShape::getSelfIntersectionPoints
  *  4c23027 - add RPolyline::getSegmentsLength, relocateStartPoint with
    distance
  *  9bbc80f - add Math.sign polyfill
  *  a0739c7 - add Math.sign polyfill
  *  a95311d - several fixes in simple API
  *  74055ba - update script bindings
  *  baefa8a - fix hatch unit tests
  *  dfe9f3d - merge RDirected into RShape
  *  8929f55 - make sure getClosestIntersectionPoints does not reverse
    shape
  *  76aa5ea - refactor Hatch class to HatchFromBoundary
  *  4f6f3f2 - move getIntersectingShapes and divideShape to
    ShapeAlgorithms
  *  65a2a9a - explode block reference arrays into separate block
    references
  *  020884f - update script bindings
  *  ea2f79a - add RPolyline::getConcaveVertices,
    RPolyline::getConvexVertices
  *  007700d - fix potential null pointer segfault in
    RShape::getOffsetLines
  *  9294f44 - backport
  *  1fe0f88 - set version to 3.15.6.0
  *  73342e4 - remove obsolete file
  *  365ea25 - performance update
  *  b2504ff - update comment

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 29 Oct 2016 12:47:40 +0300

qcad (3.15.5.6+git4002-898b13b-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 898b13b1d4ea02bd7e08a0344854ebd7e7ea439a
  * Date: 1476444202
  * git changelog:
  *  898b13b - show context menu for selectable entities only
  *  12859a3 - fix potential hang when using script debugger
  *  dc28346 - update script bindings
  *  8ff72ed - rename toBiArcPolyline to approximateWithArcs
  *  8353a4c - add REllipse::approximateWithArcs
  *  52c0371 - move approximateWithArcs to REllipse
  *  ab1a7f2 - update script bindings
  *  1578a0b - add API to get custom properties as int, double
  *  817889c - ecmagenerator fix
  *  c750698 - update unit parsing from strings
  *  b0b123b - remove extra ;
  *  de7c6eb - update script bindings
  *  b89e564 - apply operation parameters to transaction
  *  acbaa2c - add queryBlockDirect with given name
  *  e331292 - apply block name filter before sorting
  *  af8ee22 - save text dialog data if user cancels dialog (or presses
    escape), FS#1490
  *  70ba885 - update script bindings
  *  1ff4c78 - remove obsolete code
  *  a4cc7c9 - update script bindings
  *  d648fb8 - stretch dimension point when stretching dimensions
  *  5140649 - add asText parameter to RUnit::unitToSymbol
  *  f4c4e1e - add support for entity ID links in command line history
  *  2c2bcb0 - update qcad document icon
  *  1a01e0d - add qcad document icon
  *  f57f80c - take out Qt 5.7.0 wacom bug workaround
  *  27db605 - minor update

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 15 Oct 2016 19:45:11 +0300

qcad (3.15.5.6+git3976-6205b4e-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 6205b4e61c0d4597b5cdd0baf7accdd7619d1dd2
  * Date: 1475223028
  * git changelog:
  *  6205b4e - update translations
  *  b43fd18 - allow precision override for info labels
  *  351dde7 - add removeIgnoreCase, containsIgnoreCase for Array
    objects
  *  a92b191 - update script bindings
  *  658a952 - add REntity::to2D
  *  328320f - allow precision override for RUnit::getLabel
  *  93603a5 - set version to 3.15.5.6
  *  2db7d32 - add identification for macOS 10.12
  *  91eeed7 - no animated app win for Qt!=5.7
  *  a5f9178 - update translations
  *  5afbe07 - compile fix
  *  ecc0ccf - compile fix for Qt 4
  *  b8a536c - add warning when changing defaults for new drawings
  *  263eeaa - update point display icons
  *  e05f9f7 - update script bindings
  *  4a94b97 - add option to allow action to interrupt other action
  *  348933c - property editor: make labels selectable / copyable
  *  cc26547 - update test data
  *  a738bc5 - fix order of 100 / AcDb markers
  *  33b84fe - add RTTI for all object types
  *  9067911 - refactor queryInfiniteEntities
  *  81166ec - update
  *  1a00fc5 - return entity instead of entity ID
  *  a9f2df5 - apply transaction to document or document interface
  *  a1b0185 - formatting
  *  9933335 - set version to 3.15.5.5
  *  50e201a - fix output name of qtscript libraries
  *  27a6655 - fix RMemoryStorage::queryAllVisibleEntities for frozen
    parent layers
  *  042f4bd - set version to 3.15.5.4
  *  32bcf7a - use transaction document where appropriate to query
    entities from IDs
  *  379abf4 - update script bindings
  *  d8ef0fd - add RLayer::isChildLayerOf
  *  75485a0 - add -recompute-dim switch to override
    Dim/ImportRecomputedDimBlocks setting per session
  *  f1657d9 - fix scaling of dimensions in the context of a viewport
  *  3775c83 - remove webkit / webengine dependency
  *  931872d - clean up
  *  c9e6f34 - rollback invalid changes for Qt 5.6.1
  *  995adb1 - port to qt 5.6.x
  *  19bbd92 - update
  *  e9130b7 - add script bindings for Qt 5.6.1
  *  5916f84 - update API doc
  *  68908d2 - update Simple API paste doc
  *  1a9672f - correct paths to license files
  *  3ed3204 - add paste
  *  3ce887d - use getTransactionDocument
  *  3b647ef - apply transaction to off-screen document, add
    getTransactionDocument
  *  438922f - make document optional if shapes are passed to
    getIntersectionPoints
  *  b08aae5 - add createOffScreenDocument
  *  773a848 - fix opaque zoom rectangle
  *  f7a21aa - delegate import to Image tool if image file is imported
  *  1541b2d - make Image startable from other tool contexts
    (ImportFile)
  *  949c6cb - enable multi-line pasting for ecma script shell
  *  2b10059 - allow transactions to be applied to a specific document
  *  fd14541 - fix potential exception when importing unsupported file
    format
  *  16c00f7 - set version to 3.15.6
  *  9733ee3 - update user manual
  *  e198579 - add lengthen to simple API
  *  97aefc9 - update translations
  *  b3d4d34 - update command line manual
  *  6abb3b5 - minor update
  *  28098c2 - update user manual
  *  eb728d2 - allow passing coordinates as separate values for backward
    compatibility
  *  9b48e45 - allow passing coordinates as separate values for backward
    compatibility
  *  53b9f9e - keep selected item selected when updating block list
  *  ac06c9b - hide block attributes if block is hidden and
    GraphicsView/ HideAttributeWithBlock is set
  *  373c160 - update script bindings
  *  e318241 - add getTypeForVariable
  *  f489733 - update script bindings
  *  a1cbdad - allow multi line paste into command line
  *  535fa53 - add dwg2maptiles testing
  *  4cabf30 - update translations
  *  e8f5a3c - allow user to leave angle input empty for an angle of 0
  *  b6d4019 - port to Mac OS 10.12 SDK
  *  9045fc5 - update script bindings
  *  0a81ef8 - add constructor for arrays passed from scripts
  *  50ab51d - pass all vectors as RVector or array
  *  e4eebcb - remove obsolete code
  *  4b4ec73 - fix potential endless loop in auto snap
  *  d0001c8 - minor update
  *  0267a91 - fix zoom box for 3d views
  *  934bbb5 - refactor lengthen to allow use from other scripts
  *  d263da0 - minor update
  *  6d41b55 - backport to Qt 4
  *  51a6549 - update translations
  *  fc15b61 - minor update
  *  5044213 - fix includes
  *  a3242f4 - fix includes
  *  99c9c7f - fix potential exception when closing document
  *  040163d - separate last modification time from modified status
  *  6ff5e4d - fix potential exception when running with script debugger
    enabled
  *  61a7ac2 - support exporting of dashed lines into 3d space
  *  1975cea - update
  *  8fc5b02 - Merge branch 'master' of github.com:qcad/qcad
  *  30fb8df - add sprintf include
  *  150c186 - update translations
  *  8822a48 - refactor structure
  *  21d95c4 - update script bindings
  *  021545b - allow for custom correction factor per printer
  *  159f320 - add printer list, default printer API
  *  164596f - merge changes from tukuyomi (forum)
  *  b5095e0 - add date.js to pro file
  *  9aea300 - fix include path
  *  4c1e75d - fix include path
  *  b2ecda4 - fix include path
  *  ad2043e - fix include problem with -always-load-scripts
  *  90d907d - always re-include files with -always-load-scripts
  *  a1941e2 - remove sprintf from libary includes
  *  90b7846 - update icon
  *  0dd4fca - update unit tests
  *  866b1e4 - fix snap ranges if retina graphics view display is off
  *  b4d3f58 - fix preferences default for minimum grid spacing
  *  319bf2c - fix minimum grid spacing for graphics view if retina
    resolution is off
  *  51a3091 - update unit test
  *  959cc16 - set version to 3.15.5.4
  *  5ac386d - update script bindings
  *  e4d88db - add last modification timestamp to RStorage / RDocument
  *  58eccb3 - Add allowAll flag to operations to allow modifications on
    all objects
  *  a2cb18d - add convert to inch tool
  *  9c738b3 - fix FS#1476 - Draw > Circle > 2 Tangents and Radius:
    exception with arcs and circle entities
  *  2d5ef39 - add test for circlectr from two circles
  *  e46766f - update script bindings
  *  77cf2b4 - treat layers as locked if parent layer is locked
  *  6637eb7 - ignore invalid lines in pattern files
  *  1a26416 - fix FS#1474 - Dimension > Leader: changing options breaks
    tool
  *  1116779 - fix FS#1474 - Dimension > Leader: changing options breaks
    tool
  *  9c49f08 - fix typo

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 01 Oct 2016 18:41:25 +0300

qcad (3.15.5.3+git3850-407dd44-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: 407dd44651c2be304b3120bdd99279f7c9aa3919
  * Date: 1472828362
  * git changelog:
  *  407dd44 - update block list visible icons
  *  6e90a08 - update script bindings
  *  bcf44d8 - add RStorage::isParentLayerFrozen,
    RDocument::isParentLayerFrozen
  *  7bc31b2 - update gitignore
  *  f23d99c - update gitignore
  *  1fc2551 - update gitignore
  *  70d0004 - add gitignore
  *  1fa8872 - update script bindings
  *  769e0d4 - add layer proxy header
  *  ae0a81e - update script bindings
  *  5d9076d - fix scriptable hierarchical layer support functions
  *  41251be - update script bindings
  *  c3d0b87 - move hierarchical layer support to C++
  *  e5d0b7b - interpret configured snap range as pixels not device
    pixels on retina displays
  *  864359a - scale grid based on pixels, not device pixels for retina
    displays
  *  37ce7cf - fix FS#1466 - Toolbars on second screen cannot be
    accessed if second screen is detached
  *  080429e - add translation files for lithuanian (lt)
  *  b069ac7 - update translations
  *  bbea330 - remove doc file references from project file
  *  e9ca109 - update script bindings
  *  41360bc - Merge branch 'master' of github.com:qcad/qcad
  *  de0d747 - fix FS#1461 - Zoom in / out: not centred under mouse
    cursor if Retina resolution is enabled for graphics view
  *  748e308 - Merge pull request #11 from plunky/man.edit
  *  8251fd8 - Merge pull request #1 from plunky/plunky-patch-1
  *  3dcde7c - Update qcad.1
  *  0d1ec73 -     set version to 3.15.5.3
  *  50ef420 - update script bindings
  *  11eac95 - update polyline entity API
  *  a06f745 - set version to 3.15.5.2
  *  afd4631 - fix potential exception in getOrientation, fix simplify
    for full circle polylines
  *  3195757 - Merge branch 'master' of github.com:qcad/qcad
  *  02232a9 - update API doc
  *  19cedb4 - set version to 3.15.5.1
  *  15ef1a1 - update translations
  *  1e8dd2f - add preferences for both spline segments (QCAD CE) and
    spline tolerance
  *  f5975d6 - update translations
  *  cad59c8 - update translations
  *  8fd2d62 - add explode / spline unit tests
  *  f5f7a64 - change explode preferences for splines from segments to
    tolerance

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 03 Sep 2016 00:16:09 +0300

qcad (3.15.4.4+git3811-a8a7353-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/qcad/qcad.git
  * Branch: master
  * Commit: a8a7353969e2b47d0783da2fb2dd845dcadece2b
  * Date: 1471613988
  * git changelog:
  *  a8a7353 - update translations
  *  197bbfc - update script bindings
  *  421f5d4 - update unit test data
  *  5104a27 - add RSplineEntity::toBiArcPolyline, toPolyline
  *  7064e57 - add RSplineData::toBiArcPolyline
  *  cc54018 - update script bindings
  *  1a2001e - explode splines to polylines with arc segments if proxy
    available
  *  e605372 - allow flag combinations for getPointsWithDistanceToEnd
  *  efdb653 - set version to 3.15.5
  *  8f15657 - update comments
  *  e53cdfc - avoid joining of consecutive arcs if resulting arc is
    larger than half a circle
  *  87b7dec - set version to 3.15.4.4
  *  87e4ad9 - set version to 3.15.4.3
  *  66271a9 - update API doc
  *  bc9f7e5 - fix FS#1456 - Drag and drop: requires two clicks with
    auto snap
  *  006f80f - prevent erroneous preview with auto snap with free
    positioning disabled
  *  e83006f - update script bindings
  *  3561b05 - treat layer as frozen is parent layer is frozen
  *  a817cea - add RLayer::getParentLayerId/Name
  *  706545e - update API doc
  *  334f621 - update script bindings
  *  eebd3cf - add snap status information for all snap tools
  *  dbc2002 - minor update
  *  65220cf - offer solution for PPS if one point is on shape
  *  6686b6a - update
  *  3c43206 - update script bindings
  *  09011ff - update API doc
  *  91ff500 - update API doc

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 20 Aug 2016 08:19:04 +0300

qcad (3.15.4.1+git3783-2721757-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 27217570314da8d794aadc65387ad2c3c53f0baf
  * Date: 1470396670

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 06 Aug 2016 19:23:41 +0300

qcad (3.15.4.1+git3772-55a36cf-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 55a36cf7b685c75f537b29b2a7e4c6f12c8350e6
  * Date: 1470148842

 -- Alexander Pozdnyakov <almipo@mail.ru>  Wed, 03 Aug 2016 13:40:41 +0300

qcad (3.15.4.1-1) unstable; urgency=low

  * Initial release (Closes: #123456)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 17 Jul 2016 17:41:46 +0300
